<?php
namespace App\Http\Controllers;
use App\Http\Requests\BookingRequest;
use App\Mail\DriverBooked;
use App\Mail\VehicleBooked;
use App\Model\Address;
use App\Model\BookingIncome;
use App\Model\Bookings;
use App\Model\Hyvikk;
use App\Model\IncCats;
use App\Model\IncomeModel;
use App\Model\ServiceReminderModel;
use App\Model\User;
use App\Model\VehicleModel;
use Auth;
use Carbon\Carbon;
use DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class BookingsController extends Controller {

	public function index() {
		if (Auth::user()->user_type == "C") {
			$data['data'] = Bookings::where('customer_id', Auth::user()->id)->orderBy('id', 'desc')->get();
		} else {
			$data['data'] = Bookings::orderBy('id', 'desc')->get();
		}
		$data['types'] = IncCats::get();

		return view("bookings.index", $data);
	}

	public function receipt($id) {
		$data['id'] = $id;
		$data['i'] = $book = BookingIncome::whereBooking_id($id)->first();
		// $data['info'] = IncomeModel::whereId($book['income_id'])->first();
		$data['booking'] = Bookings::whereId($id)->get()->first();
		return view("bookings.receipt", $data);
	}

	public function print($id) {
		$data['i'] = $book = BookingIncome::whereBooking_id($id)->first();
		// $data['info'] = IncomeModel::whereId($book['income_id'])->first();
		$data['booking'] = Bookings::whereId($id)->get()->first();
		return view("bookings.print", $data);
	}

	public function payment($id) {
		$booking = Bookings::find($id);
		$booking->payment = 1;
		$booking->save();
		return redirect()->route('bookings.index');
	}

	public function complete_post(Request $request) {
		// dd($request->all());
		if ($request->get('day') == 1) {
			$base_km = Hyvikk::fare('base_km');
			$base_fare = Hyvikk::fare('base_fare');
			$wait_time = Hyvikk::fare('base_time');
			$std_fare = Hyvikk::fare('std_fare');
			if ($request->get("mileage") <= $base_km) {
				$total = $base_fare + ($request->get('waiting_time') * $wait_time);
			} else {
				$sum = ($request->get("mileage") - $base_km) * $std_fare;
				$total = $base_fare + $sum + ($request->get('waiting_time') * $wait_time);
			}
		}

		if ($request->get('day') == 2) {
			$base_km = Hyvikk::fare('weekend_base_km');
			$base_fare = Hyvikk::fare('weekend_base_fare');
			$wait_time = Hyvikk::fare('weekend_wait_time');
			$std_fare = Hyvikk::fare('weekend_std_fare');
			if ($request->get("mileage") <= $base_km) {
				$total = $base_fare + ($request->get('waiting_time') * $wait_time);
			} else {
				$sum = ($request->get("mileage") - $base_km) * $std_fare;
				$total = $base_fare + $sum + ($request->get('waiting_time') * $wait_time);
			}

		}
		if ($request->get('day') == 3) {
			$base_km = Hyvikk::fare('night_base_km');
			$base_fare = Hyvikk::fare('night_base_fare');
			$wait_time = Hyvikk::fare('night_wait_time');
			$std_fare = Hyvikk::fare('night_std_fare');
			if ($request->get("mileage") <= $base_km) {
				$total = $base_fare + ($request->get('waiting_time') * $wait_time);
			} else {
				$sum = ($request->get("mileage") - $base_km) * $std_fare;
				$total = $base_fare + $sum + ($request->get('waiting_time') * $wait_time);
			}

		}

		$booking = Bookings::find($request->get("booking_id"));
		$booking->setMeta([
			'customerId' => $request->get('customerId'),
			'vehicleId' => $request->get('vehicleId'),
			'day' => $request->get('day'),
			'mileage' => $request->get('mileage'),
			'waiting_time' => $request->get('waiting_time'),
			'date' => $request->get('date'),
			'total' => $request->get('total'),

		]);
		$booking->save();

		$id = IncomeModel::create([
			"vehicle_id" => $request->get("vehicleId"),
			"amount" => $request->get('total'),
			"user_id" => $request->get("customerId"),
			"date" => $request->get('date'),
			"mileage" => $request->get("mileage"),
			"income_cat" => $request->get("income_type"),
			"income_id" => $booking->id,
		])->id;

		BookingIncome::create(['booking_id' => $request->get("booking_id"), "income_id" => $id]);
		$xx = Bookings::whereId($request->get("booking_id"))->first();
		$xx->status = 1;
		$xx->save();

		return redirect()->route("bookings.index");

	}

	public function complete($id) {

		$xx = Bookings::whereId($id)->first();
		$xx->status = 1;
		$xx->save();
		return redirect()->route("bookings.index");
	}

	public function get_driver(Request $request) {

		$from_date = $request->get("from_date");
		$to_date = $request->get("to_date");
		$req_type = $request->get("req");
		if ($req_type == "new") {
			$q = "select id,name as text from users where user_type='D' and deleted_at is null and id not in (select driver_id from bookings where  deleted_at is null   and ((dropoff between '" . $from_date . "' and '" . $to_date . "' or pickup between '" . $from_date . "' and '" . $to_date . "') or (DATE_ADD(dropoff, INTERVAL 10 MINUTE)>='" . $from_date . "' and DATE_SUB(pickup, INTERVAL 10 MINUTE)<='" . $to_date . "')))";

			$d = collect(DB::select(DB::raw($q)));

			$r['data'] = $d;
		} else {
			$id = $request->get("id");
			$current = Bookings::find($id);
			$q = "select id,name as text from users where user_type='D' and id not in (select driver_id from bookings where  id!=" . $id . " and deleted_at is null  and ((dropoff between '" . $from_date . "' and '" . $to_date . "' or pickup between '" . $from_date . "' and '" . $to_date . "') or (DATE_ADD(dropoff, INTERVAL 10 MINUTE)>='" . $from_date . "' and DATE_SUB(pickup, INTERVAL 10 MINUTE)<='" . $to_date . "')))";
			$d = collect(DB::select(DB::raw($q)));

			$chk = $d->where('id', $current->driver_id);
			$r['show_error'] = "yes";
			if (count($chk) > 0) {
				$r['show_error'] = "no";
			}
			$new = array();

			foreach ($d as $ro) {
				if ($ro->id === $current->driver_id) {
					array_push($new, array("id" => $ro->id, "text" => $ro->text, 'selected' => true));
				} else {
					array_push($new, array("id" => $ro->id, "text" => $ro->text));
				}

			}

			$r['data'] = $new;
		}

		return $r;

	}

	public function get_vehicle(Request $request) {

		$from_date = $request->get("from_date");
		$to_date = $request->get("to_date");
		$req_type = $request->get("req");
		if ($req_type == "new") {
			$xy = array();
			$q = "select id,concat(make,' ',model,' - ',license_plate) as text from vehicles where in_service=1 and deleted_at is null  and  id not in(select vehicle_id from bookings where  deleted_at is null  and ((dropoff between '" . $from_date . "' and '" . $to_date . "' or pickup between '" . $from_date . "' and '" . $to_date . "') or (DATE_ADD(dropoff, INTERVAL 10 MINUTE)>='" . $from_date . "' and DATE_SUB(pickup, INTERVAL 10 MINUTE)<='" . $to_date . "')))";

			$d = collect(DB::select(DB::raw($q)));

			$new = array();
			foreach ($d as $ro) {

				array_push($new, array("id" => $ro->id, "text" => $ro->text));

			}

			$r['data'] = $new;
			return $r;

		} else {
			$id = $request->get("id");
			$current = Bookings::find($id);

			$q = "select id,concat(make,' ',model,' - ',license_plate) as text from vehicles where in_service=1 and id not in (select vehicle_id from bookings where id!=$id and  deleted_at is null  and ((dropoff between '" . $from_date . "' and '" . $to_date . "' or pickup between '" . $from_date . "' and '" . $to_date . "') or (DATE_ADD(dropoff, INTERVAL 10 MINUTE)>='" . $from_date . "' and DATE_SUB(pickup, INTERVAL 10 MINUTE)<='" . $to_date . "')))";

			$d = collect(DB::select(DB::raw($q)));
			$chk = $d->where('id', $current->vehicle_id);
			$r['show_error'] = "yes";
			if (count($chk) > 0) {
				$r['show_error'] = "no";
			}

			$new = array();
			foreach ($d as $ro) {
				if ($ro->id === $current->vehicle_id) {
					array_push($new, array("id" => $ro->id, "text" => $ro->text, "selected" => true));
				} else {
					array_push($new, array("id" => $ro->id, "text" => $ro->text));
				}
			}
			$r['data'] = $new;
			return $r;
		}

	}

	public function calendar_event($id) {
		$data['booking'] = Bookings::find($id);
		return view("bookings.event", $data);

	}
	public function calendar_view() {
		$booking = Bookings::where('user_id', Auth::user()->id)->exists();
		return view("bookings.calendar", compact('booking'));
	}

	public function service_view($id) {
		$data['service'] = ServiceReminderModel::find($id);
		return view("bookings.service_event", $data);
	}

	public function calendar(Request $request) {
		$data = array();
		$start = $request->get("start");
		$end = $request->get("end");
		$b = Bookings::where("pickup", ">=", $start)->where("dropoff", "<=", $end)->get();
		foreach ($b as $booking) {
			$x['start'] = $booking->pickup;
			$x['end'] = $booking->dropoff;
			if ($booking->status == 1) {
				$color = "grey";
			} else {
				$color = "red";
			}
			$x['backgroundColor'] = $color;
			$x['title'] = $booking->customer->name;
			$x['id'] = $booking->id;
			$x['type'] = 'calendar';

			array_push($data, $x);
		}

		$reminders = ServiceReminderModel::get();
		foreach ($reminders as $r) {
			$interval = substr($r->services->overdue_unit, 0, -3);
			$int = $r->services->overdue_time . $interval;
			$date = date('Y-m-d', strtotime($int, strtotime(date('Y-m-d'))));

			$x['start'] = $date;
			$x['end'] = $date;

			$color = "green";

			$x['backgroundColor'] = $color;
			$x['title'] = $r->services->description;
			$x['id'] = $r->id;
			$x['type'] = 'service';
			array_push($data, $x);
		}
		return $data;
	}

	public function create() {
		$user = Auth::user()->group_id;
		$data['customers'] = User::where('user_type', 'C')->get();
		$data['drivers'] = User::whereUser_type("D")->get();
		$data['addresses'] = Address::where('customer_id', Auth::user()->id)->get();
		if ($user == null) {
			$data['vehicles'] = VehicleModel::whereIn_service("1")->get();
		} else {
			$data['vehicles'] = VehicleModel::where([['group_id', $user], ['in_service', '1']])->get();}
		return view("bookings.create", $data);
	}

	public function edit($id) {
		$booking = Bookings::whereId($id)->get()->first();

		$q = "select id,name,deleted_at from users where user_type='D' and deleted_at is null and id not in (select user_id from bookings where status=0 and  id!=" . $id . " and deleted_at is null and  (DATE_SUB(pickup, INTERVAL 15 MINUTE) between '" . $booking->pickup . "' and '" . $booking->dropoff . "' or DATE_ADD(dropoff, INTERVAL 15 MINUTE) between '" . $booking->pickup . "' and '" . $booking->dropoff . "' or dropoff between '" . $booking->pickup . "' and '" . $booking->dropoff . "'))";
		$drivers = collect(DB::select(DB::raw($q)));
		$q1 = "select * from vehicles where in_service=1 and deleted_at is null and id not in (select vehicle_id from bookings where status=0 and  id!=" . $id . " and deleted_at is null and  (DATE_SUB(pickup, INTERVAL 15 MINUTE) between '" . $booking->pickup . "' and '" . $booking->dropoff . "' or DATE_ADD(dropoff, INTERVAL 15 MINUTE) between '" . $booking->pickup . "' and '" . $booking->dropoff . "'  or dropoff between '" . $booking->pickup . "' and '" . $booking->dropoff . "'))";
		$vehicles = collect(DB::select(DB::raw($q1)));

		$index['drivers'] = $drivers;
		$index['vehicles'] = $vehicles;
		$index['data'] = $booking;

		return view("bookings.edit", $index);
	}

	public function destroy(Request $request) {
		// dd($request->get('id'));
		Bookings::find($request->get('id'))->delete();
		IncomeModel::where('income_id', $request->get('id'))->where('income_cat', 1)->delete();

		return redirect()->route('bookings.index');
	}

	protected function check_booking($pickup, $dropoff, $vehicle) {

		$chk = DB::table("bookings")
			->where("status", 0)
			->where("vehicle_id", $vehicle)
			->whereNull("deleted_at")
			->where("pickup", ">=", $pickup)
			->where("dropoff", "<=", $dropoff)
			->get();

		if (count($chk) > 0) {
			return false;
		} else {
			return true;
		}

	}

	public function store(BookingRequest $request) {
		$xx = $this->check_booking($request->get("pickup"), $request->get("dropoff"), $request->get("vehicle_id"));
		if ($xx) {
			$id = Bookings::create($request->all())->id;

			Address::updateOrCreate(['customer_id' => $request->get('customer_id'), 'address' => $request->get('pickup_addr')]);

			Address::updateOrCreate(['customer_id' => $request->get('customer_id'), 'address' => $request->get('dest_addr')]);

			$booking = Bookings::find($id);
			$booking->user_id = $request->get("user_id");
			$booking->driver_id = $request->get('driver_id');
			$dropoff = Carbon::parse($booking->dropoff);
			$pickup = Carbon::parse($booking->pickup);
			$diff = $pickup->diffInMinutes($dropoff);
			$booking->note = $request->get('note');
			$booking->duration = $diff;
			$booking->save();
			$mail = Bookings::find($id);

			Mail::to($mail->customer->email)->send(new VehicleBooked($booking));
			// Mail::to($mail->user->email)->send(new UserBooked($booking));
			Mail::to($mail->driver->email)->send(new DriverBooked($booking));
			return redirect()->route("bookings.index");
		} else {
			return redirect()->route("bookings.create")->withErrors(["error" => "Selected Vehicle is not Available in Given Timeframe"])->withInput();
		}

	}
	public function update(Request $request) {

		$booking = Bookings::whereId($request->get("id"))->first();

		$booking->vehicle_id = $request->get("vehicle_id");
		$booking->user_id = $request->get("user_id");
		$booking->driver_id = $request->get('driver_id');
		$booking->travellers = $request->get("travellers");
		$booking->pickup = $request->get("pickup");
		$booking->dropoff = $request->get("dropoff");
		$booking->pickup_addr = $request->get("pickup_addr");
		$booking->dest_addr = $request->get("dest_addr");

		$dropoff = Carbon::parse($request->get("dropoff"));
		$pickup = Carbon::parse($request->get("pickup"));
		$booking->note = $request->get('note');
		$diff = $pickup->diffInMinutes($dropoff);
		$booking->duration = $diff;
		$booking->save();

		return redirect()->route('bookings.index');

	}

	public function prev_address(Request $request) {
		$booking = Bookings::where('customer_id', $request->get('id'))->orderBy('id', 'desc')->first();
		if ($booking != null) {
			$r = array('pickup_addr' => $booking->pickup_addr, 'dest_addr' => $booking->dest_addr);
		} else {
			$r = array('pickup_addr' => "", 'dest_addr' => "");
		}

		return $r;
	}

	public function print_bookings() {
		if (Auth::user()->user_type == "C") {
			$data['data'] = Bookings::where('customer_id', Auth::user()->id)->orderBy('id', 'desc')->get();
		} else {
			$data['data'] = Bookings::orderBy('id', 'desc')->get();
		}

		return view('bookings.print_bookings', $data);
	}
}
