<?php
namespace App\Http\Controllers;
use App\Model\Bookings;
use App\Model\Expense;
use App\Model\IncomeModel;
// use App\Model\PartsModel;
use App\Model\ReviewModel;
use App\Model\User;
use App\Model\VehicleModel;
use App\Model\Vendor;
use Auth;
use DB;

class HomeController extends Controller {
	public function index() {

		if (Auth::user()->user_type == "D") {
			$index['data'] = User::whereId(Auth::user()->id)->first();
			$index['bookings'] = Bookings::orderBy('id', 'desc')->where('driver_id', Auth::user()->id)->get();

			$index['total'] = Bookings::whereDriver_id(Auth::user()->id)->get()->count();
			// $index['vehicle'] = VehicleModel::where('driver_id', Auth::user()->id)->first();
			return view("drivers.profile", $index);

		} elseif (Auth::user()->user_type == "C") {
			$data['income'] = DB::select(DB::raw("select sum(amount) as income from income where deleted_at is null and user_id =" . Auth::user()->id));
			$data['total_kms'] = DB::select(DB::raw("select sum(mileage) as total_kms from income where deleted_at is null and user_id =" . Auth::user()->id));
			// dd($income[0]->income);
			$data['time'] = 0;
			$data['travel_time'] = 0;
			$bookings = Bookings::where('customer_id', Auth::user()->id)->get();
			foreach ($bookings as $b) {
				if ($b->status == 1) {
					$data['time'] += $b->getMeta('waiting_time');
					$times = explode(" ", $b->getMeta('driving_time'));
					if (sizeof($times) == 2) {
						if (starts_with($times[1], 'hour')) {
							$data['travel_time'] += $times[0] * 60;
						}

						if (starts_with($times[1], 'min')) {
							$data['travel_time'] += $times[0];
						}
						if (starts_with($times[1], 'day')) {
							$data['travel_time'] += $times[0] * 24 * 60;
						}
					}

					if (sizeof($times) == 4) {
						if (starts_with($times[1], 'hour')) {
							$data['travel_time'] += $times[0] * 60;
						}

						if (starts_with($times[1], 'day')) {
							$data['travel_time'] += $times[0] * 24 * 60;
						}

						if (starts_with($times[3], 'hour')) {
							$data['travel_time'] += $times[2] * 60;
						}

						if (starts_with($times[3], 'min')) {
							$data['travel_time'] += $times[2];
						}
					}

					if (sizeof($times) == 6) {
						if (starts_with($times[1], 'day')) {
							$data['travel_time'] += $times[0] * 24 * 60;
						}

						if (starts_with($times[3], 'hour')) {
							$data['travel_time'] += $times[2] * 60;
						}

						if (starts_with($times[5], 'min')) {
							$data['travel_time'] += $times[4];
						}
					}
				}

			}
			return view('customers.home', $data);
		} else {

			$index['drivers'] = User::whereUser_type("D")->get()->count();
			$index['reviews'] = ReviewModel::all()->count();
			$index['customers'] = User::whereUser_type("C")->get()->count();
			$index['users'] = User::whereUser_type("O")->get()->count();
			$index['vehicles'] = VehicleModel::all()->count();
			$index['vendors'] = Vendor::all()->count();
			// $index['parts'] = PartsModel::all()->count();
			$index['bookings'] = Bookings::all()->count();
			$index['customers'] = User::whereUser_type("C")->get()->count();
			$index['income'] = IncomeModel::whereRaw('year(date) = ? and month(date)=?', [date("Y"), date("n")])->sum("amount");
			$index['expense'] = Expense::whereRaw('year(date) = ? and month(date)=?', [date("Y"), date("n")])->sum("amount");
			$index['yearly_income'] = $this->yearly_income();
			$index['yearly_expense'] = $this->yearly_expense();

			return view('home', $index);
		}

	}

	private function yearly_income() {
		$incomes = DB::select('select monthname(date) as mnth,sum(amount) as tot from income where year(date)=? and  deleted_at is null group by month(date)', [date("Y")]);
		$months = ["January" => 0, "February" => 0, "March" => 0, "April" => 0, "May" => 0, "June" => 0, "July" => 0, "August" => 0, "September" => 0, "October" => 0, "November" => 0, "December" => 0];
		$income2 = array();

		foreach ($incomes as $income) {

			$income2[$income->mnth] = $income->tot;

		}
		$yr = array_merge($months, $income2);
		return implode(",", $yr);
	}
	private function yearly_expense() {
		$incomes = DB::select('select monthname(date) as mnth,sum(amount) as tot from expense where year(date)=? and  deleted_at is null group by month(date)', [date("Y")]);
		$months = ["January" => 0, "February" => 0, "March" => 0, "April" => 0, "May" => 0, "June" => 0, "July" => 0, "August" => 0, "September" => 0, "October" => 0, "November" => 0, "December" => 0];
		$income2 = array();

		foreach ($incomes as $income) {

			$income2[$income->mnth] = $income->tot;

		}
		$yr = array_merge($months, $income2);
		return implode(",", $yr);

	}
}
