<?php

namespace App\Http\Controllers;

use App\Http\Requests\NotesRequest;
use App\Model\NotesModel;
use App\Model\User;
use App\Model\VehicleModel;
use Auth;
use Illuminate\Http\Request;

class NotesController extends Controller {
	public function index() {
		if (Auth::User()->user_type == "S") {
			$index['data'] = NotesModel::get();
		} else {
			$index['data'] = NotesModel::where('customer_id', Auth::User()->id)->get();
		}

		return view('notes.index', $index);
	}

	public function create() {
		$data['vehicles'] = VehicleModel::whereIn_service("1")->get();
		$data['customers'] = User::where('user_type', '!=', 'C')->where('deleted_at', null)->get();
		return view('notes.create', $data);
	}

	public function store(NotesRequest $request) {
		// dd($request->all());
		$note = new NotesModel();
		$note->vehicle_id = $request->get('vehicle_id');
		$note->customer_id = $request->get('customer_id');
		$note->note = $request->get('note');
		$note->submitted_on = $request->get('submitted_on');
		$note->status = $request->get('status');
		$note->save();

		return redirect()->route('notes.index');
	}

	public function edit($id) {
		$index['vehicles'] = VehicleModel::whereIn_service("1")->get();
		$index['customers'] = User::where('user_type', '!=', 'C')->get();
		$index['data'] = NotesModel::whereId($id)->first();
		return view('notes.edit', $index);
	}

	public function update(NotesRequest $request) {
		// dd($request->all());
		$note = NotesModel::find($request->get("id"));
		$note->vehicle_id = $request->get('vehicle_id');
		$note->customer_id = $request->get('customer_id');
		$note->note = $request->get('note');
		$note->submitted_on = $request->get('submitted_on');
		$note->status = $request->get('status');
		$note->save();

		return redirect()->route('notes.index');

	}

	public function destroy(Request $request) {
		NotesModel::find($request->get('id'))->delete();

		return redirect()->route('notes.index');
	}
}
