<?php

namespace App\Http\Controllers;
use App\Http\Requests\ReasonRequest;
use App\Model\ReasonsModel;
use Illuminate\Http\Request;

class ReasonController extends Controller {
	public function index() {
		$reasons = ReasonsModel::get();
		return view('cancel-reasons.index', compact('reasons'));
	}

	public function create() {
		return view('cancel-reasons.create');
	}

	public function store(ReasonRequest $request) {

		ReasonsModel::updateOrCreate(['reason' => $request->get('reason')]);
		return redirect()->route('cancel-reason.index');
	}

	public function edit($id) {
		$reason = ReasonsModel::find($id);
		return view('cancel-reasons.edit', compact('reason'));
	}

	public function update(ReasonRequest $request) {
		$reason = ReasonsModel::find($request->get('id'));
		$reason->reason = $request->get('reason');
		$reason->save();
		return redirect()->route('cancel-reason.index');
	}

	public function destroy(Request $request) {
		ReasonsModel::find($request->get('id'))->delete();
		return redirect()->route('cancel-reason.index');
	}

}
