<?php

namespace App\Http\Controllers;
use App\Model\Bookings;
use App\Model\ExpCats;
use App\Model\FuelModel;
// use App\Model\PartsModel;
use App\Model\IncCats;
use App\Model\User;
use App\Model\VehicleModel;
use App\Model\WorkOrders;
use DB;
use Illuminate\Http\Request;

class ReportsController extends Controller {

	public function monthly() {

		$years = DB::select(DB::raw("select distinct year(date) as years from income  union select distinct year(date) as years from expense order by years desc"));
		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {

			$y[] = date('Y');

		}
		$data['vehicles'] = VehicleModel::get();

		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['vehicle_select'] = null;
		$data['years'] = $y;
		$data['income'] = DB::select(DB::raw("select sum(amount) as income from income where deleted_at is null and year(date)=" . date("Y") . " and month(date)=" . date("n")));
		$data['expenses'] = DB::select(DB::raw("select sum(amount) as expense from expense where deleted_at is null and year(date)=" . date("Y") . " and month(date)=" . $data['month_select']));
		$data['expense_by_cat'] = DB::select(DB::raw("select expense_type,sum(amount) as expense from expense where deleted_at is null and year(date)=" . date("Y") . " and month(date)=" . date("n") . " group by expense_type"));

		$data['income_by_cat'] = DB::select(DB::raw("select income_cat,sum(amount) as amount from income where deleted_at is null and year(date)=" . date("Y") . " and month(date)=" . date("n") . " group by income_cat"));

		$kk = ExpCats::get();

		foreach ($kk as $k) {
			$b[$k->id] = $k->name;

		}
		$hh = IncCats::get();

		foreach ($hh as $k) {
			$i[$k->id] = $k->name;

		}
		$data['expense_cats'] = $b;
		$data['income_cats'] = $i;
		$data['result'] = "";

		return view("reports.monthly", $data);
	}

	public function delinquent() {
		$years = collect(DB::select("select distinct year(date) as years from income where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {
			$y[] = date('Y');
		}
		$data['vehicles'] = VehicleModel::get()->toArray();

		$data['vehicle_id'] = "";
		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['years'] = $y;

		return view("reports.delinquent", $data);
	}

	public function booking() {
		$years = collect(DB::select("select distinct year(pickup) as years from bookings where deleted_at is null order by years desc"));

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}
		$data['vehicle_select'] = "";
		$data['customer_select'] = "";
		$data['customers'] = User::where('user_type', 'C')->get();
		$data['years'] = $y;
		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['bookings'] = Bookings::whereMonth("pickup", date("n"))->whereMonth("pickup", date("n"))->get();
		$data['vehicles'] = VehicleModel::get();

		return view("reports.booking", $data);
	}

	public function booking_post(Request $request) {
		$years = collect(DB::select("select distinct year(pickup) as years from bookings where deleted_at is null order by years desc"));

		$y = array();
		$data['customers'] = User::where('user_type', 'C')->get();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}
		$data['vehicle_select'] = $request->get('vehicle_id');
		$data['customer_select'] = $request->get('customer_id');
		$data['years'] = $y;
		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		$data['bookings'] = Bookings::whereMonth("pickup", $data['month_select'])->whereMonth("pickup", $data['month_select']);
		if ($request->get("vehicle_id") != "") {
			$data['bookings'] = $data['bookings']->where("vehicle_id", $request->get("vehicle_id"));
		}
		if ($request->get("customer_id") != "") {
			$data['bookings'] = $data['bookings']->where("customer_id", $request->get("customer_id"));
		}
		$data['bookings'] = $data['bookings']->get();
		$data['vehicles'] = VehicleModel::get();

		return view("reports.booking", $data);
	}
	public function delinquent_post(Request $request) {

		$years = DB::select(DB::raw("select distinct year(date) as years from income where deleted_at is null order by years desc"));
		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}
		if ($years == null) {
			$y[] = date('Y');
		}
		$data['vehicles'] = VehicleModel::get();
		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		foreach ($data['vehicles'] as $row) {
			$data['v'][$row['id']] = $row;
		}

		$data['vehicle_id'] = $request->get("vehicle_id");
		$v = "";
		if ($data['vehicle_id'] != "") {
			$v = " and vehicle_id=" . $data['vehicle_id'];
		}
		$data['data'] = DB::select(DB::raw("select vehicle_id,income_cat,date,sum(amount) as Income2,dayname(date) as day from income where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . $v . " group by date order by date"));

		$data['years'] = $y;
		$data['result'] = "";

		return view("reports.delinquent", $data);
	}

	/*
		public function parts() {
				$data['parts'] = PartsModel::get();

				return view("reports.parts", $data);
			}
			public function parts_post(Request $request) {
				$data['parts'] = PartsModel::get();
				$data['parts2'] = TransactionModel::wherePart_id($request->get("part"))->get();

				$data['result'] = "";
				return view("reports.parts", $data);
			}
	*/

	public function monthly_post(Request $request) {

		$years = DB::select(DB::raw("select distinct year(date) as years from income  union select distinct year(date) as years from expense order by years desc"));
		$y = array();
		$b = array();
		$i = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}
		if ($years == null) {
			$y[] = date('Y');
		}
		$data['vehicles'] = VehicleModel::get();
		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		$data['vehicle_select'] = $request->get("vehicle_id");
		$vk = "";
		if ($data['vehicle_select'] != "") {
			$vk = " and vehicle_id=" . $data['vehicle_select'];
		}
		$data['income'] = DB::select(DB::raw("select sum(amount) as income from income where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . $vk));
		$data['expenses'] = DB::select(DB::raw("select sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . $vk));
		$data['expense_by_cat'] = DB::select(DB::raw("select expense_type,sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . "$vk group by expense_type"));

		$data['income_by_cat'] = DB::select(DB::raw("select income_cat,sum(amount) as amount from income where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . "$vk group by income_cat"));

		$kk = ExpCats::get();

		foreach ($kk as $k) {
			$b[$k->id] = $k->name;

		}
		$hh = IncCats::get();

		foreach ($hh as $k) {
			$i[$k->id] = $k->name;

		}
		$data['expense_cats'] = $b;
		$data['income_cats'] = $i;

		$data['years'] = $y;
		$data['result'] = "";
		return view("reports.monthly", $data);
	}

	public function fuel() {
		$years = collect(DB::select("select distinct year(date) as years from income where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {
			$y[] = date('Y');
		}
		$data['vehicles'] = VehicleModel::get()->toArray();
		$data['fuel'] = FuelModel::get();
		$data['vehicle_id'] = "";
		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['years'] = $y;
		return view('reports.fuel', $data);
	}

	public function fuel_post(Request $request) {

		$years = collect(DB::select("select distinct year(date) as years from income where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {
			$y[] = date('Y');
		}
		$data['vehicles'] = VehicleModel::get()->toArray();

		$data['vehicle_id'] = $request->get('vehicle_id');
		$data['year_select'] = $request->get('year');
		$data['month_select'] = $request->get('month');
		$data['years'] = $y;
		$v = " and vehicle_id=" . $data['vehicle_id'];
		if ($request->get('month') == '0') {
			$data['fuel'] = FuelModel::whereYear('date', $data['year_select'])->where('vehicle_id', $request->get('vehicle_id'))->get();

		} else {
			$data['fuel'] = FuelModel::whereYear('date', $data['year_select'])->whereMonth('date', $data['month_select'])->where('vehicle_id', $request->get('vehicle_id'))->get();
		}

		$data['result'] = "";
		return view('reports.fuel', $data);
	}

	public function yearly() {
		$years = DB::select(DB::raw("select distinct year(date) as years from income  union select distinct year(date) as years from expense order by years desc"));
		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {

			$y[] = date('Y');

		}
		$data['vehicles'] = VehicleModel::get();

		$data['year_select'] = date("Y");

		$data['vehicle_select'] = null;
		$data['years'] = $y;
		$data['income'] = DB::select(DB::raw("select sum(amount) as income from income where deleted_at is null and year(date)=" . date("Y")));
		$data['expenses'] = DB::select(DB::raw("select sum(amount) as expense from expense where deleted_at is null and year(date)=" . date("Y")));
		$data['expense_by_cat'] = DB::select(DB::raw("select expense_type,sum(amount) as expense from expense where deleted_at is null and year(date)=" . date("Y") . " group by expense_type"));

		$data['income_by_cat'] = DB::select(DB::raw("select income_cat,sum(amount) as amount from income where deleted_at is null and year(date)=" . date("Y") . " group by income_cat"));

		$kk = ExpCats::get();

		foreach ($kk as $k) {
			$b[$k->id] = $k->name;

		}
		$hh = IncCats::get();

		foreach ($hh as $k) {
			$i[$k->id] = $k->name;

		}
		$data['expense_cats'] = $b;
		$data['income_cats'] = $i;
		$data['result'] = "";
		return view('reports.yearly', $data);
	}

	public function yearly_post(Request $request) {

		$years = DB::select(DB::raw("select distinct year(date) as years from income  union select distinct year(date) as years from expense order by years desc"));
		$y = array();
		$b = array();
		$i = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}
		if ($years == null) {
			$y[] = date('Y');
		}
		$data['vehicles'] = VehicleModel::get();
		$data['year_select'] = $request->get("year");
		$data['vehicle_select'] = $request->get("vehicle_id");
		$vk = "";
		if ($data['vehicle_select'] != "") {
			$vk = " and vehicle_id=" . $data['vehicle_select'];
		}
		$data['income'] = DB::select(DB::raw("select sum(amount) as income from income where deleted_at is null and year(date)=" . $data['year_select'] . $vk));
		$data['expenses'] = DB::select(DB::raw("select sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . $vk));
		$data['expense_by_cat'] = DB::select(DB::raw("select expense_type,sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . "$vk group by expense_type"));

		$data['income_by_cat'] = DB::select(DB::raw("select income_cat,sum(amount) as amount from income where deleted_at is null and year(date)=" . $data['year_select'] . "$vk group by income_cat"));

		$kk = ExpCats::get();

		foreach ($kk as $k) {
			$b[$k->id] = $k->name;

		}
		$hh = IncCats::get();

		foreach ($hh as $k) {
			$i[$k->id] = $k->name;

		}
		$data['expense_cats'] = $b;
		$data['income_cats'] = $i;

		$data['years'] = $y;
		$data['result'] = "";
		return view('reports.yearly', $data);
	}

	public function vendors() {

		$data['details'] = DB::select(DB::raw("select vendor_id,sum(price) as total from work_orders where deleted_at is null group by vendor_id"));

		$kk = WorkOrders::select('vendor_id')->groupBy('vendor_id')->get();

		foreach ($kk as $k) {
			$b[$k->vendor_id] = $k->vendor->name;

		}
		$data['vendors'] = $b;
		return view('reports.vendor', $data);
	}

	public function vendors_post(Request $request) {
		$start = date('Y-m-d H:i:s', strtotime($request->get('date1')));

		$end = date('Y-m-d H:i:s', strtotime($request->get('date2')));
		$data['details'] = DB::select(DB::raw("select vendor_id,sum(price) as total from work_orders where deleted_at is null and created_at between '" . $start . "' and '" . $end . "' group by vendor_id"));

		$kk = WorkOrders::select('vendor_id')->groupBy('vendor_id')->get();

		foreach ($kk as $k) {
			$b[$k->vendor_id] = $k->vendor->name;

		}
		$data['vendors'] = $b;
		return view('reports.vendor', $data);

	}

	public function drivers() {
		// data of current month and current year

		$drivers = Bookings::select(['id', 'driver_id'])->where('status', 1)->groupBy('driver_id')->get();
		$drivers_by_year = array();
		foreach ($drivers as $d) {
			$drivers_by_year[$d->driver->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", date("Y"))->where('driver_id', $d->driver_id)->sum('value');

		}
		// dd($drivers_by_year);
		$data['drivers_by_year'] = $drivers_by_year;
		$drivers_by_month = array();
		foreach ($drivers as $d) {
			$drivers_by_month[$d->driver->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", date("Y"))->whereMonth("bookings.updated_at", date("n"))->where('driver_id', $d->driver_id)->sum('value');

		}
		$data['drivers_by_month'] = $drivers_by_month;
		// dd($drivers_by_month);
		$years = collect(DB::select("select distinct year(created_at) as years from bookings where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {
			$y[] = date('Y');
		}

		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['years'] = $y;
		return view('reports.driver', $data);

	}

	public function drivers_post(Request $request) {
		// data of selected month and year
		$drivers = Bookings::select(['id', 'driver_id'])->where('status', 1)->groupBy('driver_id')->get();
		$drivers_by_year = array();
		foreach ($drivers as $d) {
			$drivers_by_year[$d->driver->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", $request->get("year"))->where('driver_id', $d->driver_id)->sum('value');

		}
		// dd($drivers_by_year);
		$data['drivers_by_year'] = $drivers_by_year;

		$drivers_by_month = array();
		foreach ($drivers as $d) {
			$drivers_by_month[$d->driver->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", $request->get('year'))->whereMonth("bookings.updated_at", $request->get("month"))->where('driver_id', $d->driver_id)->sum('value');

		}

		// dd($drivers_by_month);
		$data['drivers_by_month'] = $drivers_by_month;

		$years = collect(DB::select("select distinct year(created_at) as years from bookings where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		$data['years'] = $y;

		return view('reports.driver', $data);

	}

	public function customers() {
		// data of current month and current year

		$customers = Bookings::select(['id', 'customer_id'])->where('status', 1)->groupBy('customer_id')->get();
		$customers_by_year = array();
		foreach ($customers as $d) {
			$customers_by_year[$d->customer->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", date("Y"))->where('customer_id', $d->customer_id)->sum('value');

		}

		$data['customers_by_year'] = $customers_by_year;
		arsort($customers_by_year);
		$data['top10'] = array_slice($customers_by_year, 0, 10);

		// dd($customers_by_year);

		$customers_by_month = array();
		foreach ($customers as $d) {
			$customers_by_month[$d->customer->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", date("Y"))->whereMonth("bookings.updated_at", date("n"))->where('customer_id', $d->customer_id)->sum('value');

		}
		$data['customers_by_month'] = $customers_by_month;
		// dd($customers_by_month);
		$years = collect(DB::select("select distinct year(created_at) as years from bookings where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {
			$y[] = date('Y');
		}

		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['years'] = $y;
		return view('reports.customer', $data);

	}

	public function customers_post(Request $request) {
		// data of selected month and year
		$customers = Bookings::select(['id', 'customer_id'])->where('status', 1)->groupBy('customer_id')->get();
		$customers_by_year = array();
		foreach ($customers as $d) {
			$customers_by_year[$d->customer->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", $request->get("year"))->where('customer_id', $d->customer_id)->sum('value');

		}
		$data['customers_by_year'] = $customers_by_year;

		arsort($customers_by_year);
		$data['top10'] = array_slice($customers_by_year, 0, 10);

		// dd($customers_by_year);

		$customers_by_month = array();
		foreach ($customers as $d) {
			$customers_by_month[$d->customer->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", $request->get("year"))->whereMonth("bookings.updated_at", $request->get("month"))->where('customer_id', $d->customer_id)->sum('value');

		}

		// dd($customers_by_month);
		$data['customers_by_month'] = $customers_by_month;

		$years = collect(DB::select("select distinct year(created_at) as years from bookings where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		$data['years'] = $y;

		return view('reports.customer', $data);

	}

	public function print_deliquent(Request $request) {

		$data['vehicles'] = VehicleModel::get();
		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		foreach ($data['vehicles'] as $row) {
			$data['v'][$row['id']] = $row;
		}

		$data['vehicle_id'] = $request->get("vehicle_id");
		$v = "";
		if ($data['vehicle_id'] != "") {
			$v = " and vehicle_id=" . $data['vehicle_id'];
		}
		$data['data'] = DB::select(DB::raw("select vehicle_id,income_cat,date,sum(amount) as Income2,dayname(date) as day from income where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . $v . " group by date order by date"));
		$data['vehicle'] = VehicleModel::find($request->get('vehicle_id'));
		return view('reports.print_delinquent', $data);
	}

	public function print_monthly(Request $request) {
		$b = array();
		$i = array();

		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		$data['vehicle_select'] = $request->get("vehicle_id");
		$vk = "";
		if ($data['vehicle_select'] != "") {
			$vk = " and vehicle_id=" . $data['vehicle_select'];
		}
		$data['income'] = DB::select(DB::raw("select sum(amount) as income from income where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . $vk));
		$data['expenses'] = DB::select(DB::raw("select sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . $vk));
		$data['expense_by_cat'] = DB::select(DB::raw("select expense_type,sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . "$vk group by expense_type"));

		$data['income_by_cat'] = DB::select(DB::raw("select income_cat,sum(amount) as amount from income where deleted_at is null and year(date)=" . $data['year_select'] . " and month(date)=" . $data['month_select'] . "$vk group by income_cat"));

		$kk = ExpCats::get();

		foreach ($kk as $k) {
			$b[$k->id] = $k->name;

		}
		$hh = IncCats::get();

		foreach ($hh as $k) {
			$i[$k->id] = $k->name;

		}
		$data['expense_cats'] = $b;
		$data['income_cats'] = $i;

		$data['vehicle'] = VehicleModel::find($request->get("vehicle_id"));

		return view('reports.print_monthly', $data);

	}

	public function print_booking(Request $request) {

		$data['customers'] = User::where('user_type', 'C')->get();
		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		$data['bookings'] = Bookings::whereMonth("pickup", $data['month_select'])->whereMonth("pickup", $data['month_select']);
		if ($request->get("vehicle_id") != "") {
			$data['bookings'] = $data['bookings']->where("vehicle_id", $request->get("vehicle_id"));
		}
		if ($request->get("customer_id") != "") {
			$data['bookings'] = $data['bookings']->where("customer_id", $request->get("customer_id"));
		}
		$data['bookings'] = $data['bookings']->get();
		return view('reports.print_bookings', $data);
	}

	public function print_fuel(Request $request) {

		$data['vehicles'] = VehicleModel::get()->toArray();

		$data['vehicle_id'] = $request->get('vehicle_id');
		$data['year_select'] = $request->get('year');
		$data['month_select'] = $request->get('month');

		$v = " and vehicle_id=" . $data['vehicle_id'];
		if ($request->get('month') == '0') {
			$data['fuel'] = FuelModel::whereYear('date', $data['year_select'])->where('vehicle_id', $request->get('vehicle_id'))->get();

		} else {
			$data['fuel'] = FuelModel::whereYear('date', $data['year_select'])->whereMonth('date', $data['month_select'])->where('vehicle_id', $request->get('vehicle_id'))->get();
		}
		$data['vehicle'] = VehicleModel::find($request->get('vehicle_id'));

		return view('reports.print_fuel', $data);
	}

	public function print_yearly(Request $request) {

		$b = array();
		$i = array();

		$data['vehicles'] = VehicleModel::get();
		$data['year_select'] = $request->get("year");
		$data['vehicle_select'] = $request->get("vehicle_id");
		$vk = "";
		if ($data['vehicle_select'] != "") {
			$vk = " and vehicle_id=" . $data['vehicle_select'];
		}
		$data['income'] = DB::select(DB::raw("select sum(amount) as income from income where deleted_at is null and year(date)=" . $data['year_select'] . $vk));
		$data['expenses'] = DB::select(DB::raw("select sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . $vk));
		$data['expense_by_cat'] = DB::select(DB::raw("select expense_type,sum(amount) as expense from expense where deleted_at is null and year(date)=" . $data['year_select'] . "$vk group by expense_type"));

		$data['income_by_cat'] = DB::select(DB::raw("select income_cat,sum(amount) as amount from income where deleted_at is null and year(date)=" . $data['year_select'] . "$vk group by income_cat"));

		$kk = ExpCats::get();

		foreach ($kk as $k) {
			$b[$k->id] = $k->name;

		}
		$hh = IncCats::get();

		foreach ($hh as $k) {
			$i[$k->id] = $k->name;

		}
		$data['expense_cats'] = $b;
		$data['income_cats'] = $i;

		$data['vehicle'] = VehicleModel::find($request->get('vehicle_id'));

		return view('reports.print_yearly', $data);
	}

	public function print_driver(Request $request) {

		$drivers = Bookings::select(['id', 'driver_id'])->where('status', 1)->groupBy('driver_id')->get();

		$drivers_by_month = array();
		foreach ($drivers as $d) {
			$drivers_by_month[$d->driver->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", $request->get('year'))->whereMonth("bookings.updated_at", $request->get("month"))->where('driver_id', $d->driver_id)->sum('value');

		}

		// dd($drivers_by_month);
		$data['drivers_by_month'] = $drivers_by_month;

		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");

		return view('reports.print_driver', $data);
	}

	public function print_vendor() {
		$data['details'] = DB::select(DB::raw("select vendor_id,sum(price) as total from work_orders where deleted_at is null group by vendor_id"));

		$kk = WorkOrders::select('vendor_id')->groupBy('vendor_id')->get();

		foreach ($kk as $k) {
			$b[$k->vendor_id] = $k->vendor->name;

		}
		$data['vendors'] = $b;

		return view('reports.print_vendor', $data);
	}

	public function print_customer(Request $request) {
		$customers = Bookings::select(['id', 'customer_id'])->where('status', 1)->groupBy('customer_id')->get();
		$customers_by_year = array();
		foreach ($customers as $d) {
			$customers_by_year[$d->customer->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", $request->get("year"))->where('customer_id', $d->customer_id)->sum('value');

		}
		$data['customers_by_year'] = $customers_by_year;

		arsort($customers_by_year);
		$data['top10'] = array_slice($customers_by_year, 0, 10);

		// dd($customers_by_year);

		$customers_by_month = array();
		foreach ($customers as $d) {
			$customers_by_month[$d->customer->name] = Bookings::meta()
				->where(function ($query) {
					$query->where('bookings_meta.key', '=', 'total');

				})->whereYear("bookings.updated_at", $request->get("year"))->whereMonth("bookings.updated_at", $request->get("month"))->where('customer_id', $d->customer_id)->sum('value');

		}

		// dd($customers_by_month);
		$data['customers_by_month'] = $customers_by_month;

		$years = collect(DB::select("select distinct year(created_at) as years from bookings where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");
		$data['years'] = $y;
		return view('reports.print_customer', $data);
	}

	public function users() {
		$years = collect(DB::select("select distinct year(pickup) as years from bookings where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {
			$y[] = date('Y');
		}
		$data['users'] = User::where('user_type', 'O')->orWhere('user_type', 'S')->get();
		$data['user_id'] = "";
		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['years'] = $y;
		return view('reports.users', $data);
	}

	public function users_post(Request $request) {
		// dd($request->all());
		$years = DB::select(DB::raw("select distinct year(pickup) as years from bookings where deleted_at is null order by years desc"));
		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}
		if ($years == null) {
			$y[] = date('Y');
		}
		$data['users'] = User::where('user_type', 'O')->orWhere('user_type', 'S')->get();
		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");

		$data['user_id'] = $request->get("user_id");

		$data['data'] = Bookings::whereYear('pickup', $data['year_select'])->whereMonth('pickup', $data['month_select'])->where('user_id', $request->get('user_id'))->get();
		// dd($data['data']);
		$data['years'] = $y;
		$data['result'] = "";

		return view("reports.users", $data);
	}

	public function print_users(Request $request) {

		$data['year_select'] = $request->get("year");
		$data['month_select'] = $request->get("month");

		$data['data'] = Bookings::whereYear('pickup', $data['year_select'])->whereMonth('pickup', $data['month_select'])->where('user_id', $request->get('user_id'))->get();
		// dd($data['data']);

		return view('reports.print_users', $data);
	}
}
