<?php

namespace App\Http\Controllers;
use App\Http\Requests\ServiceItem;
use App\Model\ServiceItemsModel;
use App\Model\ServiceReminderModel;
use Illuminate\Http\Request;

class ServiceItemsController extends Controller {

	public function index() {
		$data['services'] = ServiceItemsModel::get();
		// dd($services);
		return view('service_items.index', $data);
	}

	public function create() {
		return view('service_items.create');
	}

	public function store(ServiceItem $request) {
		// dd($request->all());
		ServiceItemsModel::create(['description' => $request->get('description'),
			'time_interval' => $request->get('chk1'),
			'overdue_time' => $request->get('time1'),
			'overdue_unit' => $request->get('interval1'),
			'meter_interval' => $request->get('chk2'),
			'overdue_meter' => $request->get('meter1'),
			'show_time' => $request->get('chk3'),
			'duesoon_time' => $request->get('time2'),
			'duesoon_unit' => $request->get('interval2'),
			'show_meter' => $request->get('chk4'),
			'duesoon_meter' => $request->get('meter2'),
		]);
		return redirect()->route('service-item.index');
	}

	public function edit($id) {
		$data['service'] = ServiceItemsModel::find($id);
		return view('service_items.edit', $data);
	}

	public function update(ServiceItem $request) {
		$service = ServiceItemsModel::find($request->get('id'));
		$service->description = $request->get('description');
		$service->time_interval = $request->get('chk1');
		$service->overdue_time = $request->get('time1');
		$service->overdue_unit = $request->get('interval1');
		$service->meter_interval = $request->get('chk2');
		$service->overdue_meter = $request->get('meter1');
		$service->show_time = $request->get('chk3');
		$service->duesoon_time = $request->get('time2');
		$service->duesoon_unit = $request->get('interval2');
		$service->show_meter = $request->get('chk4');
		$service->duesoon_meter = $request->get('meter2');
		$service->save();

		return redirect()->route('service-item.index');
	}

	public function destroy(Request $request) {
		ServiceItemsModel::find($request->get('id'))->delete();
		ServiceReminderModel::where('service_id', $request->get('id'))->delete();
		return redirect()->route('service-item.index');
	}

}