<?php
namespace App\Http\Controllers;
// use App\Http\Requests\SettingsRequest;
use App\Mail\RenewDrivingLicence;
use App\Mail\RenewInsurance;
use App\Mail\RenewRegistration;
use App\Mail\RenewVehicleLicence;
use App\Mail\ServiceReminder;
use App\Model\ApiSettings;
use App\Model\EmailContent;
use App\Model\FareSettings;
use App\Model\ServiceReminderModel;
use App\Model\Settings;
use App\Model\User;
use App\Model\VehicleModel;
use Auth;
use Cache;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Str;
use Input;
use Redirect;
use Storage;

class SettingsController extends Controller {

	public function index() {
		$data['settings'] = Settings::all();
		$data['languages'] = Storage::disk('views')->directories('');
		return view("utilities.settings", $data);
	}

	private function upload_file($file, $field, $name) {
		$destinationPath = './'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName1 = Str::uuid() . '.' . $extension;

		$file->move($destinationPath, $fileName1);

		$x = Settings::where("name", $name)->update([$field => $fileName1]);

	}

	public function store(Request $request) {

		foreach ($request->get('name') as $key => $val) {
			Settings::where('name', $key)->update(['value' => $val]);
			if ($key == 'language') {
				$user = Auth::user();
				$user->language = $val;
				$user->save();
			}
		}
		if (Input::hasFile('icon_img') && Input::file('icon_img')->isValid()) {
			$this->upload_file(Input::file('icon_img'), "value", 'icon_img');
		}

		if (Input::hasFile('logo_img') && Input::file('logo_img')->isValid()) {
			$this->upload_file(Input::file('logo_img'), "value", 'logo_img');
		}

		Cache::flush();
		return Redirect::route("settings.index");
	}

	public function api_settings() {
		$data['settings'] = ApiSettings::all();
		return view("utilities.api_settings", $data);
	}

	public function store_settings(Request $request) {
		// dd($request->all());
		ApiSettings::where('key_name', 'api')->update(['key_value' => 0]);
		ApiSettings::where('key_name', 'anyone_register')->update(['key_value' => 0]);

		ApiSettings::where('key_name', 'driver_review')->update(['key_value' => 0]);
		foreach ($request->get('name') as $key => $val) {
			ApiSettings::where('key_name', $key)->update(['key_value' => $val]);
		}

		Cache::flush();
		return Redirect::back();
	}

	public function fare_settings() {
		$data['settings'] = FareSettings::all();
		return view('utilities.fare_settings', $data);
	}
	public function store_fareSettings(Request $request) {
		foreach ($request->get('name') as $key => $val) {
			FareSettings::where('key_name', $key)->update(['key_value' => $val]);
		}

		Cache::flush();
		return Redirect::back();

	}

	public function send_email() {
		$data['users'] = User::where('user_type', '!=', 'C')->where('user_type', '!=', 'D')->get();
		$selected_users = EmailContent::where('key', 'users')->first();
		$selected_options = EmailContent::where('key', 'options')->first();
		$data['options'] = array();
		$data['selected_users'] = array();
		if ($selected_options->value != null) {
			$data['options'] = unserialize($selected_options->value);
		}
		if ($selected_users->value != null) {
			$data['selected_users'] = unserialize($selected_users->value);
		}

		return view('utilities.send_email', $data);
	}

	public function email_settings(Request $request) {

		EmailContent::where('key', 'users')->update(['value' => serialize($request->get('users'))]);
		EmailContent::where('key', 'options')->update(['value' => serialize($request->get('chk'))]);

		return redirect()->back();

	}

	public function email_notification(Request $request) {
		// dd($request->get('chk'));
		$chk = $request->get('chk');
		$users = User::whereIn('id', $request->get('users'))->get();
		$d = VehicleModel::get();

		if (in_array(1, $chk)) {

			foreach ($d as $data) {

				$vehicle = $data->make . '-' . $data->model . '-' . $data->license_plate;
				$reg_date = $data->reg_exp_date;
				$to = \Carbon\Carbon::now();
				$from = \Carbon\Carbon::createFromFormat('Y-m-d', $reg_date);
				$diff_in_days = $to->diffInDays($from);
				if ($diff_in_days <= 20) {
					foreach ($users as $user) {

						Mail::to($user->email)->send(new RenewRegistration($vehicle, $reg_date, $user->name));

					}
				}
			}
		}

		if (in_array(3, $chk)) {

			foreach ($d as $data) {

				$vehicle = $data->make . '-' . $data->model . '-' . $data->license_plate;
				$lic_date = $data->lic_exp_date;
				$to = \Carbon\Carbon::now();
				$from = \Carbon\Carbon::createFromFormat('Y-m-d', $lic_date);
				$diff_in_days = $to->diffInDays($from);
				if ($diff_in_days <= 20) {
					foreach ($users as $user) {
						Mail::to($user->email)->send(new RenewVehicleLicence($vehicle, $lic_date, $user->name));

					}
				}
			}
		}

		if (in_array(4, $chk)) {

			$d1 = User::where('user_type', 'D')->where('deleted_at', null)->get();

			foreach ($d1 as $data) {

				$driver = $data->name;
				$lic_date = $data->getMeta('exp_date');
				$to = \Carbon\Carbon::now();
				$from = \Carbon\Carbon::createFromFormat('Y-m-d', $lic_date);
				$diff_in_days = $to->diffInDays($from);
				if ($diff_in_days <= 20) {
					foreach ($users as $user) {
						Mail::to($user->email)->send(new RenewDrivingLicence($driver, $lic_date, $diff_in_days, $user->name));

					}
				}
			}
		}

		if (in_array(2, $chk)) {

			$v = VehicleModel::get();
			foreach ($v as $vehicle) {
				$ins_date = $vehicle->getMeta('ins_exp_date');
				$vehicle = $vehicle->make . '-' . $vehicle->model . '-' . $vehicle->license_plate;
				$to = \Carbon\Carbon::now();
				$from = \Carbon\Carbon::createFromFormat('Y-m-d', $ins_date);
				$diff_in_days = $to->diffInDays($from);
				if ($diff_in_days <= 20) {
					foreach ($users as $user) {
						Mail::to($user->email)->send(new RenewInsurance($vehicle, $ins_date, $diff_in_days, $user->name));

					}
				}
			}
		}

		if (in_array(5, $chk)) {

			$s = ServiceReminderModel::get();
			foreach ($s as $data) {
				$interval = substr($data->services->overdue_unit, 0, -3);
				$int = $data->services->overdue_time . $interval;
				$date = date('Y-m-d', strtotime($int, strtotime(date('Y-m-d'))));

				$to = \Carbon\Carbon::now();
				$from = \Carbon\Carbon::createFromFormat('Y-m-d', $date);
				$diff_in_days = $to->diffInDays($from);

				$duesoon = substr($data->services->duesoon_unit, 0, -3);
				$int1 = $data->services->duesoon_time . $duesoon;
				$date1 = date('Y-m-d', strtotime($int1, strtotime(date('Y-m-d'))));

				$from1 = \Carbon\Carbon::createFromFormat('Y-m-d', $date1);
				$condition = $to->diffInDays($from1);
				if ($data->services->duesoon_time = null) {
					$condition = 20;
				}
				$detail = $data->services->description;
				$vehicle = $data->vehicle->make . '-' . $data->vehicle->model . '-' . $data->vehicle->license_plate;
				if ($diff_in_days <= $condition) {
					foreach ($users as $user) {
						Mail::to($user->email)->send(new ServiceReminder($detail, $vehicle, $date, $diff_in_days, $user->name));

					}
				}
			}
		}

		return redirect()->back();
	}

	public function set_email() {
		return view('utilities.set_email');
	}

	public function set_content(Request $request, $type) {

		if ($type == "insurance") {
			$validator = $request->validate([
				'insurance' => 'required',
			]);
			EmailContent::where('key', 'insurance')->update(['value' => $request->get('insurance')]);

		} elseif ($type == "vehicle-licence") {
			$request->validate([
				'vehicle_licence' => 'required',
			]);
			EmailContent::where('key', 'vehicle_licence')->update(['value' => $request->get('vehicle_licence')]);
		} elseif ($type == "driver-licence") {
			$request->validate([
				'driving_licence' => 'required',
			]);
			EmailContent::where('key', 'driving_licence')->update(['value' => $request->get('driving_licence')]);
		} elseif ($type == "registration") {
			$request->validate([
				'registration' => 'required',
			]);
			EmailContent::where('key', 'registration')->update(['value' => $request->get('registration')]);
		} elseif ($type == "reminder") {
			$request->validate([
				'service_reminder' => 'required',
			]);
			EmailContent::where('key', 'service_reminder')->update(['value' => $request->get('service_reminder')]);
		}

		// return redirect()->back();
		return redirect('set-email?tab=' . $type);
	}
}