<?php

namespace App\Http\Controllers;
use App\Http\Requests\PasswordRequest;
use App\Model\User;
use Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Session;
use Storage;
use Validator;

class UtilityController extends Controller {

	public function changepass($id) {
		$data['languages'] = Storage::disk('views')->directories('');
		if (Auth::user()->id === 1) {
			$us = new User();

			$data['user_data'] = $us::whereId(1)->first();

			$data['title'] = 'Change Password for : ' . $data['user_data']->name;
			$data['error'] = '';
			return view('utilities.changepass', $data);
		} else {
			$us = new User();
			$data['user_data'] = $us::whereId(Auth::user()->id)->first();
			$data['title'] = 'Change Password for : ' . $data['user_data']->username;
			$data['error'] = '';
			return view('utilities.changepass', $data);
		}

	}

	private function upload_file($file, $field, $id) {
		$destinationPath = './uploads'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName1 = Str::uuid() . '.' . $extension;

		$file->move($destinationPath, $fileName1);
		$user = User::find($id);
		$user->setMeta([$field => $fileName1]);
		$user->save();

	}

	public function changepassword(Request $request) {
		// dd($request->all());

		$data['title'] = 'Change Admin Password';
		$id = $request->id;
		if (Auth::user()->id != 1) {
			$id = Auth::user()->id;
		}
		$us = new User();
		$data['user_data'] = $us::whereId($id)->first();

		if (Session::token() != $request->_token) {
			$data['error'] = 'Invalid Token';

			return view('admin/changepass', $data);
		} else {
			$validator = Validator::make($request->all(), ['name' => 'required', 'email' => 'required|email|max:255', 'image' => 'image']);
			if ($validator->fails()) {
				$data['languages'] = Storage::disk('views')->directories('');
				$data['error'] = 'Picture must be an image';

				return view('utilities.changepass', $data);
			}
			$user = User::whereId($id)->first();
			$user->name = $request->name;
			$user->email = $request->email;
			$user->language = $request->get('language');
			// $user->password = bcrypt($request->passwd);
			$user->save();
			if ($user->user_type == "D") {
				$field = "driver_image";
			} elseif ($user->user_type == "C") {
				$field = "profile_pic";
			} else {
				$field = "profile_image";
			}
			if ($request->file('image') && $request->file('image')->isValid()) {

				$this->upload_file($request->file('image'), $field, $user->id);
			}
			$us = new User();
			$data['user_data'] = $us::whereId(Auth::user()->id)->first();
			$data['error'] = 'Settings are updated.';
		}

		return redirect()->route('changepass', $data);
	}

	public function password_change(Request $request) {
		// $id = $request->get('id');
		$user = User::find($request->get("driver_id"));
		$user->password = bcrypt($request->get("passwd"));
		$user->save();
	}

	public function change() {
		return view('utilities.password');
	}

	public function change_post(PasswordRequest $request) {
		// dd($request->all());

		$user = User::find($request->get('id'));
		$user->password = bcrypt($request->get('password'));
		$user->save();
		return redirect()->back();
	}
}
