<?php

namespace App\Http\Controllers;
use App\Http\Requests\VendorRequest;
use App\Model\Vendor;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Input;

class VendorController extends Controller {
	public function index() {
		$index['data'] = Vendor::get();
		return view('vendors.index', $index);
	}

	public function create() {
		$vendor_types = Vendor::orderBy("name")->groupBy("type")->get()->pluck("type")->toArray();
		array_push($vendor_types, "Machinaries", "Fuel", "Parts", "Add New");
		$vendor_types = array_unique($vendor_types);
		return view('vendors.create', compact("vendor_types"));
	}

	private function upload_file($file, $field, $id) {
		$destinationPath = './uploads'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName1 = Str::uuid() . '.' . $extension;

		$file->move($destinationPath, $fileName1);

		$x = Vendor::find($id)->update([$field => $fileName1]);

	}

	public function store(VendorRequest $request) {

		$form_data = $request->all();
		unset($form_data['photo']);
		$id = Vendor::create($form_data)->id;
		if (Input::hasFile('photo') && Input::file('photo')->isValid()) {
			$this->upload_file(Input::file('photo'), "photo", $id);
		}
		return redirect()->route('vendor.index');

	}

	public function edit($id) {
		$index['data'] = Vendor::whereId($id)->first();
		$vendor_types = Vendor::orderBy("name")->groupBy("type")->get()->pluck("type")->toArray();
		array_push($vendor_types, "Machinaries", "Fuel", "Parts");
		$index['vendor_types'] = array_unique($vendor_types);
		return view("vendors.edit", $index);
	}

	public function update(VendorRequest $request) {
		$vendor = $request->get('id');
		$vendor = Vendor::find($request->get("id"));
		$vendor->name = $request->get('name');
		$vendor->type = $request->get('type');
		$vendor->website = $request->get('website');
		$vendor->note = $request->get('note');
		$vendor->phone = $request->get('phone');
		$vendor->address1 = $request->get('address1');
		$vendor->address2 = $request->get('address2');
		$vendor->city = $request->get('city');
		$vendor->province = $request->get('province');
		$vendor->email = $request->get('email');
		// $vendor->photo = $request->get('photo');
		$vendor->save();
		if (Input::hasFile('photo') && Input::file('photo')->isValid()) {
			$this->upload_file(Input::file('photo'), "photo", $vendor->id);
		}
		return redirect()->route('vendor.index');
	}

	public function destroy(Request $request) {
		Vendor::find($request->get('id'))->delete();
		return redirect()->route('vendor.index');
	}
}
