<?php

namespace App\Http\Controllers;
use App\Http\Requests\WorkOrderRequest;
// use App\Model\Technician;
use App\Model\VehicleModel;
use App\Model\Vendor;
use App\Model\WorkOrders;
use Illuminate\Http\Request;

class WorkOrdersController extends Controller {
	public function index() {
		$index['data'] = WorkOrders::get();
		return view('work_orders.index', $index);
	}

	public function create() {
		// $data['technician'] = Technician::get();
		$data['vehicles'] = VehicleModel::whereIn_service("1")->get();
		$data['vendors'] = Vendor::get();
		return view('work_orders.create', $data);
	}

	public function store(WorkOrderRequest $request) {
		$order = new WorkOrders();
		$order->required_by = $request->get('required_by');
		$order->vehicle_id = $request->get('vehicle_id');
		$order->vendor_id = $request->get('vendor_id');
		// $order->tech_id = $request->get('tech_id');
		$order->status = $request->get('status');
		$order->description = $request->get('description');
		$order->meter = $request->get('meter');
		$order->price = $request->get('price');
		$order->note = $request->get('note');
		$order->save();
		return redirect()->route('work_order.index');
	}

	public function edit($id) {
		// $index['technician'] = Technician::get();
		$index['data'] = WorkOrders::whereId($id)->first();
		$index['vehicles'] = VehicleModel::whereIn_service("1")->get();
		$index['vendors'] = Vendor::get();
		return view('work_orders.edit', $index);
	}

	public function update(WorkOrderRequest $request) {
		$order = WorkOrders::find($request->get("id"));
		$order->required_by = $request->get('required_by');
		$order->vehicle_id = $request->get('vehicle_id');
		$order->vendor_id = $request->get('vendor_id');
		// $order->tech_id = $request->get('tech_id');
		$order->status = $request->get('status');
		$order->description = $request->get('description');
		$order->meter = $request->get('meter');
		$order->price = $request->get('price');
		$order->note = $request->get('note');
		$order->save();
		return redirect()->route('work_order.index');
	}

	public function destroy(Request $request) {
		WorkOrders::find($request->get('id'))->delete();
		return redirect()->back();
		// return redirect()->route('work_order.index');
	}

	public function completed_service() {
		$index['data'] = WorkOrders::where('status', 'Completed')->get();
		return view('work_orders.completed_services', $index);
	}
}
