@extends('layouts.app')
@section('extra_css')
<style type="text/css">
.custom{
/*min-width: 50px;*/
left: -100px !important;
right: 0;
}
</style>
@endsection
@section("breadcrumb")
<li class="active">@lang('menu.bookings')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                   <h3 class="box-title"> @lang('fleet.manage_bookings') </h3>
                    <a href="{{route("bookings.create")}}" class="btn btn-success">@lang('fleet.new_booking')</a>

                </div>

                <div class="box-body">
<div class="table-responsive">
<table class="table table-responsive display" id="data_table1" style="padding-bottom: 35px">
  <thead class="thead-inverse">
    <tr>

      <th>@lang('fleet.customer')</th>
      <th>@lang('fleet.vehicle')</th>
      <th>@lang('fleet.pickup')</th>
      <th>@lang('fleet.dropoff')</th>
      <th>@lang('fleet.passengers')</th>
      <th>@lang('fleet.journey_status')</th>
      <th>@lang('fleet.amount')</th>
      <th>@lang('fleet.action')</th>

    </tr>
  </thead>
  <tbody>

  @foreach($data as $row)
   <tr>
      <td>{{$row->customer['name']}}</td>
      <td>{{$row->vehicle['make']}} - {{$row->vehicle['model']}} - {{$row->vehicle['license_plate']}}</td>
      <td>
        @if($row->pickup != null)
        {{date('d/m/Y g:i A',strtotime($row->pickup))}}
        @endif
      </td>
      <td>
        @if($row->dropoff != null)
        {{date('d/m/Y g:i A',strtotime($row->dropoff))}}
        @endif
      </td>

      <td>{{$row->travellers}}</td>

      <td>
        @if($row->status == 1)
        <span class="text-success">
          @lang('fleet.completed')
        </span>
        @else
        <span class="text-warning">
          @lang('fleet.not_completed')
        </span>
        @endif
      </td>
      <td>
        @if($row->status == 1)
        {{Hyvikk::get('currency')}} {{$row->getMeta('total')}}
        @endif
      </td>

      <td>
        <div class="btn-group">

          <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
            <span class="fa fa-gear"></span>
            <span class="sr-only">Toggle Dropdown</span>
          </button>
          <ul class="dropdown-menu custom" role="menu">
            <li><a href="{{ url('bookings/'.$row->id.'/edit')}}"> <span aria-hidden="true" class="glyphicon glyphicon-pencil" style="color: #f0ad4e;"></span> @lang('fleet.edit')</a></li>
            <li><a href="javascript:document.book_{{$row->id}}.submit();"> <span class="glyphicon glyphicon-trash" aria-hidden="true" style="color: #dd4b39"></span> @lang('fleet.delete')</a></li>
            <li>
              @if($row->status==0)
              <a data-toggle="modal" data-target="#receiptModal" class="open-AddBookDialog" data-booking-id="{{$row->id}}" data-user-id="{{$row->user_id}}" data-customer-id="{{$row->customer_id}}" data-vehicle-id= "{{$row->vehicle_id}}"><span aria-hidden="true" class="glyphicon glyphicon-ok" style="color: #5cb85c;"></span> @lang('fleet.complete')
              </a>
              @else
              <a href="{{ url('bookings/receipt/'.$row->id)}}"><span aria-hidden="true" class="glyphicon glyphicon-list" style="color: #31b0d5;"></span> @lang('fleet.receipt')
              </a>
              @endif
            </li>
            @if($row->status==1)
            @if($row->payment==0)
            <li>
              <a href="{{ url('bookings/payment/'.$row->id)}}"><span aria-hidden="true" class="fa fa-credit-card" style="color: #5cb85c;"></span> @lang('fleet.make_payment')
              </a>
            </li>
            @elseif($row->payment==1)
            <li>
              <a class="disabled"><span aria-hidden="true" class="fa fa-credit-card" style="color: #5cb85c;"></span> @lang('fleet.paid')
              </a>
            </li>
            @endif
            @endif
          </ul>
        </div>
        {!! Form::open(['url' => 'bookings/'.$row->id,'method'=>'DELETE','class'=>'form-horizontal','name'=>'book_'.$row->id]) !!}

        {!! Form::hidden("id",$row->id) !!}

        {!! Form::close() !!}
      </td>



    </tr>
  @endforeach

  </tbody>
  </table>
</div>
                </div>
            </div>
        </div>
    </div>

<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">



                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->
<div class="modal fade" id="receiptModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
           <div class="box box-primary">
                <div class="box-header with-border">
                   <h3 class="box-title">@lang('fleet.add_payment')</h3>
                   <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>

                <div class="box-body">

                  {!! Form::open(['route' => 'bookings.complete','method'=>'post']) !!}



                  <input type="hidden" name="status" id="status" value="1"/>
                  <input type="hidden" name="booking_id" id="bookingId" value=""/>
                  <input type="hidden" name="userId" id="userId" value=""/>
                  <input type="hidden" name="customerId" id="customerId" value=""/>
                  <input type="hidden" name="vehicleId" id="vehicleId" value=""/>
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                      <label class="form-label">@lang('fleet.incomeType')</label>
                        <select id="income_type" name="income_type" class="form-control vehicles" required>
                        <option value="">@lang('fleet.incomeType')</option>
                          @foreach($types as $type)
                          <option value="{{ $type->id }}">{{$type->name}}</option>
                          @endforeach
                        </select>
                      </div>
                      </div>

                      <div class="col-md-6">
                      <div class="form-group">
                      <label class="form-label">@lang('fleet.daytype')</label>
                        <select id="day" name="day" class="form-control vehicles" required>
                          <option value="1" selected>Weekdays</option>
                          <option value="2">Weekend</option>
                          <option value="3">Night</option>
                        </select>
                      </div>
                      </div>
                    </div>
                      <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                        <label class="form-label">@lang('fleet.trip_mileage') ({{Hyvikk::get('dis_format')}})</label>
                        {!! Form::number('mileage',Hyvikk::fare('base_km'),['class'=>'form-control sum','min'=>1,'id'=>'mileage']) !!}

                        </div>
                      </div>

                      <div class="col-md-6">
                        <div class="form-group">
                        <label class="form-label">@lang('fleet.waitingtime')</label>
                        {!! Form::number('waiting_time',0,['class'=>'form-control sum','min'=>0,'id'=>'waiting_time']) !!}
                        </div>
                      </div>

                  </div>
                    <div class="row">
                      <div class="col-md-6">
                      <div class="form-group">
                      <label class="form-label">@lang('fleet.date')</label>
                      <div class='input-group date' id='date'>
                      {!! Form::text('date',date('Y-m-d'),['class'=>'form-control']) !!}
                      <span class="input-group-addon">
                          <span class="glyphicon glyphicon-calendar"></span>
                      </span>
                      </div>

                      </div>
                      </div>

                      <div class="col-md-6">
                        <div class="form-group">
                        <label class="form-label">@lang('fleet.total') @lang('fleet.amount') </label>
                        <div class="input-group date">
                       <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
                        {!! Form::number('total',Hyvikk::fare('base_fare'),['class'=>'form-control','id'=>'total']) !!}
                      </div>
                        </div>
                      </div>
                    </div>
                      <div class="row">
                      <div class="col-md-12">
                      {!! Form::submit(__('fleet.invoice'), ['class' => 'btn btn-info']) !!}
                    </div>
                      </div>
                  {!! Form::close() !!}
                </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
@endsection
@section("script")

<script src="{{ asset('js/moment.js') }}"></script>
<script src="{{ asset('js/datetimepicker.js') }}"></script>
<script src="{{ asset('js/select2.min.js') }}"></script>
<script type="text/javascript">
    $(document).ready(function() {
  $(".xxhvk").select2();
   $('#date').datetimepicker({
    format: 'YYYY-MM-DD',


    });

});
</script>
<script type="text/javascript">
  $(document).on("click", ".open-AddBookDialog", function () {
     var booking_id = $(this).data('booking-id');

     $(".box-body #bookingId").val( booking_id );

     var user_id = $(this).data('user-id');
     $(".box-body #userId").val( user_id );

     var customer_id = $(this).data('customer-id');
     $(".box-body #customerId").val( customer_id );

     var vehicle_id = $(this).data('vehicle-id');
     $(".box-body #vehicleId").val( vehicle_id );


});
  $("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });
</script>

<!-- testing total-->
<script type="text/javascript" language="javascript">
$(".sum").change(function(){

      var day = $("#day").find(":selected").val();
      if(day == 1){
      var base_km = {{Hyvikk::fare('base_km')}};
      var base_fare = "{{Hyvikk::fare('base_fare')}}";
      var wait_time ="{{Hyvikk::fare('base_time')}}";
      var std_fare = "{{Hyvikk::fare('std_fare')}}";
        if($("#mileage").val() <= base_km){
          var total = parseInt(base_fare) + (parseInt($("#waiting_time").val()) * parseInt(wait_time));
        }
        else{
          var sum = parseInt($("#mileage").val() - base_km) * parseInt(std_fare);
      var total = parseInt(base_fare) + sum + (parseInt($("#waiting_time").val()) * parseInt(wait_time));
      }
    }

    if(day == 2){
      var base_km = {{Hyvikk::fare('weekend_base_km')}};
      var base_fare = "{{Hyvikk::fare('weekend_base_fare')}}";
      var wait_time ="{{Hyvikk::fare('weekend_wait_time')}}";
      var std_fare = "{{Hyvikk::fare('weekend_std_fare')}}";
        if($("#mileage").val() <= base_km){
          var total = parseInt(base_fare) + (parseInt($("#waiting_time").val()) * parseInt(wait_time));
        }
        else{
          var sum = parseInt($("#mileage").val() - base_km) * parseInt(std_fare);
      var total = parseInt(base_fare) + sum + (parseInt($("#waiting_time").val()) * parseInt(wait_time));
      }
    }

    if(day == 3){
      var base_km = {{Hyvikk::fare('night_base_km')}};
      var base_fare = "{{Hyvikk::fare('night_base_fare')}}";
      var wait_time ="{{Hyvikk::fare('night_wait_time')}}";
      var std_fare = "{{Hyvikk::fare('night_std_fare')}}";
        if($("#mileage").val() <= base_km){
          var total = parseInt(base_fare) + (parseInt($("#waiting_time").val()) * parseInt(wait_time));
        }
        else{
          var sum = parseInt($("#mileage").val() - base_km) * parseInt(std_fare);
      var total = parseInt(base_fare) + sum + (parseInt($("#waiting_time").val()) * parseInt(wait_time));
      }
    }
     $("#total").val(total);
});
</script>

@endsection