@extends("layouts.app")
@section("breadcrumb")
<li class="active">@lang('fleet.cancellation')</li>
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">
                  @lang('fleet.cancellation')
                  </h3>
                  <a href="{{ route('cancel-reason.create')}}" class="btn btn-success">@lang('fleet.addNew')</a>
                </div>

                <div class="box-body table-responsive">
                    <table class="table" id="data_table">
  <thead class="thead-inverse">
    <tr>
      <th>@lang('fleet.reason')</th>
      <th>@lang('fleet.action')</th>
    </tr>
  </thead>
  <tbody>
  @foreach($reasons as $reason)
  <tr>
    <td>{{$reason->reason}}</td>
   <td>
        <div class="btn-group">

          <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
            <span class="fa fa-gear"></span>
            <span class="sr-only">Toggle Dropdown</span>
          </button>
          <ul class="dropdown-menu custom" role="menu">
            <li><a href="{{ url("cancel-reason/".$reason->id."/edit")}}"> <span aria-hidden="true" class="glyphicon glyphicon-pencil" style="color: #f0ad4e;"></span> @lang('fleet.edit')</a></li>
            <li><a href="javascript:document.form_{{$reason->id}}.submit();"><span aria-hidden="true" class="glyphicon glyphicon-trash" style="color: #dd4b39"></span> @lang('fleet.delete')</a></li>

          </ul>
        </div>
        {!! Form::open(['url' => 'cancel-reason/'.$reason->id,'method'=>'DELETE','class'=>'form-horizontal','name'=>'form_'.$reason->id]) !!}

        {!! Form::hidden("id",$reason->id) !!}

        {!! Form::close() !!}
      </td>
  </tr>
  @endforeach
  </tbody>
  </table>

                </div>
            </div>
        </div>
    </div>


<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">



                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->

@endsection

