@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("customers.index")}}">@lang('fleet.customers')</a></li>
<li class="active">@lang('fleet.add_new')</li>
@endsection
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="box box-success">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.add_new')
                  </h3>
                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => 'customers.store','method'=>'post']) !!}

<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('first_name', __('fleet.firstname'), ['class' => 'form-label']) !!}
 {!! Form::text('first_name', null,['class' => 'form-control','required']) !!}
 </div>

</div>

<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('last_name', __('fleet.lastname'), ['class' => 'form-label']) !!}
 {!! Form::text('last_name', null,['class' => 'form-control','required']) !!}
 </div>
</div>

<div class="col-md-6">
  <div class="form-group">
 {!! Form::label('phone',__('fleet.phone'), ['class' => 'form-label']) !!}
  <div class="input-group date">
    <div class="input-group-addon"><i class="fa fa-phone"></i></div>
   {!! Form::number('phone', null,['class' => 'form-control','required']) !!}
  </div>
 </div>
</div>

<div class="col-md-6">
<div class="form-group">
 {!! Form::label('email', __('fleet.email'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
 {!! Form::email('email', null,['class' => 'form-control','required']) !!}
</div>

 </div>
</div>

<div class="col-md-6">
  <div class="form-group">
 {!! Form::label('address',__('fleet.address'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-address-book-o"></i></div>
 {!! Form::textarea('address', null,['class' => 'form-control','size'=>'30x2']) !!}
</div>

 </div>

</div>

<div class="col-md-12">
{!! Form::submit(__('fleet.add_new'), ['class' => 'btn btn-success']) !!}

</div>
{!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>

@endsection
