@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("customers.index")}}">@lang('fleet.customers')</a></li>
<li class="active"> @lang('fleet.edit_customer')</li>
@endsection
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">
                    @lang('fleet.edit_customer')
                  </h3>
                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => ['customers.update',$data->id],'method'=>'PATCH']) !!}
{!! Form::hidden('id',$data->id) !!}
<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('first_name', __('fleet.firstname'), ['class' => 'form-label']) !!}
 {!! Form::text('first_name', $data->getMeta('first_name'),['class' => 'form-control','required']) !!}
 </div>
 </div>

<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('last_name', __('fleet.lastname'), ['class' => 'form-label']) !!}
 {!! Form::text('last_name', $data->getMeta('last_name'),['class' => 'form-control','required']) !!}
 </div>
</div>

<div class="col-md-6">
  <div class="form-group">
 {!! Form::label('phone',__('fleet.phone'), ['class' => 'form-label']) !!}
 <div class="input-group date">
    <div class="input-group-addon"><i class="fa fa-phone"></i></div>
   {!! Form::text('phone', $data->getMeta('mobno'),['class' => 'form-control','required']) !!}
  </div>

 </div>


</div>
<div class="col-md-6">
<div class="form-group">
 {!! Form::label('email', __('fleet.email'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
 {!! Form::email('email', $data->email,['class' => 'form-control','required']) !!}
</div>

 </div>
</div>
<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('address', __('fleet.address'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-address-book-o"></i></div>
 {!! Form::textarea('address', $data->getMeta('address'),['class' => 'form-control','size'=>'30x2']) !!}
</div>

 </div>

 </div>

<div class="col-md-12">
{!! Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']) !!}

</div>
{!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>

@endsection
