@extends('layouts.app')
@section('extra_css')
<style type="text/css">
.custom{
min-width: 50px;
left:-149px !important;
right: 0;
}
</style>
@endsection
@section("breadcrumb")
<li class="active">@lang('fleet.customers')</li>
@endsection
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.manage_customers')</h3>
                <a href="{{route("customers.create")}}" class="btn btn-success">@lang('fleet.add_new')</a>
                </div>

                <div class="box-body table-responsive">
                    <table class="table" id="data_table" style="padding-bottom: 25px">
  <thead class="thead-inverse">
    <tr>

      <th>@lang('fleet.name')</th>
      <th>@lang('fleet.email')</th>
      <th>@lang('fleet.phone')</th>
      <th>@lang('fleet.address')</th>
      <th>@lang('fleet.action')</th>

    </tr>
  </thead>
  <tbody>

  @foreach($data as $row)
   <tr>
      <td>{{$row->name}}</td>
      <td>{{$row->email}}</td>
      <td>{{$row->getMeta('mobno')}}</td>
      <td>{{$row->getMeta('address')}}</td>

      <td>
        <div class="btn-group">

          <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
            <span class="fa fa-gear"></span>
            <span class="sr-only">Toggle Dropdown</span>
          </button>
          <ul class="dropdown-menu custom" role="menu">
             <li>
               <a type="button" class="mybtn changepass" data-id="{{$row->id}}" data-toggle="modal" data-target="#changepass" title="@lang('fleet.change_password')"><i class="fa fa-key"  aria-hidden="true" style="color:#269abc;"></i> @lang('fleet.change_password')</a>
            </li>
            <li><a href="{{ url("/customers/".$row->id."/edit")}}"><span aria-hidden="true" class="glyphicon glyphicon-pencil" style="color: #f0ad4e;"></span>@lang('fleet.edit')</a></li>
            <li><a href="javascript:document.form_{{$row->id}}.submit();"><span class="glyphicon glyphicon-trash" aria-hidden="true" style="color: #dd4b39"></span>@lang('fleet.delete')</a></li>

          </ul>
        </div>
        {!! Form::open(['url' => 'customers/'.$row->id,'method'=>'DELETE','class'=>'form-horizontal','name'=>'form_'.$row->id]) !!}

        {!! Form::hidden("id",$row->id) !!}

        {!! Form::close() !!}
      </td>

    </tr>
  @endforeach

  </tbody>
  </table>
                </div>
            </div>
        </div>
    </div>


<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">



                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">@lang('fleet.close')</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->

<!-- Modal -->
          <div id="changepass" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.change_password')</h4>
                </div>
                <div class="modal-body">
                  {!! Form::open(['url'=>url('change_password'),'id'=>'changepass_form']) !!}
                  <form id="change" action="{{url('change_password')}}" method="POST">

                    {!! Form::hidden('driver_id',"",['id'=>'driver_id'])!!}
                 <div class="form-group">
                  {!! Form::label('passwd',__('fleet.password'),['class'=>"form-label"]) !!}
                  <div class="input-group date">
                    <div class="input-group-addon"><i class="fa fa-lock"></i></div>
                  {!! Form::password('passwd',['class'=>"form-control",'id'=>'passwd','required']) !!}
                  </div>
                </div>
                <div class="modal-footer">
                  <button id="password" class="btn btn-primary" type="submit" >@lang('fleet.change_password')</button>
                </form>
                  <button type="button" class="btn btn-default" data-dismiss="modal">@lang('fleet.close')
                  </button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->
@endsection

@section("script")

<script type="text/javascript">

$("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });

   $('#changepass').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;

  $("#driver_id").val(id);
    });

   $("#changepass_form").on("submit",function(e){
    $.ajax({
      type: "POST",
      url: $(this).attr("action"),
      data: $(this).serialize(),
      success: function(data){

       new PNotify({
            title: 'Success!',
            text: 'Password Has Been Changed',
            type: 'info'
        });
      },

      dataType: "html"
    });
    $('#changepass').modal("hide");
e.preventDefault();
});
</script>
@endsection