@extends("layouts.app")
@section('extra_css')
<style type="text/css">
.custom{
min-width: 50px;
left: -70px !important;
right: 0;
}
</style>
@endsection
@section("breadcrumb")
<li class="active"> @lang('fleet.fuel')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">
                  @lang('fleet.manageFuel')
                </h3>
                <a href="{{ route('fuel.create')}}" class="btn btn-success">@lang('fleet.addNew')</a>
                </div>

                <div class="box-body table-responsive">
                    <table class="table" id="data_table">
  <thead class="thead-inverse">
    <tr>
      <th></th>
      <th></th>
      <th>@lang('fleet.date')</th>
      <th>@lang('fleet.qty')</th>
      <th>@lang('fleet.cost')</th>
      <th>@lang('fleet.meter')</th>
      <th>@lang('fleet.consumption')</th>
      <th>@lang('fleet.province')</th>
      <th>@lang('fleet.action')</th>
    </tr>
  </thead>
  <tbody>
@foreach($data as $row)
   <tr>
      <td>
        @if($row->vehicle_data['vehicle_image'] != null)
        <img src="{{url('uploads/'.$row->vehicle_data['vehicle_image'])}}" height="70px" width="70px">
        @else
      <img src="{{ asset("img/vehicle.jpeg")}}" height="70px" width="70px">
      @endif
      </td>
      <td>
        <a href="{{ url("vehicles/".$row->vehicle_id."/edit")}}">
         {{$row->vehicle_data['year']}} {{$row->vehicle_data['make']}}-{{$row->vehicle_data['model']}}
        </a>

        <br>
       <b>@lang('fleet.vin'):</b> {{$row->vehicle_data['vin']}}
        </td>
      <td>{{$row->date}}</td>
      <td> {{$row->qty}} @lang('fleet.gal') </td>
      <td>
        @php ($total = $row->qty * $row->cost_per_unit)
        {{ Hyvikk::get('currency') }} {{$total}}
        <br>
       {{ Hyvikk::get('currency') }} {{$row->cost_per_unit}}/@lang('fleet.gallon')
      </td>
      <td>
       @lang('fleet.start'): {{$row->start_meter}} {{Hyvikk::get('dis_format')}}
       <br>
       @lang('fleet.end'): {{$row->end_meter}} {{Hyvikk::get('dis_format')}}
       <br>
       @lang('fleet.distence'):

       @if($row->end_meter == 0)
       0.00 {{Hyvikk::get('dis_format')}}
       @else
       {{$row->end_meter - $row->start_meter}}  {{Hyvikk::get('dis_format')}}
       @endif
      </td>
      <td>
        {{ $row->consumption }} @if(Hyvikk::get('dis_format') == "km") KMPG  @else MPG @endif
      </td>
      <td>
        {{$row->province}}
      </td>
      <td>
        <div class="btn-group">

          <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
            <span class="fa fa-gear"></span>
            <span class="sr-only">Toggle Dropdown</span>
          </button>
          <ul class="dropdown-menu custom" role="menu">
            <li><a href="{{ url("fuel/".$row->id."/edit")}}"> <span aria-hidden="true" class="glyphicon glyphicon-pencil" style="color: #f0ad4e;"></span> @lang('fleet.edit')</a></li>
            <li><a href="javascript:document.form_{{$row->id}}.submit();"><span aria-hidden="true" class="glyphicon glyphicon-trash" style="color: #dd4b39"></span> @lang('fleet.delete')</a></li>

          </ul>
        </div>
        {!! Form::open(['url' => 'fuel/'.$row->id,'method'=>'DELETE','class'=>'form-horizontal','name'=>'form_'.$row->id]) !!}

        {!! Form::hidden("id",$row->id) !!}

        {!! Form::close() !!}
      </td>

    </tr>
@endforeach
  </tbody>
  </table>

                </div>
            </div>
        </div>
    </div>



<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">

                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->
@endsection

@section('script')
<script type="text/javascript">
  $("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });
</script>
@endsection
