@extends('layouts.app')

@section('content')
@php($modules=unserialize(Auth::user()->getMeta('module')))
<div class="row">
    <div class="col-md-4">
    <div class="box box-default">
          <div class="box-header with-border">
                <h3 class="box-title">@lang("fleet.monthly_chart") {{date("F")}}</h3>

                </div>
                <div class="box-body">

                        <canvas id="canvas" width="400" height="420"></canvas>

                </div>
    </div>
    </div>
        <div class="col-md-8">
            <div class="box box-default">
              <div class="box-header with-border">
                <h3 class="box-title">@lang('fleet.dashboard')</h3>

                </div>

                <div class="box-body">
                  @if(in_array(0,$modules))
            <div class="col-lg-4 col-xs-6">
              <div class="info-box">
                 <span class="info-box-icon bg-brown"><i class="fa fa-users"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.users')</span>
                    <span class="info-box-number">{{$users}}</span>
                  </div>

                 </div>

                  </div>

            <div class="col-lg-4 col-xs-6">
                  <div class="info-box">
                 <span class="info-box-icon bg-yellow"><i class="fa fa-id-card"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.drivers')</span>
                    <span class="info-box-number">{{$drivers}}</span>
                  </div>

                 </div>

            </div>
            @endif
            @if(in_array(3,$modules))
            <div class="col-lg-4 col-xs-6">
                    <div class="info-box">
                 <span class="info-box-icon bg-grey"><i class="fa fa-book"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.bookings')</span>
                    <span class="info-box-number">{{$bookings}}</span>
                  </div>

                 </div>

            </div>
            @endif
            @if(in_array(1,$modules))
                  <div class="col-lg-4 col-xs-6">

                          <div class="info-box">
                 <span class="info-box-icon bg-aqua"><i class="fa fa-taxi"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.vehicles')</span>
                    <span class="info-box-number">{{$vehicles}}</span>
                  </div>

                 </div>

                </div>
                @endif
                @if(in_array(2,$modules))
            <div class="col-lg-4 col-xs-6">
                 <div class="info-box">
                 <span class="info-box-icon bg-green"><i class="fa fa-money"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.income')</span>
                    <span class="info-box-number"><small>{{ Hyvikk::get("currency")}}</small> {{$income}}</span>
                  </div>

                 </div>

            </div>
             <div class="col-lg-4  col-xs-6">
               <div class="info-box">
                 <span class="info-box-icon bg-red"><i class="fa fa-credit-card"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.expense')</span>
                    <span class="info-box-number"><small>{{ Hyvikk::get("currency")}}</small> {{$expense}}</span>
                  </div>

                 </div>

            </div>
            @endif
            @if(Hyvikk::api('api') && Hyvikk::api('driver_review') == 1)
            @if(in_array(10,$modules))
            <div class="col-lg-4  col-xs-6">
               <div class="info-box">
                 <span class="info-box-icon bg-yellow"><i class="fa fa-star"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.reviews')</span>
                    <span class="info-box-number">{{$reviews}}</span>
                  </div>

                 </div>

            </div>
            @endif
            @endif
            @if(in_array(0,$modules))
             <div class="col-lg-4  col-xs-6">
               <div class="info-box">
                 <span class="info-box-icon bg-grey"><i class="fa fa-address-card"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.customers')</span>
                    <span class="info-box-number">{{$customers}}</span>
                  </div>

                 </div>

            </div>
            @endif
            @if(in_array(6,$modules))
             <div class="col-lg-4  col-xs-6">
               <div class="info-box">
                 <span class="info-box-icon bg-aqua"><i class="fa fa-cubes"></i></span>

                  <div class="info-box-content">
                    <span class="info-box-text">@lang('fleet.vendors')</span>
                    <span class="info-box-number">{{$vendors}}</span>
                  </div>

                 </div>

            </div>
            @endif
        </div>
    </div>

</div>
</div>
<div class="row">
    <div class="col-md-12">
      <div class="box box-default">
        <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.yearly_chart')</h3>
                </div>
                  <div class="box-body">
                  <canvas id="yearly" width="800" height="300"></canvas>
                  </div>
      </div>
    </div>
</div>

@endsection

@section("script2")

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.bundle.min.js"></script>

<script>
window.chartColors = {
  red: 'rgb(255, 99, 132)',
  orange: 'rgb(255, 159, 64)',
  yellow: 'rgb(255, 205, 86)',
  green: 'rgb(75, 192, 192)',
  blue: 'rgb(54, 162, 235)',
  purple: 'rgb(153, 102, 255)',
  grey: 'rgb(201, 203, 207)'
};

        var chartData = {
            labels: ["@lang('fleet.income')", "@lang('fleet.expense')"],

            datasets: [{
                type: 'pie',
                label: '',
               backgroundColor: ['#00a65a','#dd4b39'],
                borderColor: window.chartColors.red,
                borderWidth: 1,
                data: [{{$income}},{{$expense}}]
            }]
        };

              var MONTHS = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        var config = {
            type: 'line',
            data: {
                labels: MONTHS,
                datasets: [{
                    label: "@lang('fleet.expense')",
                    backgroundColor: '#dd4b39',
                    borderColor: '#dd4b39',
                    data: [{{$yearly_expense}}],
                    fill: false,
                }, {
                    label: "@lang('fleet.income')",
                    fill: false,
                    backgroundColor: '#00a65a',
                    borderColor: '#00a65a',
                    data: [{{$yearly_income}}],
                }]
            },
            options: {
                responsive: true,
                title:{
                    display:false,
                },
                tooltips: {
                    mode: 'index',
                    intersect: false,
                },
                hover: {
                    mode: 'nearest',
                    intersect: true
                },
                scales: {
                    xAxes: [{
                        display: true,
                        scaleLabel: {
                            display: true,
                            labelString: "@lang('fleet.month')"
                        }
                    }],
                    yAxes: [{
                        display: true,
                        scaleLabel: {
                            display: true,
                            labelString: "@lang('fleet.amount')"
                        }
                    }]
                }
            }
        };

        window.onload = function() {
          var ctx = document.getElementById("yearly").getContext("2d");
            window.myLine = new Chart(ctx, config);
            var ctx = document.getElementById("canvas").getContext("2d");
            window.myMixedChart = new Chart(ctx, {
                type: 'pie',
                data: chartData,
                options: {
                  legend:{display:false},
                    responsive: true,

                    tooltips: {
                        mode: 'index',
                        intersect: false
                    }
                }
            });
        };

    </script>
@endsection