@extends('layouts.app')
@section("breadcrumb")
<li class="active">@lang('fleet.manage_income')</li>
@endsection
@section('content')

    <div class="row">
        <div class="col-md-12">
               <div class="box box-success">
                 <div class="box-header with-border">
              <h3 class="box-title">@lang('fleet.addRecord')</div></h3>

                <div class="box-body">
                  <div class="row">
{!! Form::open(['route' => 'income.store','method'=>'post','class'=>'form-inline','id'=>'income_form']) !!}

<div class="col-md-2">
  <select id="vehicle_id" name="vehicle_id" class="form-control vehicles" style="width: 170px" required>
  <option value="">@lang('fleet.selectVehicle')</option>
    @foreach($vehicels as $vehicle)
    <option value="{{ $vehicle->id }}" data-mileage="{{ $vehicle->mileage}}">{{$vehicle->make}}-{{$vehicle->model}}-{{$vehicle->license_plate}}</option>
    @endforeach
  </select>
</div>
<div class="col-md-2" >
  <select id="income_type" name="income_type" class="form-control vehicles" style="width: 150px" required>
  <option value="">@lang('fleet.incomeType')</option>
    @foreach($types as $type)
    <option value="{{ $type->id }}" data-amount="{{ $type->cost }}">{{$type->name}}</option>
    @endforeach
  </select>
</div>
<div class="col-md-2">
    <div class="input-group mb-2 mr-sm-2 mb-sm-0">
    <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
  <input required="required" name="revenue" type="number" step="0.01" id="revenue" class="form-control">
  </div>
</div>
<div class="col-md-2">
      <div class="input-group mb-2 mr-sm-2 mb-sm-0">
    <div class="input-group-addon">{{Hyvikk::get('dis_format')}}</div>
  <input required="required" name="mileage" type="number" id="mileage" class="form-control">
  </div>
</div>
<div class="col-md-2">
<div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-calendar"></i></div>
 <input required="required" name="date" type="text" value="{{ date('Y-m-d')}}"  id="date" class="form-control">
</div>
</div>
<div class="col-md-2">
  <button type="submit" class="btn btn-success">@lang('fleet.add')</button>
</div>
{!!Form::close()!!}
                  </div>
                </div>
            </div>
        </div>
    </div>

<!--                      TABLE             -->

    <div class="row">
        <div class="col-md-12">
               <div class="box box-primary">
                 <div class="box-header with-border">

                <div class="panel-heading">
                  <div class="row">
                  <div class="col-md-3">
                    <h3 class="box-title">
                     @lang('fleet.todayIncome'): <strong>{{ $total}}</strong>
                   </h3>
                  </div>

                  <div class="col-md-8 pull-right">
                  {!! Form::open(['url'=>'/income_records','class'=>'form-inline']) !!}
                  <div class="form-group">
                    {!! Form::label('date1','From') !!}
                    <div class="input-group date">
                      <div class="input-group-addon"><i class="fa fa-calendar"></i></div>
                     {!! Form::text('date1', null,['class' => 'form-control','placeholder'=>__('fleet.start_date')]) !!}
                    </div>

                  </div>


                  <div class="form-group ">
                    {!! Form::label('date2','To') !!}
                    <div class="input-group date">
                      <div class="input-group-addon"><i class="fa fa-calendar"></i></div>
                    {!! Form::text('date2', null,['class' => 'form-control','placeholder'=>__('fleet.end_date')]) !!}
                    </div>

                   </div>

                  <div class="form-group">
                     <button type="submit" class="btn btn-primary">
                       <i class="fa fa-search"></i>
                     </button>
                  </div>
                  {!! Form::close() !!}
                </div>
                </div>
              </div>
                <div class="box-body table-responsive" id="income">
<table class="table" id="data_table">
  <thead class="thead-inverse">
    <tr>
      <th>@lang('fleet.make')</th>
      <th>@lang('fleet.model')</th>
      <th>@lang('fleet.licensePlate')</th>
      <th>@lang('fleet.incomeType')</th>
      <th>@lang('fleet.date')</th>
      <th>@lang('fleet.amount')</th>
      <th>@lang('fleet.mileage') ({{Hyvikk::get('dis_format')}})</th>
      <th>@lang('fleet.delete')</th>
    </tr>
  </thead>
  <tbody>
  @foreach($today as $row)
     <tr>
      <td>
        @if($row->vehicle_id != null)
        {{$row->vehicle->make}}
        @endif
      </td>
      <td>
        @if($row->vehicle_id != null)
        {{$row->vehicle->model}}
        @endif
      </td>
      <td>
        @if($row->vehicle_id != null)
        {{$row->vehicle->license_plate}}
        @endif
      </td>
      <td>{{$row->category->name}}</td>
      <td>{{$row->date}}</td>
      <td>{{Hyvikk::get('currency')}} {{$row->amount}}</td>
      <td>{{$row->mileage}}</td>
      <td>
        {!! Form::open(['url' => 'income/'.$row->id,'method'=>'DELETE','class'=>'form-horizontal','id'=>'form_'.$row->id]) !!}

          {!! Form::hidden("id",$row->id) !!}

        <button type="button" class="btn btn-danger delete" data-id="{{$row->id}}" title="@lang('fleet.delete')"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>


        {!! Form::close() !!}
      </td>
    </tr>
  @endforeach

  </tbody>
  </table>


                </div>

            </div>
        </div>
    </div>

<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">



                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->
@endsection


@section("script")
<script src="{{ asset('js/moment.js') }}"></script>
<script src="{{ asset('js/datetimepicker.js') }}"></script>
<script src="{{ asset('js/select2.min.js') }}"></script>

<script type="text/javascript">
$(document).ready(function() {
  $(".vehicles").select2();
  $("#vehicle_id").on("change",function(){
    $("#mileage").val($(this).find(':selected').data("mileage"));
    $("#mileage").attr("min",$(this).find(':selected').data("mileage"));
  });

  $('#date').datetimepicker({format: 'YYYY-MM-DD'});
  $('#date1').datetimepicker({format: 'YYYY-MM-DD'});
  $('#date2').datetimepicker({format: 'YYYY-MM-DD'});
   $('#income_type').change(function() {

    $("#revenue").val($(this).find(':selected').data('amount'));

    });

   $("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });


   $(document).on("click",".delete",function(e){
    var hvk=confirm("Are you sure?");
    if(hvk==true){
    var id=$(this).data("id");

    var action="{{ url('income')}}"+"/" +id;

        $.ajax({
        type: "POST",
        url: action,
        data: "_method=DELETE&_token="+window.Laravel.csrfToken+"&id="+id,
        success: function(data){
          $("#income").empty();
          $("#income").html(data);
        new PNotify({
              title: 'Deleted!',
              text: '@lang("fleet.deleted")',
              type: 'wanring'
          })
        }
      ,
      dataType: "HTML"
});
   }
  });

});
</script>
@endsection
