<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

<meta name="csrf-token" content="{{ csrf_token() }}">

<title>{{ Hyvikk::get('app_name') }}</title>
<style type="text/css">
.content-wrapper, .content{
    min-height: 850px !important;
  }

</style>
<link rel="icon" href="{{ url('/'. Hyvikk::get('icon_img') ) }}" type="image/png">

<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css"/>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.15/css/dataTables.bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css">
<link href="{{ asset('css/select2.min.css') }}" rel="stylesheet">
<link href="{{ asset('css/AdminLTE.min.css') }}" rel="stylesheet">
<link href="{{ asset('css/skins/_all-skins.min.css') }}" rel="stylesheet">
<link href="{{ asset('css/iCheck/all.css') }}" rel="stylesheet"> <!-- icheck -->
<link href="{{ asset('/css/colorbox.css') }}" rel="stylesheet">
<link href="{{ asset('/css/pnotify.custom.min.css')}}" media="all" rel="stylesheet" type="text/css" />
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

@yield("extra_css")
<script>
window.Laravel = {!! json_encode([
'csrfToken' => csrf_token(),
]) !!};

</script>
</head>
<body class="hold-transition skin-black-light sidebar-mini">
<div class="wrapper">
    <header class="main-header">

    <a href="{{ url("/")}}" class="logo">
      <span class="logo-mini">
<img src="{{ url('/'. Hyvikk::get('icon_img') ) }}" class="navbar-brand">

      </span>
      <span class="logo-lg">
<img src="{{ url('/'. Hyvikk::get('icon_img') ) }}" class="navbar-brand">
{{  Hyvikk::get('app_name')  }}
      </span>
    </a>
@if (!Auth::guest())
    <nav class="navbar navbar-static-top">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>
      <!-- Navbar Right Menu -->
      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">

          @if(Auth::user()->user_type=="S")
            @php($r = 0)
            @php($i = 0)
            @php($l = 0)
            @php($d = 0)
            @php($s = 0)
            @php($user= Auth::user())
            @foreach ($user->unreadNotifications as $notification)
            @if($notification->type == "App\Notifications\RenewRegistration")
              @php($r++)
              @elseif($notification->type == "App\Notifications\RenewInsurance")
              @php($i++)
              @elseif($notification->type == "App\Notifications\RenewVehicleLicence")
              @php($l++)
              @elseif($notification->type == "App\Notifications\RenewDriverLicence")
              @php($d++)
              @elseif($notification->type == "App\Notifications\ServiceReminderNotification")
              @php($s++)
              @endif
            @endforeach
          @php($n = $r + $i +$l + $d + $s)
          <li class="dropdown notifications-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <i class="fa fa-bell-o"></i>
              <span class="label label-warning">@if($n>0) {{$n}} @endif</span>
            </a>
            <ul class="dropdown-menu">
              <li class="header">@if($n>0) You have {{$n}} notifications @endif</li>
              <li>
                <!-- inner menu: contains the actual data -->
                <ul class="menu">
                  <li>
                    <a href="{{url('vehicle_notification',['type'=>'renew-registrations'])}}">
                      <i class="fa fa-id-card-o text-aqua"></i>@lang('fleet.renew_registration')&nbsp;@if($r>0) <span class="badge"> {{$r}}</span>@endif
                    </a>
                  </li>
                  <li>
                    <a href="{{url('vehicle_notification',['type'=>'renew-insurance'])}}">
                      <i class="fa fa-file-text text-yellow"></i>
                      @lang('fleet.renew_insurance')&nbsp;@if($i>0)<span class="badge">{{$i}}</span>@endif
                    </a>
                  </li>
                  <li>
                    <a href="{{url('vehicle_notification',['type'=>'renew-licence'])}}">
                      <i class="fa fa-file-o text-red"></i> @lang('fleet.renew_licence')&nbsp; @if($l>0)<span class="badge">{{$l}}</span>@endif
                    </a>
                  </li>
                  <li>
                    <a href="{{url('driver_notification',['type'=>'renew-driving-licence'])}}">
                      <i class="fa fa-file-text-o text-green"></i> @lang('fleet.renew_driving_licence')&nbsp;@if($d>0) <span class="badge"> {{$d}}</span>@endif
                    </a>
                  </li>
                  <li>
                    <a href="{{url('reminder',['type'=>'service-reminder'])}}">
                      <i class="fa fa-clock-o text-yellow"></i> @lang('fleet.serviceReminders')&nbsp;@if($s>0) <span class="badge"> {{$s}}</span>@endif
                    </a>
                  </li>

                </ul>
              </li>

            </ul>
          </li>
          @endif
          <!-- User Account: style can be found in dropdown.less -->
          <li class="dropdown user user-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">

              <span class="hidden-xs">{{Auth::user()->name}}</span>
            </a>
            <ul class="dropdown-menu">
              <!-- User image -->
              <li class="user-header">
                @if(Auth::user()->user_type == 'D' && Auth::user()->getMeta('driver_image') != null)
                <img src="{{url('uploads/'.Auth::user()->getMeta('driver_image'))}}" height="90px" width="90px" class="img-circle">
                @elseif(Auth::user()->user_type == 'S' || Auth::user()->user_type == 'O')
                  @if(Auth::user()->getMeta('profile_image') == null)
                  <img src="{{ asset("img/no-user.jpg")}}" height="90px" width="90px" class="img-circle">
                  @else
                  <img src="{{url('uploads/'.Auth::user()->getMeta('profile_image'))}}" height="90px" width="90px" class="img-circle">
                  @endif
                @elseif(Auth::user()->user_type == 'C' && Auth::user()->getMeta('profile_pic') != null)
                @if(starts_with(Auth::user()->getMeta('profile_pic'),'http'))
                @php($src = Auth::user()->getMeta('profile_pic'))
                @else
                @php($src=url('uploads/'.Auth::user()->getMeta('profile_pic')))
                @endif
                <img src="{{$src}}" height="90px" width="90px" class="img-circle">
                @else
                <img src="{{ asset("img/no-user.jpg")}}" height="90px" width="90px" class="img-circle">
                @endif
                <p>
                    {{Auth::user()->email}}
                    <small>@lang('fleet.member')
                      {{ date('M. Y',strtotime(Auth::user()->created_at)) }}
                    </small>
                </p>
              </li>

              <!-- Menu Footer-->
              <li class="user-footer">
                <div class="pull-left">
                  <a href="{{ url('change-details/'.Auth::user()->id)}}" class="btn btn-default btn-flat">@lang('fleet.editProfile')</a>
                </div>
                <div class="pull-right">

                    <a href="{{ route('logout') }}"
      onclick="event.preventDefault();
               document.getElementById('logout-form').submit();" class="btn btn-default btn-flat">
      @lang('menu.logout')
  </a>
  <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
      {{ csrf_field() }}
  </form>
                </div>
              </li>
            </ul>
          </li>
          <!-- Control Sidebar Toggle Button -->

        </ul>
      </div>

    </nav>
 @endif
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      <!-- Sidebar user panel -->

      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">

        @if(Auth::user()->user_type=="C")

            @if(Request::is('bookings*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
             <li  class="{{$class}}">
              <a href="#">

                <i class="fa fa-address-card"></i>

                <span>@lang('menu.bookings')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li> <a href="{{ route("bookings.create")}}">
                  <i class="fa fa-address-book"></i>
                @lang('menu.newbooking')</a> </li>

                <li> <a href="{{ route("bookings.index")}}">
                  <i class="fa fa-tasks"></i>
                @lang('menu.manage_bookings')</a> </li>

              </ul>
            </li>

            <li @if(Request::is('change-details*')) class="active" @endif>
            <a href="{{ url('change-details/'.Auth::user()->id)}}">
              <i class="fa fa-edit"></i>
              <span>
              @lang('fleet.editProfile')
              </span>
            </a>
          </li>


          <li @if(Request::is('addresses*')) class="active" @endif>
            <a href="{{url('addresses') }}">
              <i class="fa fa-map-marker"></i>
              <span>
              @lang('fleet.addresses')
              </span>
            </a>
          </li>

           <li>
            <a href="{{url('/') }}">
              <i class="fa fa-money"></i>
              <span>
              @lang('fleet.expenses')
              </span>
            </a>
          </li>

        @endif

        @if(Auth::user()->user_type=="S" || Auth::user()->user_type=="O")
        <li @if(Request::is('/')) class="active" @endif>
             <a href="{{ url("/")}}">
            <i class="fa fa-dashboard"></i> <span> @lang('menu.Dashboard')</span>

          </a>
        </li>


        @endif

        @if(Auth::user()->user_type=="D")

          <li @if(Request::is('/')) class="active" @endif>
          <a href="{{url('/')}}">
            <i class="fa fa-user"></i>
              <span>
              @lang('fleet.myProfile')
              </span>
          </a>
          </li>

          <li @if(Request::is('my_bookings')) class="active" @endif>
          <a href="{{ route('my_bookings')}}">
              <i class="fa fa-book"></i>
              <span>
              @lang('menu.my_bookings')
            </span>
          </a>
          </li>

          <li @if(Request::is('change-details*')) class="active" @endif>
            <a href="{{ url('change-details/'.Auth::user()->id)}}">
              <i class="fa fa-edit"></i>
              <span>
              @lang('fleet.editProfile')
              </span>
            </a>
          </li>

           @if(Request::is('notes*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
            <li  class="{{$class}}">
              <a href="#">
                <i class="fa fa-sticky-note"></i>
                <span> @lang('fleet.notes')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li>
                <a href="{{ route("notes.index") }}">
                   <i class="fa fa-flag"></i>
                @lang('fleet.manage_note')</a>
                </li>
                <li>
                <a href="{{ route("notes.create") }}">
                   <i class="fa fa-plus-square"></i>
                @lang('fleet.create_note')</a>
                </li>

              </ul>
            </li>
            @if(Request::is('driver-reports*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
            <li  class="{{$class}}">
              <a href="#">
                <i class="fa fa-book"></i>
                <span>@lang('menu.reports')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>

                <li> <a href="{{ route("dreports.monthly")}}">
                  <i class="fa fa-calendar"></i>
                @lang('menu.monthlyReport')</a> </li>

                <li> <a href="{{ route("dreports.yearly")}}">
                  <i class="fa fa-calendar"></i>
                @lang('fleet.yearlyReport')</a>
                </li>
              </ul>

        @endif

        <!-- sidebar menus for office-admin and super-admin -->
        @if(Auth::user()->user_type == "S" || Auth::user()->user_type == "O")
        @php($modules=unserialize(Auth::user()->getMeta('module'))) <!--array of selected modules of logged in user-->
        @else
        @php($modules=array())
        @endif

        @if (!Auth::guest() &&  Auth::user()->user_type!="D" && Auth::user()->user_type != "C" )

           @if((Request::is('drivers*')) || (Request::is('users*')) || (Request::is('customers*')) )
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
            @if(Auth::user()->user_type=="S" || in_array(0,$modules)) <li  class="{{$class}}" >
            <a href="#">
            <i class="fa fa-users"></i> <span>@lang('menu.users')</span>
            <span class="pull-right-container">
            <i class="fa fa-angle-left pull-right"></i>
            </span>
            </a>
                  <ul class="treeview-menu" {!! $menu !!}>

                  <li>
                  <a href="{{ route("drivers.index") }}">
                    <i class="fa fa-id-card"></i>
                  @lang('menu.drivers')</a>
                  </li>
                  @if(Auth::user()->user_type=="S")
                  <li>
                  <a href="{{ route("users.index") }}">
                    <i class="fa fa-user"></i>
                  @lang('menu.users')</a>
                  </li>

                  <li> <a href="{{ route("customers.index")}}">
                  <i class="fa fa-address-card "></i>
                  @lang('fleet.customers')</a> </li>
                  @endif

                  </ul>
            </li> @endif

            @if((Request::is('vehicles*')) || (Request::is('vehicle_group*')))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif

            @if(in_array(1,$modules))<li  class="{{$class}}">
              <a href="#">
                <i class="fa fa-taxi"></i>
                <span>@lang('menu.vehicles')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li>

                <a href="{{ route("vehicles.index") }}">
                  <i class="fa fa-truck"></i>
                @lang('menu.manageVehicles')</a>
                </li>

                <li>
                <a href="{{ route("vehicle_group.index") }}">
                  <i class="fa fa-inbox"></i>
                @lang('fleet.manageGroup')</a>
                </li>
              </ul>
            </li> @endif

            @if((Request::is('income')) || (Request::is('expense')) || (Request::is('transaction')) || (Request::is('income_records')) || (Request::is('expense_records')) )
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif

             @if(in_array(2,$modules)) <li  class="{{$class}}">
              <a href="#">
                <i class="fa fa-money"></i>
                <span>@lang('menu.transactions')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
               <li>
                <a href="{{ route("income.index")}}">
                  <i class="fa fa-newspaper-o "></i>
                @lang('fleet.manage_income')</a>
                </li>
                <li>
                <a href="{{ route("expense.index")}}">
                  <i class="fa fa-newspaper-o "></i>
                @lang('fleet.manage_expense')</a>
                </li>
              </ul>
            </li> @endif
            @if((Request::is('bookings*'))  || (Request::is('bookings_calendar')))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
             @if(in_array(3,$modules)) <li  class="{{$class}}">
              <a href="#">

                <i class="fa fa-address-card"></i>

                <span>@lang('menu.bookings')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li> <a href="{{ route("bookings.create")}}">
                  <i class="fa fa-address-book"></i>
                @lang('menu.newbooking')</a> </li>

                <li> <a href="{{ route("bookings.index")}}">
                  <i class="fa fa-tasks"></i>
                @lang('menu.manage_bookings')</a> </li>
                <li> <a href="{{ route("bookings.calendar")}}">
                  <i class="fa fa-calendar"></i>
                @lang('menu.calendar')</a> </li>


              </ul>
            </li> @endif


            @if(Request::is('reports*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
            @if(in_array(4,$modules)) <li  class="{{$class}}">
              <a href="#">
                <i class="fa fa-book"></i>
                <span>@lang('menu.reports')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li> <a href="{{ route("reports.delinquent")}}">
                  <i class="fa fa-file-text"></i>
                @lang('menu.deliquentReport')</a> </li>
                <li> <a href="{{ route("reports.monthly")}}">
                  <i class="fa fa-calendar"></i>
                @lang('menu.monthlyReport')</a> </li>
                <li> <a href="{{ route("reports.booking")}}">
                  <i class="fa fa-book"></i>
                @lang('menu.bookingReport')</a> </li>
                <li> <a href="{{ route("reports.users")}}">
                  <i class="fa fa-address-book"></i>
                @lang('fleet.user_report')</a> </li>
                <li> <a href="{{ route("reports.fuel")}}">
                  <i class="fa fa-truck"></i>
                @lang('fleet.fuelReport')</a> </li>
                <li> <a href="{{ route("reports.drivers")}}">
                  <i class="fa fa-id-card"></i>
                @lang('fleet.driverReport')</a> </li>
                <li> <a href="{{ route("reports.customers")}}">
                  <i class="fa fa-users"></i>
                @lang('fleet.customerReport')</a> </li>
                <li> <a href="{{ route("reports.vendors")}}">
                  <i class="fa fa-cubes"></i>
                @lang('fleet.vendorReport')</a> </li>
                <li> <a href="{{ route("reports.yearly")}}">
                  <i class="fa fa-calendar"></i>
                @lang('fleet.yearlyReport')</a> </li>
              </ul>
            </li> @endif


            @if(Request::is('fuel*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
             @if(in_array(5,$modules)) <li class="{{$class}}">
              <a href="#">
                <i class="fa fa-filter"></i>
                <span>@lang('fleet.fuel')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
              <li> <a href="{{ route("fuel.create")}}">
                 <i class="fa fa-plus-square"></i>
              @lang('fleet.add_fuel')</a> </li>
              <li> <a href="{{ route("fuel.index")}}">
                 <i class="fa fa-history"></i>
              @lang('fleet.manage_fuel')</a> </li>
              </ul>
            </li> @endif


            @if(Request::is('vendor*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
            @if(in_array(6,$modules)) <li  class="{{$class}}">
              <a href="#">

                <i class="fa fa-cubes"></i>
                <span>@lang('fleet.vendors')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>

                <li> <a href="{{ route("vendor.create")}}">
                  <i class="fa fa-plus-square"></i>
                @lang('fleet.add_vendor')</a> </li>
                <li> <a href="{{ route("vendor.index")}}">
                  <i class="fa fa-cube"></i>
                @lang('fleet.manage_vendor')</a> </li>
              </ul>
            </li> @endif

            @if(Request::is('work_order*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
            @if(in_array(7,$modules)) <li class="{{$class}}">
              <a href="#">
                 <i class="fa fa-shopping-cart"></i>
                <span>@lang('fleet.work_orders')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>

                <li> <a href="{{ route("work_order.create")}}">
                  <i class="fa fa-plus-square"></i>
                @lang('fleet.add_order')</a> </li>
                <li> <a href="{{ route("work_order.index")}}">
                  <i class="fa fa-inbox"></i>
                @lang('fleet.manage_work_order')</a> </li>
              </ul>
            </li> @endif


            @if(Request::is('notes*'))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")

            @endif
            @if(in_array(8,$modules)) <li  class="{{$class}}">
              <a href="#">
                <i class="fa fa-sticky-note"></i>
                <span> @lang('fleet.notes')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li>
                <a href="{{ route("notes.index") }}">
                   <i class="fa fa-flag"></i>
                @lang('fleet.manage_note')</a>
                </li>
                <li>
                <a href="{{ route("notes.create") }}">
                   <i class="fa fa-plus-square"></i>
                @lang('fleet.create_note')</a>
                </li>

              </ul>
            </li> @endif



            @if((Request::is('service-reminder*')) || (Request::is('service-item*')))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")
            @endif
            @if(in_array(9,$modules)) <li  class="{{$class}}" >
              <a href="#">
                <i class="fa fa-clock-o"></i>
                <span>  @lang('fleet.serviceReminders')</span>
                <span class="pull-right-container">
                 <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li>
                <a href="{{ route("service-reminder.index") }}">
                   <i class="fa fa-arrows-alt"></i>
                @lang('fleet.manage_reminder')</a>
                </li>
                <li>
                <a href="{{ route("service-reminder.create") }}">
                   <i class="fa fa-check-square-o"></i>
                @lang('fleet.add_service_reminder')</a>
                </li>
                <li>
                <a href="{{ route("service-item.index") }}">
                   <i class="fa fa-warning"></i>
                @lang('fleet.service_item')</a>
                </li>

              </ul>
            </li> @endif
            @endif
            @if(Auth::user()->user_type=="S")
            @if(Request::is('settings*') || Request::is('fare-settings') || Request::is('api-settings') || (Request::is('expensecategories*')) || (Request::is('incomecategories*')) || (Request::is('expensecategories*')) || (Request::is('send-email')) || (Request::is('set-email')) || (Request::is('cancel-reason*')))
            @php($class="treeview menu-open")
            @php($menu="style='display:block;'")
            @else
            @php($class="treeview")
            @php($menu="")
            @endif
          <li  class="{{$class}}" >
              <a href="#">
                <i class="fa fa-gear"></i>
                <span>@lang('menu.settings')</span>
                <span class="pull-right-container">
                   <i class="fa fa-angle-left pull-right"></i>
                </span>
              </a>
              <ul class="treeview-menu" {!! $menu !!}>
                <li>
                <a href="{{ route("settings.index") }}">
                   <i class="fa fa-gear"></i>
                @lang('menu.general_settings')</a>
                </li>
                <li>
                <a href="{{url('api-settings')}}">
                   <i class="fa fa-gear"></i>
                @lang('menu.api_settings')</a>
                </li>
                <li>
              <a href="{{ route("cancel-reason.index")}}">
                <i class="fa fa-ban"></i> <span> @lang('fleet.cancellation')</span>
              </a>
            </li>
                <li>
                <a href="{{ url("send-email") }}">
                   <i class="fa fa-envelope"></i>
                @lang('menu.email_notification')
                </a>
                </li>

                <li>
                <a href="{{ url("set-email") }}">
                   <i class="fa fa-envelope-open"></i>
                @lang('menu.email_content')</a>
                </li>

                <li>
                <a href="{{url('fare-settings')}}">
                   <i class="fa fa-gear"></i>
                @lang('menu.fare_settings')</a>
                </li>

                <li>
                <a href="{{ route("expensecategories.index") }}">
                  <i class="fa fa-tasks"></i>
                @lang('menu.expenseCategories')</a>
                </li>
                <li>
                <a href="{{ route("incomecategories.index") }}">
                  <i class="fa fa-tasks"></i>
                @lang('menu.incomeCategories')</a>
                </li>
              </ul>
            </li>
            @endif

            <li>
              <a href="https://goo.gl/forms/PtzIirmT3ap8m5dY2" target="_blank">
                <i class="fa fa-comment"></i> <span> @lang('fleet.helpus')</span>
              </a>
            </li>

            @if(Hyvikk::api('api') && Hyvikk::api('driver_review') == 1)
              @if(in_array(10,$modules))  <li @if(Request::is('/reviews')) class="active" @endif>
                <a href="{{ url("/reviews")}}">
                  <i class="fa fa-star"></i> <span> @lang('fleet.reviews')</span>
                </a>
              </li> @endif
            @endif



       <!--  @if(in_array(11,$modules)) <li @if(Request::is('/contact-us')) class="active" @endif>
          <a href="{{ url("/contact-us")}}">
            <i class="fa fa-comments"></i> <span> @lang('fleet.contact')</span>
          </a>
        </li> @endif -->




          <!-- sidebar end for office-admin and super-admin -->
      </ul>
    </section>
    <!-- /.sidebar -->
  </aside>

<div class="content-wrapper">
  @if(!(Request::is('/')))
  <section class="content-header">
@yield('heading')
      <ol class="breadcrumb">
        <li>
          <a href="{{ url("/")}}"><i class="fa fa-dashboard"></i> @lang('fleet.home')</a>
        </li>
        @yield('breadcrumb')
      </ol>
      <br>
    </section>
@endif
<section class="content">
@yield('content')
</section>
</div>
<footer class="main-footer">
    <div class="pull-right hidden-xs">
      <b>@lang('fleet.version')</b> 3.0.0
    </div>
    <strong>@lang('fleet.copyright') © 2017-{{date("Y")}} <a href="https://hyvikk.com">Hyvikk Solutions</a>.</strong> @lang('fleet.all_rights_reserved')
  </footer>
@yield('script2')
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

<script type="text/javascript" src="https://cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.15/js/dataTables.bootstrap.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
<script type="text/javascript" src="{{ asset("js/adminlte.min.js")}}"></script>
<script type="text/javascript" src="{{ asset("js/icheck.min.js")}}"></script>

<script type="text/javascript" src="{{ asset("js/jquery.colorbox-min.js")}}"></script>

<script type="text/javascript">
  function processSelectedFile(e,t){$("#"+t).val(e)}
  $(document).on("click",".popup_selector",function(e){
    e.preventDefault();
    var t=$(this).attr("data-inputid");
    var n="{{url('/elfinder/popup/')}}/";
    var r=n+t;
    $.colorbox({href:r,fastIframe:true,iframe:true,width:"70%",height:"50%"})
  });

$(document).ready(function() {
    $('#data_table1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
              {
            extend: 'print',
            text: '<i class="fa fa-print"></i> {{__("fleet.print")}}',

            exportOptions: {
               columns: ([0,1,2,3,4,5,6]),
            },
            customize: function ( win ) {
                    $(win.document.body)
                        .css( 'font-size', '10pt' )
                        .prepend(
                            '<h3>{{__("fleet.bookings")}}</h3>'
                        );
                    $(win.document.body).find( 'table' )
                        .addClass( 'table-bordered' );

                }
              }
        ],

        "language": {
                 "url": '{{ __("fleet.datatable_lang") }}',
              }
    } );

$('#data_table').DataTable({
  "language": {
                 "url": '{{ __("fleet.datatable_lang") }}',
              }
});
$('[data-toggle="tooltip"]').tooltip();
});
</script>
<script type="text/javascript" src="{{ asset('js/pnotify.custom.min.js')}}"></script>
@yield('script')
</body>
</html>