@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("notes.index")}}">@lang('fleet.notes')</a></li>
<li class="active">@lang('fleet.edit_note')</li>
@endsection
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.edit_note')</h3>
                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => ['notes.update',$data->id],'method'=>'PATCH']) !!}
{!! Form::hidden('user_id',Auth::user()->id)!!}
{!! Form::hidden('id',$data->id)!!}

<div class="row">
  <div class="col-md-6">
    <div class="form-group">
   {!! Form::label('vehicle_id',__('fleet.vehicle'), ['class' => 'form-label']) !!}
     <select id="vehicle_id" name="vehicle_id" class="form-control" required>
  <option value="">-</option>
  @foreach($vehicles as $vehicle)

  @if($vehicle->id===$data->vehicle_id)

<option value="{{$vehicle->id}}" selected> {{$vehicle->make}} - {{$vehicle->model}} - {{$vehicle->color}} - {{$vehicle->license_plate}}</option>
@else
<option value="{{$vehicle->id}}" > {{$vehicle->make}} - {{$vehicle->model}} - {{$vehicle->color}} - {{$vehicle->license_plate}}</option>
@endif
  @endforeach
   </select>

   </div>

   <div class="form-group">
   {!! Form::label('customer_id',__('fleet.person_incharge'), ['class' => 'form-label']) !!}
     <select id="customer_id" name="customer_id" class="form-control" required>
  <option value="">-</option>
  @foreach($customers as $customer)
  @if($customer->id===$data->customer_id)

  <option value="{{$customer->id}}" selected>{{$customer->name}}</option>
  @else
  <option value="{{$customer->id}}">{{$customer->name}}</option>
  @endif
  @endforeach
   </select>

   </div>

   <div class="form-group">

        {!! Form::label('submitted_on', __('fleet.submitted_on'), ['class' => 'form-label']) !!}
        <div class="input-group date">
        <div class="input-group-addon"><i class="fa fa-calendar"></i></div>
         {!! Form::text('submitted_on',$data->submitted_on,['class'=>'form-control']) !!}
        </div>


      </div>
</div>
<div class="col-md-6">
      <div class="form-group">
     {!! Form::label('status',__('fleet.status'), ['class' => 'form-label']) !!}
      {!! Form::select('status',["Pending"=>"Pending", "Processing"=>"Processing", "Completed"=>"Completed","Hold"=>"Hold"],$data->status,['class' => 'form-control','required']) !!}

    </div>

     <div class="form-group">
       {!! Form::label('note',__('fleet.note'), ['class' => 'form-label']) !!}
       {!! Form::textarea('note',$data->note,['class'=>'form-control','size'=>'30x2','required']) !!}
    </div>

  </div>

</div>
<div class="row">
<div class="col-md-12">
{!! Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']) !!}
</div>
</div>
</div>

                </div>

            </div>
        </div>

@endsection

@section("script")
<script src="{{ asset('js/moment.js') }}"></script>
<script src="{{ asset('js/datetimepicker.js') }}"></script>
<script src="{{ asset('js/select2.min.js') }}"></script>
<script type="text/javascript">
    $(document).ready(function() {

  $('#submitted_on').datetimepicker({format: 'YYYY-MM-DD'});

});
</script>
@endsection