@extends("layouts.app")
@section('extra_css')
<style type="text/css">
.custom{
min-width: 50px;
left: -70px !important;
right: 0;
}
</style>
@endsection
@section("breadcrumb")
<li class="active">@lang('fleet.notes')</li>
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">
                  @lang('fleet.notes')
                  </h3>
                <a href="{{ route('notes.create')}}" class="btn btn-success">@lang('fleet.create_note')</a>
                </div>

                <div class="box-body table-responsive">
                    <table class="table" id="data_table">
  <thead class="thead-inverse">
    <tr>

      <th>@lang('fleet.vehicle')</th>
      <th></th>
      <th>@lang('fleet.person_incharge')</th>
      <th>@lang('fleet.submitted_on')</th>
      <th> @lang('fleet.note')</th>
      <th>@lang('fleet.status')</th>
      <th>@lang('fleet.action')</th>
    </tr>
  </thead>
  <tbody>
@foreach($data as $row)
   <tr>
      <td>
        @if($row->vehicle['vehicle_image'] != null)
        <img src="{{url('uploads/'.$row->vehicle['vehicle_image'])}}" height="70px" width="70px">
        @else
      <img src="{{ asset("img/vehicle.jpeg")}}" height="70px" width="70px">
      @endif


      </td>
      <td>
         @lang('fleet.unit') #: {{$row->vehicle_id}} <br>
         {{$row->vehicle['year']}}
        {{$row->vehicle['make']}} - {{$row->vehicle['model']}}
        <br>
        @lang('fleet.vin'): {{$row->vehicle['vin']}}
        <br>
        @lang('fleet.plate'): {{$row->vehicle['license_plate']}}
      </td>
      <td>
       {{$row->customer->name}}
      </td>
      <td>
      	{{$row->submitted_on}}
      </td>
      <td>{{$row->note}}</td>
      <td> {{$row->status}} </td>
      <td>
        <div class="btn-group">

          <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
            <span class="fa fa-gear"></span>
            <span class="sr-only">Toggle Dropdown</span>
          </button>
          <ul class="dropdown-menu custom" role="menu">
            <li><a href="{{ url("notes/".$row->id."/edit")}}"> <span aria-hidden="true" class="glyphicon glyphicon-pencil" style="color: #f0ad4e;"></span> @lang('fleet.edit')</a></li>
            <li><a href="javascript:document.form_{{$row->id}}.submit();"> <span aria-hidden="true" class="glyphicon glyphicon-trash" style="color: #dd4b39"></span>@lang('fleet.delete')</a></li>

          </ul>
        </div>
        {!! Form::open(['url' => 'notes/'.$row->id,'method'=>'DELETE','class'=>'form-horizontal','name'=>'form_'.$row->id]) !!}

        {!! Form::hidden("id",$row->id) !!}

        {!! Form::close() !!}
      </td>

    </tr>
@endforeach
  </tbody>
  </table>

                </div>
            </div>
        </div>
    </div>


<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">



                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->

@endsection

@section('script')
<script type="text/javascript">
  $("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });
</script>

@endsection