@extends('layouts.app')
@section("breadcrumb")
<li class="active">@lang('fleet.serviceReminders')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.serviceReminders')</h3>

                </div>

                <div class="box-body table-responsive">

<table class="table" id="data_table">
  <thead class="thead-inverse">
    <tr>
       <th></th>
       <th>@lang('fleet.vehicle')</th>
      <th>@lang('fleet.notification')</th>
      <th>@lang('fleet.remaining_days')</th>
    </tr>
  </thead>
  <tbody>

 @php
  $user = App\Model\User::find(Auth::id());
 @endphp

 @if ($type = "service-reminder")
   @php ($type = "App\Notifications\ServiceReminderNotification")
 @endif
 @foreach ($user->unreadNotifications as $notification)
  @if($notification->type==$type)
   @php($notification->markAsRead())
  @endif
 @endforeach

@foreach($reminder as $data)

  @foreach ($user->notifications as $notification)

  @if($data->id == $notification->data['vid'])

    @if($notification->type == $type)

      @php ($to = \Carbon\Carbon::now())

      @php ($from = \Carbon\Carbon::createFromFormat('Y-m-d', $notification->data['date']))

      @php ($diff_in_days = $to->diffInDays($from))

<tr>
  <td>
       @if($data->vehicle['vehicle_image'] != null)
        <img src="{{url('uploads/'.$data->vehicle['vehicle_image'])}}" height="70px" width="70px">
        @else
      <img src="{{ asset("img/vehicle.jpeg")}}" height="70px" width="70px">
      @endif
    </td>
  <td>
    {{$data->vehicle->year}} {{$data->vehicle->make}} {{$data->vehicle->model}}
      <br>
      @lang('fleet.vin'):{{$data->vehicle->vin}}
      <br>
      @lang('fleet.plate'):{{$data->vehicle->license_plate}}
  </td>
  <td>
    {{ $notification->data['msg'] }}
  </td>
  <td>
    {{$diff_in_days}}
  </td>
</tr>
@endif
   @endif
        @endforeach
        @endforeach
  </tbody>
  </table>
                </div>
            </div>
        </div>
    </div>
@endsection