@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("parts.index")}}">@lang('menu.manageParts')</a></li>
<li class="active">@lang('fleet.addParts')</li>


@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-success">
                 <div class="box-header with-border">
                <h3 class="box-title">@lang('fleet.addParts')</h3>
                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => 'parts.store','method'=>'post','files'=>true]) !!}
{!! Form::hidden("user_id",Auth::user()->id) !!}
<div class="col-md-6">
<div class="form-group">
 {!! Form::label('image', __('fleet.picture'), ['class' => 'form-label']) !!}
 {!! Form::file('image',null,['class' => 'form-control']) !!}
 </div>

<div class="form-group">
 {!! Form::label('barcode', __('fleet.barcode'), ['class' => 'form-label']) !!}
 {!! Form::text('barcode', null,['class' => 'form-control','required']) !!}
 </div>

 <div class="form-group">
 {!! Form::label('number', __('fleet.number'), ['class' => 'form-label']) !!}
 {!! Form::text('number', null,['class' => 'form-control','required']) !!}
 </div>

 <div class="form-group">
   {!! Form::label('description',__('fleet.description'), ['class' => 'form-label']) !!}
   {!! Form::text('description',null,['class'=>'form-control','required']) !!}
</div>

<div class="form-group">
 {!! Form::label('unit_cost', __('fleet.unit_cost'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
 {!! Form::number('unit_cost', null,['class' => 'form-control','required']) !!}
</div>
 </div>

</div>

<div class="col-md-6">
<div class="form-group">
   {!! Form::label('vendor_id',__('fleet.vendor'), ['class' => 'form-label']) !!}
      <select id="vendor_id" name="vendor_id" class="form-control" required>
      <option value="">-</option>
      @foreach($vendors as $vendor)
      <option value="{{$vendor->id}}">{{$vendor->name}}</option>
      @endforeach
    </select>
</div>

<div class="form-group">
 {!! Form::label('manufacturer', __('fleet.manufacturer'), ['class' => 'form-label']) !!}
 {!! Form::text('manufacturer', null,['class' => 'form-control']) !!}
 </div>

<div class="form-group">
 {!! Form::label('stock', __('fleet.qty_on_hand'), ['class' => 'form-label']) !!}
 {!! Form::number('stock', null,['class' => 'form-control','required']) !!}
 </div>

<div class="form-group">
   {!! Form::label('note',__('fleet.note'), ['class' => 'form-label']) !!}
   {!! Form::textarea('note',null,['class'=>'form-control','size'=>'30x2']) !!}
</div>

</div>
<div class="col-md-12">
{!! Form::submit(__('fleet.savePart'), ['class' => 'btn btn-success']) !!}

</div>
{!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>

@endsection
