@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("parts.index")}}">@lang('menu.manageParts')</a></li>
<li class="active">@lang('fleet.editParts')</li>


@endsection
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="box box-warning">
                 <div class="box-header with-border">
              <h3 class="box-title">@lang('fleet.editParts')</h3>


                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => ['parts.update',$data->id],'method'=>'PATCH','files'=>true]) !!}
{!! Form::hidden("user_id",Auth::user()->id) !!}
{!! Form::hidden("id",$data->id)!!}

<div class="col-md-6">
<div class="form-group">
 {!! Form::label('image', __('fleet.picture'), ['class' => 'form-label']) !!}
 @if($data->image != null)
    <a href="{{asset('uploads/'.$data->image)}}" target="_blank"> (View)</a>
    @endif
 {!! Form::file('image',null,['class' => 'form-control']) !!}
 </div>

<div class="form-group">
 {!! Form::label('barcode', __('fleet.barcode'), ['class' => 'form-label']) !!}
 {!! Form::text('barcode', $data->barcode,['class' => 'form-control','required']) !!}
 </div>

 <div class="form-group">
 {!! Form::label('number', __('fleet.number'), ['class' => 'form-label']) !!}
 {!! Form::text('number', $data->number,['class' => 'form-control','required']) !!}
 </div>

 <div class="form-group">
   {!! Form::label('description',__('fleet.description'), ['class' => 'form-label']) !!}
   {!! Form::text('description',$data->description,['class'=>'form-control','required']) !!}
</div>

<div class="form-group">
 {!! Form::label('unit_cost', __('fleet.unit_cost'), ['class' => 'form-label']) !!}
  <div class="input-group date">
 <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
 {!! Form::number('unit_cost', $data->unit_cost,['class' => 'form-control','required']) !!}
</div>
 </div>

</div>

<div class="col-md-6">
<div class="form-group">
   {!! Form::label('vendor_id',__('fleet.vendor'), ['class' => 'form-label']) !!}
      <select id="vendor_id" name="vendor_id" class="form-control" required>
      <option value="">-</option>
      @foreach($vendors as $vendor)
      @if($vendor->id===$data->vendor_id)
      <option value="{{$vendor->id}}" selected>{{$vendor->name}}</option>
      @else
      <option value="{{$vendor->id}}">{{$vendor->name}}</option>
      @endif
      @endforeach
    </select>
</div>

<div class="form-group">
 {!! Form::label('manufacturer', __('fleet.manufacturer'), ['class' => 'form-label']) !!}
 {!! Form::text('manufacturer', $data->manufacturer,['class' => 'form-control']) !!}
 </div>

<div class="form-group">
 {!! Form::label('stock', __('fleet.qty_on_hand'), ['class' => 'form-label']) !!}
 {!! Form::number('stock', $data->stock,['class' => 'form-control','required']) !!}
 </div>

<div class="form-group">
   {!! Form::label('note',__('fleet.note'), ['class' => 'form-label']) !!}
   {!! Form::textarea('note',$data->note,['class'=>'form-control','size'=>'30x2']) !!}
</div>

</div>
<div class="col-md-12">
{!! Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']) !!}

</div>
{!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>

@endsection
