@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("parts.index")}}">@lang('menu.manageParts')</a></li>
<li><a href="{{ url("parts/".$part->id."/edit")}}">{{$part->description}}</a></li>
<li class="active">@lang('fleet.manageStock')</li>


@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
             <div class="box box-primary">
                 <div class="box-header with-border">
              <h3 class="box-title">@lang('fleet.addNew') : <strong>{{$part->description}}</strong></h3>
                </div>
                <div class="box-body">
                  {!! Form::open(['route' => 'stock.store','method'=>'post','class'=>'form-inline']) !!}
{!! Form::hidden("user_id",Auth::user()->id) !!}
{!! Form::hidden("part_id",$part->id) !!}
<div class="col-md-2">
 <div class="form-group">
 {!! Form::label('price_eur', __('fleet.cost'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
 {!! Form::number('price_eur', null,['class' => 'form-control','required']) !!}
 </div>
</div>
</div>
 <div class="col-md-2">
 <div class="form-group">
 {!! Form::label('transport', __('fleet.transport'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
 {!! Form::number('transport', null,['class' => 'form-control','required']) !!}
</div>
 </div>
 </div>
 <div class="col-md-2">
  <div class="form-group">
 {!! Form::label('customs', __('fleet.customDuties'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
 {!! Form::number('customs', null,['class' => 'form-control','required']) !!}
</div>
 </div>
 </div>
 <div class="col-md-2">
 <div class="form-group">
 {!! Form::label('volume', __('fleet.quantity'), ['class' => 'form-label']) !!}
 {!! Form::number('volume', null,['class' => 'form-control','required']) !!}
 </div>
</div>
<div class="col-md-3" style="margin-left: 50px;margin-top: 23px">
{!! Form::submit(__('fleet.addStock'), ['class' => 'btn btn-success']) !!}
</div>
{!! Form::close() !!}
                </div>
              </div>
          </div>
</div>
<div class="row">
        <div class="col-md-12">
             <div class="box box-primary">
                 <div class="box-header with-border">
              <h3 class="box-title">@lang('fleet.manageStock') : <strong>{{$part->description}}</strong></h3>
                </div>

                <div class="box-body table-responsive">
                    <table class="table">
  <thead class="thead-inverse">
    <tr>
      <th>@lang('fleet.name')</th>
      <th>@lang('fleet.cost')</th>
      <th>@lang('fleet.price')</th>
      <th>@lang('fleet.quantity')</th>
      <th>@lang('fleet.created')</th>
      <th>@lang('fleet.action')</th>
    </tr>
  </thead>
  <tbody>
  @foreach($data as $row)
   <tr>
      <td>{{$row->get_part->description}}</td>
      <td>{{$row->price_eur}}</td>
      <td>{{$row->price_local}}</td>
      <td>{{$row->volume}}</td>
      <td>{{$row->created_at}}</td>
      <td>
        {!! Form::open(['url' => 'stock/'.$row->id,'method'=>'DELETE','class'=>'form-horizontal','id'=>'form_'.$row->id]) !!}
        {!! Form::hidden("id",$row->id) !!}
          <button type="button" class="btn btn-danger" data-id="{{$row->id}}" data-toggle="modal" data-target="#myModal" title="@lang('fleet.delete')"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
        {!! Form::close() !!}
      </td>
    </tr>
  @endforeach
  </tbody>
  </table>
                </div>
            </div>
        </div>
    </div>



<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">



                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->

@endsection

@section('script')
<script type="text/javascript">
  $("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });
</script>

@endsection