@extends('layouts.app')
@section("breadcrumb")
<li><a href="#">@lang('menu.reports')</a></li>
<li class="active">@lang('fleet.booking_report')</li>
@endsection
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="box box-primary">
                <div class="box-header with-border">
                <h3 class="box-title">@lang('fleet.booking_report')
                </h3>
                </div>

                <div class="box-body">
                    {!! Form::open(['route' => 'reports.booking','method'=>'post','class'=>'form-inline']) !!}

                    <div class="form-group">
                    {!! Form::label('year', __('fleet.year1'), ['class' => 'form-label']) !!}
                    {!! Form::select('year', $years, $year_select,['class'=>'form-control']); !!}
                    </div>
                    <div class="form-group">
                    {!! Form::label('month', __('fleet.month'), ['class' => 'form-label']) !!}
                    {!! Form::selectMonth('month',$month_select,['class'=>'form-control']); !!}
                    </div>
                    <div class="form-group">
                        {!! Form::label('vehicle', __('fleet.vehicles'), ['class' => 'form-label']) !!}
                         <select id="vehicle_id" name="vehicle_id" class="form-control vehicles">
                          <option value="">@lang('fleet.selectVehicle')</option>
                            @foreach($vehicles as $vehicle)
                            <option value="{{ $vehicle->id }}" @if($vehicle_select == $vehicle->id) selected @endif>{{$vehicle->make}}-{{$vehicle->model}}-{{$vehicle->license_plate}}</option>
                            @endforeach
                          </select>
                    </div>
                      <div class="form-group">
                        {!! Form::label('customer_id', __('fleet.selectCustomer'), ['class' => 'form-label']) !!}
                       <select id="customer_id" name="customer_id" class="form-control vehicles">
                          <option value="">@lang('fleet.selectCustomer')</option>
                            @foreach($customers as $customer)
                            <option value="{{ $customer->id }}" @if($customer_select == $customer->id) selected @endif>{{$customer->name}}</option>
                            @endforeach
                          </select>
                    </div>
                    <button type="submit" class="btn btn-primary">@lang('fleet.generate_report')</button>
                    <button type="submit" formaction="{{url('/print-booking-report')}}" class="btn btn-danger"><i class="fa fa-print"></i> @lang('fleet.print')</button>
                    {!! Form::close() !!}

                </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">

        <div class="box box-primary">
                <div class="box-header with-border">
                 <h3 class="box-title">
                  @lang('fleet.booking_count') {{$bookings->count()}}
                 </h3>
                </div>
                <div class="box-body table-responsive">
    <table class="table" id="myTable">
<thead class="thead-inverse">
<tr>

  <th>@lang('fleet.customer')</th>
  <th>@lang('fleet.vehicle')</th>

  <th>@lang('fleet.from_date')</th>
  <th>@lang('fleet.to_date')</th>
  <th>@lang('fleet.passengers')</th>
  <th>@lang('fleet.status')</th>

</tr>
</thead>
<tbody>

@foreach($bookings as $row)
<tr>
  <td>{{$row->customer->name}}</td>
  <td>
    @if($row->vehicle_id != null)
    {{$row->vehicle->make}} - {{$row->vehicle->model}} - {{$row->vehicle->license_plate}}
    @endif
  </td>

  <td>{{date('d/m/Y g:i A',strtotime($row->pickup))}}</td>
  <td>{{date('d/m/Y g:i A',strtotime($row->dropoff))}}</td>
  <td>{{$row->travellers}}</td>
  <td>@if($row->status===0)<span style="color:orange;">@lang('fleet.journey_not_ended') @else <span style="color:green;">@lang('fleet.journey_ended') @endif</span></td>


</tr>
@endforeach


</tbody>
</table>
    </div>
    </div>
    </div>
    </div>


@endsection


@section("script")

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
<script type="text/javascript">
  $(document).ready(function() {
        $('#myTable').DataTable( {
        dom: 'Bfrtip',
        buttons: [{
             extend: 'collection',
                text: 'Export',
                buttons: [
                    'copy',
                    'excel',
                    'csv',
                    'pdf',

                ]}
        ],

        "language": {
                 "url": '{{ __("fleet.datatable_lang") }}',
              }
    } );
  });
</script>
@endsection