@extends('layouts.app')
@section("breadcrumb")
<li><a href="#">@lang('menu.reports')</a></li>
<li class="active">@lang('fleet.customerReport')</li>
@endsection
@section('extra_css')
<style type="text/css">
  .box1{
    height:510px !important;
  }
</style>
@endsection
@section('content')
<div class="row">
<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">@lang('fleet.customerReport')
</h3>
</div>

<div class="box-body">
{!! Form::open(['route' => 'reports.customers','method'=>'post','class'=>'form-inline']) !!}

<div class="form-group">
{!! Form::label('year', __('fleet.year1'), ['class' => 'form-label']) !!}
{!! Form::select('year', $years, $year_select,['class'=>'form-control']); !!}
</div>
<div class="form-group">
{!! Form::label('month', __('fleet.month'), ['class' => 'form-label']) !!}
{!! Form::selectMonth('month',$month_select,['class'=>'form-control']); !!}
</div>

<button type="submit" class="btn btn-primary">@lang('fleet.generate_report')</button>
<button type="submit" formaction="{{url('/print-customer-report')}}" class="btn btn-danger"><i class="fa fa-print"></i> @lang('fleet.print')</button>
{!! Form::close() !!}

</div>
</div>
</div>
</div>
<div class="row">
	<div class="col-md-6">
<div class="box box-primary box1">
<div class="box-header with-border">
<h3 class="box-title">@lang('fleet.monthlyReport')
</h3>
</div>
	<div class="box-body">

        <canvas id="canvas1" width="400" height="300"></canvas>

    </div>
</div>
</div>
<div class="col-md-6">
<div class="box box-primary box1">
<div class="box-header with-border">
<h3 class="box-title">@lang('fleet.topCustomers')
</h3>
</div>
  <div class="box-body">
    <table class="table table-bordered table-striped table-hover" id="myTable">
<thead>
    <tr>

<th scope="row">@lang('fleet.customer'):</th>
<td><strong>@lang('fleet.total')</strong></td>
</tr>
</thead>
<tbody>
<hr>
@php($i=0)
@foreach($top10 as $key=>$val)
@if($val != 0)
<tr>
@php($i++)

<th scope="row"> {{$i}}. &nbsp; {{$key}}</th>

<td>{{ Hyvikk::get("currency")}}{{$val}}</td>
</tr>
@endif
@endforeach


</tbody>
</table>

  </div>
</div>
</div>
</div>
<div class="row">
	<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">@lang('fleet.yearlyReport')
</h3>
</div>
	 <div class="box-body">
      <canvas id="yearly" width="800" height="300"></canvas>
      </div>
</div>
</div>
</div>

@endsection

@section('script2')
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.bundle.min.js"></script>

<script type="text/javascript">

        var config = {
            type: 'line',
            data: {
                labels: [@foreach($customers_by_year as $key=>$val) "{{$key}}", @endforeach],
                datasets: [{
                    label: "@lang('fleet.customers')",
                    backgroundColor: '#dd4b39',
                    borderColor: '#dd4b39',
                    data: [@foreach($customers_by_year as $key=>$val) {{$val}}, @endforeach],
                    fill: false,
                }]
            },
            options: {
                legend: {
                      display: false,
                },
                responsive: true,
                title:{
                    display:true,
                },
                tooltips: {
                    mode: 'index',
                    intersect: false,
                },
                hover: {
                    mode: 'nearest',
                    intersect: true
                },
                scales: {
                    xAxes: [{
                        display: true,
                        scaleLabel: {
                            display: true,
                            labelString: "@lang('fleet.customers')"
                        }
                    }],
                    yAxes: [{
                        display: true,
                        scaleLabel: {
                            display: true,
                            labelString: "@lang('fleet.amount')"
                        }
                    }]
                }
            },


        };

        window.chartColors = {
  red: 'rgb(255, 99, 132)',
  orange: 'rgb(255, 159, 64)',
  yellow: 'rgb(255, 205, 86)',
  green: 'rgb(75, 192, 192)',
  blue: 'rgb(54, 162, 235)',
  purple: 'rgb(153, 102, 255)',
  grey: 'rgb(201, 203, 207)',
  black: 'rgb(0,0,0)'
};
function random_color(i){
  var color1,color2,color3;
  var col_arr=[];
  for(x=0;x<=i;x++){

  var c1 = [176,255,84,220,134,66,238];
  var c2 = [254,61,147,114,51,26,137];
  var c3 = [27,111,153,93,157,216,187,44,243];
  color1 = c1[Math.floor(Math.random()*c1.length)];
  color2 = c2[Math.floor(Math.random()*c2.length)];
  color3 = c3[Math.floor(Math.random()*c3.length)];

  col_arr.push("rgba("+color1+","+color2+","+color3+",0.5)");
  }
  return col_arr;
}
        var chartData = {
            labels: [@foreach($customers_by_month as $key=>$val) @if($val!=0) "{{$key}}", @endif @endforeach],
            datasets: [{
                type: 'pie',
                label: "",
                backgroundColor: random_color({{count($customers_by_month)}}),
                borderColor: window.chartColors.black,
                borderWidth: 1,
                data: [@foreach($customers_by_month as $key=>$val) @if($val!=0) {{$val}}, @endif @endforeach]
            }]
        };

        window.onload = function() {
          var ctx = document.getElementById("yearly").getContext("2d");
            window.myLine = new Chart(ctx, config);

            var ctx1 = document.getElementById("canvas1").getContext("2d");
            window.myMixedChart = new Chart(ctx1, {
                type: 'pie',
                data: chartData,
                options: {

                    responsive: true,
                    title: {
                        display: false,
                        text: "@lang('fleet.chart')"
                    },
                    tooltips: {
                        mode: 'index',
                        intersect: true
                    }
                }
            });


        };
</script>
@endsection

@section("script")

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
<script type="text/javascript">
  $(document).ready(function() {
      $('#myTable').DataTable( {
        "paging":   false,
        "ordering": false,
        "searching": false,
        "info":     false,
        dom: 'Bfrtip',
        buttons: [{
             extend: 'collection',
                text: 'Export',
                buttons: [
                    'copy',
                    'excel',
                    'csv',
                    'pdf',

                ]}
        ],

        "language": {
                 "url": '{{ __("fleet.datatable_lang") }}',
              }
    } );
  });
</script>
@endsection