@extends('layouts.app')
@section("breadcrumb")
<li><a href="#">@lang('menu.reports')</a></li>
<li class="active">@lang('fleet.deliquentReport')</li>
@endsection
@section('content')

<div class="row">
<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">@lang('fleet.deliquentReport')
</h3>
</div>

<div class="box-body">
{!! Form::open(['route' => 'reports.delinquent','method'=>'post','class'=>'form-inline']) !!}

<div class="form-group">
{!! Form::label('year', __('fleet.year'), ['class' => 'form-label']) !!}
{!! Form::select('year', $years, $year_select,['class'=>'form-control']); !!}
</div>
<div class="form-group">
{!! Form::label('month', __('fleet.month'), ['class' => 'form-label']) !!}
{!! Form::selectMonth('month',$month_select,['class'=>'form-control']); !!}
</div>
<div class="form-group">
{!! Form::label('vehicle', __('fleet.vehicles'), ['class' => 'form-label']) !!}
 <select id="vehicle_id" name="vehicle_id" class="form-control vehicles" required>
  <option value="">@lang('fleet.selectVehicle')</option>
    @foreach($vehicles as $vehicle)
<option value="{{ $vehicle['id'] }}" @if($vehicle['id']==$vehicle_id) selected @endif>{{$vehicle['make']}}-{{$vehicle['model']}}-{{$vehicle['license_plate']}}</option>
    @endforeach
  </select>
</div>
<button type="submit" class="btn btn-primary">@lang('fleet.generate_report')</button>
<button type="submit" formaction="{{url('/print-deliquent-report')}}" class="btn btn-danger"><i class="fa fa-print"></i> @lang('fleet.print')</button>
{!! Form::close() !!}

</div>
</div>
</div>
</div>



@if(isset($result))
<div class="row">
<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">
@lang('fleet.report')
</h3>
</div>

<div class="box-body table-responsive">

<table class="table table-bordered table-striped table-hover"  id="myTable">
<thead>

	<th>@lang('fleet.day')</th>
	<th>@lang('fleet.date')</th>
	<th>@lang('fleet.vehicle')</th>
	<th>@lang('fleet.income')</th>

</thead>

<tbody>
	@foreach($data as $row)
	<tr>
		<td>{{$row->day}}</td>
		<td>{{$row->date}}</td>
		<td>{{$v[$row->vehicle_id]['make']}}-{{$v[$row->vehicle_id]['model']}}-{{$v[$row->vehicle_id]['license_plate']}}</td>
		<td>{{Hyvikk::get('currency')}} {{$row->Income2}}</td>

	</tr>

	@endforeach

</tbody>

</table>



</div>
</div>
</div>
</div>

@endif


@endsection


@section("script")
<script src="{{ asset('js/select2.min.js') }}"></script>
<script type="text/javascript">
	$(document).ready(function() {
		$("#vehicle_id").select2();
	});
</script>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		    $('#myTable').DataTable( {
        dom: 'Bfrtip',
        buttons: [{
             extend: 'collection',
                text: 'Export',
                buttons: [
                    'copy',
                    'excel',
                    'csv',
                    'pdf',

                ]}
        ],

        "language": {
                 "url": '{{ __("fleet.datatable_lang") }}',
              }
    } );
	});
</script>
@endsection