@extends('layouts.app')
@section("breadcrumb")
<li><a href="#">@lang('menu.reports')</a></li>
<li class="active">@lang('fleet.fuelReport')</li>
@endsection
@section('content')

<div class="row">
<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">@lang('fleet.fuelReport')
</h3>
</div>

<div class="box-body">
{!! Form::open(['route' => 'reports.fuel','method'=>'post','class'=>'form-inline']) !!}

<div class="form-group">
{!! Form::label('year', __('fleet.year1'), ['class' => 'form-label']) !!}
{!! Form::select('year', $years, $year_select,['class'=>'form-control']); !!}
</div>

<div class="form-group">
{!! Form::label('month', __('fleet.month'), ['class' => 'form-label']) !!}
<select name="month" id="month" class="form-control">
	<option value="0" @if($month_select == '0') selected @endif>all</option>
	<option value="1" @if($month_select == '1') selected @endif>January</option>
	<option value="2" @if($month_select == '2') selected @endif>February</option>
	<option value="3" @if($month_select == '3') selected @endif>March</option>
	<option value="4" @if($month_select == '4') selected @endif>April</option>
	<option value="5" @if($month_select == '5') selected @endif>May</option>
	<option value="6" @if($month_select == '6') selected @endif>June</option>
	<option value="7" @if($month_select == '7') selected @endif>July</option>
	<option value="8" @if($month_select == '8') selected @endif>Augest</option>
	<option value="9" @if($month_select == '9') selected @endif>Septeber</option>
	<option value="10" @if($month_select == '10') selected @endif>October</option>
	<option value="11" @if($month_select == '11') selected @endif>November</option>
	<option value="12" @if($month_select == '12') selected @endif>December</option>
</select>
</div>

<div class="form-group">
{!! Form::label('vehicle', __('fleet.vehicles'), ['class' => 'form-label']) !!}
 <select id="vehicle_id" name="vehicle_id" class="form-control vehicles" required>
  <option value="">@lang('fleet.selectVehicle')</option>
    @foreach($vehicles as $vehicle)
<option value="{{ $vehicle['id'] }}" @if($vehicle['id']==$vehicle_id) selected @endif>{{$vehicle['make']}}-{{$vehicle['model']}}-{{$vehicle['license_plate']}}</option>
    @endforeach
  </select>
</div>
<button type="submit" class="btn btn-primary">@lang('fleet.generate_report')</button>
<button type="submit" formaction="{{url('/print-fuel-report')}}" class="btn btn-danger"><i class="fa fa-print"></i> @lang('fleet.print')</button>
{!! Form::close() !!}

</div>
</div>
</div>
</div>



@if(isset($result))
<div class="row">
<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">
Fuel Report
</h3>
</div>

<div class="box-body table-responsive">

<table class="table table-bordered table-striped table-hover"  id="myTable">
<thead>
	<th>@lang('fleet.date')</th>
	<th>@lang('fleet.vehicle')</th>
	<th>@lang('fleet.meter')</th>
	<th>@lang('fleet.consumption')</th>
	<th>@lang('fleet.cost')</th>
</thead>

<tbody>
@foreach($fuel as $f)
<tr>
	<td>{{$f->date}}</td>
	<td>{{$f->vehicle_data->make}}-{{$f->vehicle_data->model}}-{{$f->vehicle_data->license_plate}}</td>
	<td>
		<b> @lang('fleet.start'): </b>{{$f->start_meter}} {{Hyvikk::get('dis_format')}}
		<br>
		<b> @lang('fleet.end'):</b>{{$f->end_meter}} {{Hyvikk::get('dis_format')}}
	</td>
	<td>{{$f->consumption}}</td>
	<td>{{Hyvikk::get('currency')}} {{$f->qty * $f->cost_per_unit}}</td>
</tr>
@endforeach

</tbody>

</table>



</div>
</div>
</div>
</div>

@endif


</div>
@endsection


@section("script")

<script src="{{ asset('js/select2.min.js') }}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		    $('#myTable').DataTable( {
        dom: 'Bfrtip',
        buttons: [{
             extend: 'collection',
                text: 'Export',
                buttons: [
                    'copy',
                    'excel',
                    'csv',
                    'pdf',

                ]}
        ],

        "language": {
                 "url": '{{ __("fleet.datatable_lang") }}',
              }
    } );
	});
</script>
@endsection