@extends('layouts.app')
@section("breadcrumb")
<li><a href="#">@lang('menu.reports')</a></li>
<li class="active">@lang('fleet.user_report')</li>
@endsection
@section('content')

<div class="row">
<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">@lang('fleet.user_report')
</h3>
</div>

<div class="box-body">
{!! Form::open(['route' => 'reports.users','method'=>'post','class'=>'form-inline']) !!}
<div class="form-group">
{!! Form::label('year', __('fleet.year1'), ['class' => 'form-label']) !!}
{!! Form::select('year', $years, $year_select,['class'=>'form-control']); !!}
</div>
<div class="form-group">
{!! Form::label('month', __('fleet.month'), ['class' => 'form-label']) !!}
{!! Form::selectMonth('month',$month_select,['class'=>'form-control']); !!}
</div>
<div class="form-group">
{!! Form::label('user', __('fleet.users'), ['class' => 'form-label']) !!}
 <select id="user_id" name="user_id" class="form-control" required>
  <option value="">@lang('fleet.selectUser')</option>
    @foreach($users as $user)
<option value="{{ $user->id }}" @if($user['id']==$user_id) selected @endif>{{$user->name}}</option>
    @endforeach
  </select>
</div>
<button type="submit" class="btn btn-primary">@lang('fleet.generate_report')</button>
<button type="submit" formaction="{{url('/print-users-report')}}" class="btn btn-danger"><i class="fa fa-print"></i> @lang('fleet.print')</button>
{!! Form::close() !!}

</div>
</div>
</div>
</div>



@if(isset($result))
<div class="row">
<div class="col-md-12">
<div class="box box-primary">
<div class="box-header with-border">
<h3 class="box-title">
@lang('fleet.report')
</h3>
</div>

<div class="box-body table-responsive">

<table class="table table-bordered table-striped table-hover"  id="myTable">
<thead>

	<th>@lang('fleet.book_by')</th>
	<th>@lang('fleet.pickup')</th>
	<th>@lang('fleet.dropoff')</th>
  <th>@lang('fleet.journey_status')</th>
	<th>@lang('fleet.amount')</th>

</thead>

<tbody>
	@foreach($data as $row)
	<tr>
		<td>{{$row->user->name}}</td>
		<td>
      @if($row->pickup != null)
        {{date('d/m/Y g:i A',strtotime($row->pickup))}}
      @endif
    </td>
		<td>
      @if($row->dropoff != null)
        {{date('d/m/Y g:i A',strtotime($row->dropoff))}}
      @endif
    </td>
		<td>
      @if($row->status == 1)
        <span class="text-success">
          @lang('fleet.completed')
        </span>
      @else
        <span class="text-warning">
          @lang('fleet.not_completed')
        </span>
      @endif
    </td>
    <td>
      @if($row->status == 1)
        {{Hyvikk::get('currency')}} {{$row->getMeta('total')}}
      @endif
    </td>
	</tr>

	@endforeach

</tbody>

</table>



</div>
</div>
</div>
</div>

@endif


@endsection


@section("script")
<script src="{{ asset('js/select2.min.js') }}"></script>
<script type="text/javascript">
	$(document).ready(function() {
		$("#vehicle_id").select2();
	});
</script>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		    $('#myTable').DataTable( {
        dom: 'Bfrtip',
        buttons: [{
             extend: 'collection',
                text: 'Export',
                buttons: [
                    'copy',
                    'excel',
                    'csv',
                    'pdf',

                ]}
        ],

        "language": {
                 "url": '{{ __("fleet.datatable_lang") }}',
              }
    } );
	});
</script>
@endsection