@extends("layouts.app")
@section('extra_css')
<style type="text/css">

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

</style>
@endsection
@section("breadcrumb")
<li><a href="{{ route("service-item.index")}}">@lang('fleet.serviceItems')</a></li>
<li class="active">@lang('fleet.edit_service_item')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
          {!! Form::open(['route' => ['service-item.update',$service->id],'method'=>'Patch']) !!}
                  {!! Form::hidden('user_id',Auth::user()->id)!!}
                  {!! Form::hidden('id',$service->id)!!}
            <div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">
                  @lang('fleet.edit_service_item')
                  </h3>
                </div>

                <div class="box-body">
                  @if (count($errors) > 0)
                    <div class="alert alert-danger">
                    <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                    </ul>
                    </div>
                  @endif

                  <div class="row">
                    <div class="col-md-12">
                      {!! Form::label('description', __('fleet.description'), ['class' => 'col-md-2 control-label']) !!}

                      <div class="col-md-10">
                          {!! Form::textarea('description', $service->description,['class' => 'form-control','required','rows'=>'3']) !!}
                          <br/>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                      <div class="box box-warning">
                       <div class="box-header with-border">
                        <h3 class="box-title">
                          "@lang('fleet.overdue')" @lang('fleet.reminder_settings') {{$service->overdue_unit}}
                        </h3>

                        </div>
                        <div class="box-body">

                             @lang('fleet.time_interval')

                              <div class="row">
                                <div class="col-md-3">
                                  <label class="switch">
                                    <input type="checkbox" name="chk1" @if($service->time_interval == "on") checked @endif>
                                    <span class="slider round"></span>
                                  </label>
                                </div>
                                <div class="form-group col-md-3">

                                  <input type="number" name="time1" class="form-control" value="{{$service->overdue_time}}" required>
                                </div>
                                <div class="col-md-4">
                                   {!! Form::select('interval1',["day(s)"=>__('fleet.days'),
                                   "week(s)"=>__('fleet.weeks'),
                                   "month(s)"=>__('fleet.months'),
                                   "year(s)"=>__('fleet.years')],
                                   $service->overdue_unit,['class' => 'form-control']) !!}

                                </div>
                              </div>


                             @lang('fleet.meter_interval')

                              <div class="row">
                                <div class="col-md-3">
                                  <label class="switch">
                                    <input type="checkbox" name="chk2" @if($service->meter_interval == "on") checked @endif>
                                    <span class="slider round"></span>
                                  </label>
                                </div>
                                <div class="form-group col-md-4">
                                   <div class="input-group date">
                                  <div class="input-group-addon">{{Hyvikk::get('dis_format')}}</div>
                                  <input type="number" name="meter1" class="form-control" value="{{$service->overdue_meter}}">
                                </div>
                                </div>
                                <div class="col-md-3">

                                </div>
                              </div>


                        </div>
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="box box-warning">
                         <div class="box-header with-border">
                        <h3 class="box-title">
                          "@lang('fleet.due_soon')" @lang('fleet.reminder_settings') {{$service->duesoon_unit}}
                        </h3>
                        </div>
                        <div class="box-body">

                             @lang('fleet.show_reminder_time')

                              <div class="row">
                                <div class="col-md-3">
                                  <label class="switch">
                                    <input type="checkbox" name="chk3" @if($service->show_time == "on") checked @endif>
                                    <span class="slider round"></span>
                                  </label>
                                </div>
                                <div class="form-group col-md-3">
                                  <input type="number" name="time2" class="form-control" value="{{$service->duesoon_time}}" required>
                                </div>
                                <div class="col-md-4">

                                    {!! Form::select('interval2',["day(s)"=>__('fleet.days'),
                                    "week(s)"=>__('fleet.weeks'),
                                    "month(s)"=>__('fleet.months'),
                                    "year(s)"=>__('fleet.years')],
                                    $service->duesoon_unit,['class' => 'form-control']) !!}

                                </div>
                              </div>



                             @lang('fleet.show_reminder_meter')

                              <div class="row">
                                <div class="col-md-3">
                                  <label class="switch">
                                    <input type="checkbox" name="chk4" @if($service->show_meter == "on") checked @endif>
                                    <span class="slider round"></span>
                                  </label>
                                </div>
                                <div class="form-group col-md-4">
                                   <div class="input-group date">
                                  <div class="input-group-addon">{{Hyvikk::get('dis_format')}}</div>
                                  <input type="number" name="meter2" class="form-control" value="{{$service->duesoon_meter}}">
                                </div>
                                </div>
                                <div class="col-md-3">

                                </div>
                              </div>


                        </div>
                      </div>
                    </div>
                  </div>
                <div class="col-md-12">
                  {!! Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']) !!}
                </div>
                </div>

       {!! Form::close() !!}
            </div>
        </div>
</div>

@endsection