@extends("layouts.app")
@section("breadcrumb")
<li class="active">@lang('fleet.serviceReminders')</li>
@endsection
@section('content')
<div class="row">
  <div class="col-md-12">
      <div class="box box-primary">
          <div class="box-header with-border">
            <h3 class="box-title">
            @lang('fleet.serviceReminders')
            </h3>
            <a href="{{ route('service-reminder.create')}}" class="btn btn-success">@lang('fleet.add_service_reminder')</a>
            <a href="{{ route('service-item.create')}}" class="btn btn-success">@lang('fleet.add_service_item')</a>
          </div>

          <div class="box-body table-responsive">
              <table class="table" id="data_table">
                <thead class="thead-inverse">
                  <tr>
                    <th></th>
                    <th>@lang('fleet.vehicle')</th>
                    <th>@lang('fleet.service_item')</th>
                    <th>@lang('fleet.last_performed')</th>
                    <th>@lang('fleet.next_due') (@lang('fleet.date'))</th>
                    <th>@lang('fleet.next_due') (@lang('fleet.meter'))</th>
                    <th>@lang('fleet.action')</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($service_reminder as $reminder)
                  <tr>
                    <td>
                       @if($reminder->vehicle['vehicle_image'] != null)
                        <img src="{{url('uploads/'.$reminder->vehicle['vehicle_image'])}}" height="70px" width="70px">
                        @else
                      <img src="{{ asset("img/vehicle.jpeg")}}" height="70px" width="70px">
                      @endif
                    </td>
                    <td>
                      @lang('fleet.unit') #: {{$reminder->vehicle['id']}}
                      <br>
                      {{$reminder->vehicle->year}} {{$reminder->vehicle->make}} {{$reminder->vehicle->model}}
                      <br>
                      @lang('fleet.vin'):{{$reminder->vehicle->vin}}
                      <br>
                      @lang('fleet.plate'):{{$reminder->vehicle->license_plate}}
                    </td>
                    <td>
                      {{$reminder->services['description']}}
                      <br>
                      @lang('fleet.interval'): {{$reminder->services->overdue_time}} {{$reminder->services->overdue_unit}}
                      @if($reminder->services->overdue_meter != null)
                      @lang('fleet.or') {{$reminder->services->overdue_meter}} {{Hyvikk::get('dis_format')}}
                      @endif


                    </td>
                    <td>
                      @lang('fleet.date'): {{$reminder->last_date}}
                      <br>
                      @lang('fleet.meter'): {{$reminder->last_meter}}
                    </td>
                    <td>
                      @php($interval = substr($reminder->services->overdue_unit,0,-3))
                      @php($int = $reminder->services->overdue_time.$interval)
                      {{ $date = date('Y-m-d', strtotime($int, strtotime(date('Y-m-d')))) }}
                      <br>
                      @php   ($to = \Carbon\Carbon::now())

                      @php ($from = \Carbon\Carbon::createFromFormat('Y-m-d', $date))

                      @php ($diff_in_days = $to->diffInDays($from))
                      @lang('fleet.after') {{$diff_in_days}} @lang('fleet.days')
                    </td>
                    <td>
                      @if($reminder->last_meter == 0)
                        {{$reminder->vehicle->int_mileage + $reminder->services->overdue_meter}} {{Hyvikk::get('dis_format')}}
                      @else
                        {{$reminder->last_meter + $reminder->services->overdue_meter}} {{Hyvikk::get('dis_format')}}
                      @endif
                    </td>
                    <td>
                      {!! Form::open(['url' => 'service-reminder/'.$reminder->id,'method'=>'DELETE','class'=>'form-horizontal','id'=>'form_'.$reminder->id]) !!}

                      {!! Form::hidden("id",$reminder->id) !!}
                        <button type="button" class="btn btn-danger" data-id="{{$reminder->id}}" data-toggle="modal" data-target="#myModal" title="@lang('fleet.delete')">
                        <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>
                        </button>
                      {!! Form::close() !!}
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>

          </div>
      </div>
  </div>
</div>

<!-- Modal -->
  <div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">@lang('fleet.delete')</h4>
        </div>
        <div class="modal-body">
          <p>@lang('fleet.confirm_delete')</p>
        </div>
        <div class="modal-footer">



          <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

        </div>
      </div>

    </div>
  </div>

<!-- Modal -->

@endsection


@section('script')
<script type="text/javascript">
  $("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });
</script>
@endsection
