@extends('layouts.app')
@section('extra_css')
<style type="text/css">

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

</style>
@endsection
@section("breadcrumb")
<li><a href="{{ route("users.index")}}"> @lang('fleet.users') </a></li>
<li class="active">@lang('fleet.addUser')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-success">
                <div class="box-header with-border">
              <h3 class="box-title">@lang('fleet.addUser')</h3>
            </div>


                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => 'users.store','files'=>true,'method'=>'post']) !!}
<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('first_name', __('fleet.firstname'), ['class' => 'form-label']) !!}
 {!! Form::text('first_name', null,['class' => 'form-control','required']) !!}
 </div>

  <div class="form-group">
 {!! Form::label('last_name', __('fleet.lastname'), ['class' => 'form-label']) !!}
 {!! Form::text('last_name', null,['class' => 'form-control','required']) !!}
 </div>
<div class="form-group">
 {!! Form::label('profile_image', __('fleet.profile_photo'), ['class' => 'form-label']) !!}

 {!! Form::file('profile_image',null,['class' => 'form-control']) !!}
</div>
 <div class="form-group" style="margin-top: 30px">
  <div class="col-md-3">
  <label class="switch">
    <input type="checkbox" name="is_admin" value="1">
    <span class="slider round"></span>
  </label>
</div>
<div class="col-md-3" style="margin-left: -45px">
   <h4>@lang('fleet.is_admin')</h4>
 </div>
</div>

 </div>
<div class="col-md-6">
<div class="form-group">
 {!! Form::label('email', __('fleet.email'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
 {!! Form::email('email', null,['class' => 'form-control','required']) !!}
</div>

 </div>
<div class="form-group">
 {!! Form::label('password', __('fleet.password'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-lock"></i></div>
 {!! Form::password('password', ['class' => 'form-control','required']) !!}
</div>

 </div>

<div class="form-group">
     {!! Form::label('group_id',__('fleet.selectGroup'), ['class' => 'form-label']) !!}

     <select id="group_id" name="group_id" class="form-control">
    <option value="">@lang('fleet.vehicleGroup')</option>
    @foreach($groups as $group)
    @if($group->id == 1)
    <option value="{{$group->id}}" selected>{{$group->name}}</option>
    @else
    <option value="{{$group->id}}" >{{$group->name}}</option>
    @endif
    @endforeach
     </select>
</div>

<div class="form-group">
  {!! Form::label('module',__('fleet.select_modules'), ['class' => 'form-label']) !!} <br>
  <div class="col-md-4">
  <input type="checkbox" name="module[]" value="0" class="flat-red form-control">&nbsp; @lang('menu.users')<br>
  <input type="checkbox" name="module[]" value="1" class="flat-red form-control">&nbsp;  @lang('fleet.vehicles')<br>
  <input type="checkbox" name="module[]" value="2" class="flat-red form-control"> &nbsp;@lang('menu.transactions') <br>
  <input type="checkbox" name="module[]" value="3" class="flat-red form-control">&nbsp; @lang('fleet.bookings')
</div>
<div class="col-md-4">
  <input type="checkbox" name="module[]" value="4" class="flat-red form-control">&nbsp; @lang('menu.reports')<br>
  <input type="checkbox" name="module[]" value="5" class="flat-red form-control">&nbsp; @lang('fleet.fuel')<br>

  <input type="checkbox" name="module[]" value="6" class="flat-red form-control">&nbsp; @lang('fleet.vendors')<br>
  <input type="checkbox" name="module[]" value="7" class="flat-red form-control">&nbsp; @lang('fleet.work_orders')
</div>
<div class="col-md-4" style="padding: 0px;">
  <input type="checkbox" name="module[]" value="8" class="flat-red form-control">&nbsp; @lang('fleet.notes')<br>
  <input type="checkbox" name="module[]" value="9" class="flat-red form-control">&nbsp;  @lang('fleet.serviceReminders')
  <input type="checkbox" name="module[]" value="10" class="flat-red form-control">&nbsp;  @lang('fleet.reviews')
</div>
</div>
</div>


<div class="col-md-12">

{!! Form::submit(__('fleet.addUser'), ['class' => 'btn btn-success']) !!}

</div>
{!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')
<script type="text/javascript">
  $(document).ready(function() {
  //Flat green color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    });
});
</script>
@endsection