@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("users.index")}}"> @lang('fleet.users') </a></li>
<li class="active">@lang('fleet.editUser')</li>


@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-warning">
                 <div class="box-header with-border">
              <h3 class="box-title">@lang('fleet.editUser')</h3>

                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

@php($names = explode(" ", $user->name))

{!! Form::open(['route' => ['users.update',$user->id],'files'=>true,'method'=>'PATCH']) !!}
{!! Form::hidden('id',$user->id) !!}
<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('first_name', __('fleet.firstname'), ['class' => 'form-label']) !!}
 {!! Form::text('first_name', $names[0],['class' => 'form-control','required']) !!}
 </div>

  <div class="form-group">
 {!! Form::label('last_name', __('fleet.lastname'), ['class' => 'form-label']) !!}
 {!! Form::text('last_name', $names[1],['class' => 'form-control','required']) !!}
 </div>

 <div class="form-group">
     {!! Form::label('group_id',__('fleet.selectGroup'), ['class' => 'form-label']) !!}

     <select id="group_id" name="group_id" class="form-control">
    <option value="">@lang('fleet.vehicleGroup')</option>
    @foreach($groups as $group)
    @if($group->id == $user->group_id)
    <option value="{{$group->id}}" selected>{{$group->name}}</option>
    @else
    <option value="{{$group->id}}" >{{$group->name}}</option>
    @endif
    @endforeach
     </select>

</div>

 </div>
<div class="col-md-6">
<div class="form-group">
 {!! Form::label('email', __('fleet.email'), ['class' => 'form-label']) !!}
 <div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
 {!! Form::email('email', $user->email,['class' => 'form-control','required']) !!}
</div>

 </div>

<div class="form-group">
 {!! Form::label('profile_image', __('fleet.profile_photo'), ['class' => 'form-label']) !!}

 {!! Form::file('profile_image',null,['class' => 'form-control']) !!}
</div>

<div class="form-group">
  {!! Form::label('module',__('fleet.select_modules'), ['class' => 'form-label']) !!} <br>
  @php($modules=unserialize($user->getMeta('module')))
  <div class="col-md-4">
  <input type="checkbox" name="module[]" value="0" class="flat-red form-control" @if(in_array(0,$modules)) checked @endif>&nbsp; @lang('menu.users')<br>
  <input type="checkbox" name="module[]" value="1" class="flat-red form-control" @if(in_array(1,$modules)) checked @endif>&nbsp; @lang('fleet.vehicles')<br>
  <input type="checkbox" name="module[]" value="2" class="flat-red form-control" @if(in_array(2,$modules)) checked @endif>&nbsp; @lang('menu.transactions')<br>
  <input type="checkbox" name="module[]" value="3" class="flat-red form-control" @if(in_array(3,$modules)) checked @endif>&nbsp; @lang('fleet.bookings')
</div>
  <div class="col-md-4">
  <input type="checkbox" name="module[]" value="4" class="flat-red form-control" @if(in_array(4,$modules)) checked @endif>&nbsp; @lang('menu.reports')<br>
  <input type="checkbox" name="module[]" value="5" class="flat-red form-control" @if(in_array(5,$modules)) checked @endif>&nbsp; @lang('fleet.fuel')<br>
  <input type="checkbox" name="module[]" value="6" class="flat-red form-control" @if(in_array(6,$modules)) checked @endif>&nbsp; @lang('fleet.vendors')<br>
  <input type="checkbox" name="module[]" value="7" class="flat-red form-control" @if(in_array(7,$modules)) checked @endif>&nbsp; @lang('fleet.work_orders')
</div>
  <div class="col-md-4" style="padding: 0px;">
  <input type="checkbox" name="module[]" value="8" class="flat-red form-control" @if(in_array(8,$modules)) checked @endif>&nbsp; @lang('fleet.notes')<br>
  <input type="checkbox" name="module[]" value="9" class="flat-red form-control" @if(in_array(9,$modules)) checked @endif>&nbsp; @lang('fleet.serviceReminders')<br>
   <input type="checkbox" name="module[]" value="10" class="flat-red form-control" @if(in_array(10,$modules)) checked @endif>&nbsp;  @lang('fleet.reviews')
</div>

</div>
</div>


<div class="col-md-12">
{!! Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']) !!}

</div>
{!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')
<script type="text/javascript">
  $(document).ready(function() {
  //Flat green color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    });
});
</script>
@endsection