@extends('layouts.app')
@section('extra_css')
<style type="text/css">

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

</style>
@endsection
@section("breadcrumb")
<li>@lang('menu.settings')</li>
<li class="active">@lang('menu.api_settings')</li>
@endsection
@section('content')
<div class="row">
<div class="col-md-12">
<div class="box box-success">
<div class="box-header with-border">
<h3 class="box-title">@lang('menu.api_settings')
</h3>
</div>
<div class="box-body">
{!! Form::open(['url' => 'api-settings','files'=>true,'method'=>'post']) !!}

<div class="form-group col-md-4 ">
<h5>{!! Form::label('api',__('fleet.api'),['class'=>"form-label"]) !!} </h5>
<label class="switch">
    <input type="checkbox" class="api" id="api" name="name[api]" value="1"  @if(Hyvikk::api('api') == "1") checked @endif>
    <span class="slider round"></span>
  </label>
</div>

@if(Hyvikk::api('api') == "1")
<div class="form-group col-md-4">
<h5>{!! Form::label('anyone_register',__('fleet.anyone_register'),['class'=>"form-label"]) !!} </h5>
<label class="switch">
    <input type="checkbox" name="name[anyone_register]" value="1" @if(Hyvikk::api('anyone_register') == "1") checked @endif>
    <span class="slider round"></span>
  </label>
</div>

<div class="form-group col-md-4">
<h5>{!! Form::label('driver_review',__('fleet.driver_review'),['class'=>"form-label"]) !!} </h5>
<label class="switch">
    <input type="checkbox" name="name[driver_review]" value="1" @if(Hyvikk::api('driver_review') == "1") checked @endif>
    <span class="slider round"></span>
  </label>
</div>

<div class="form-group col-md-6 ">
{!! Form::label('region_availability',__('fleet.region_availability'),['class'=>"form-label"]) !!}

{!! Form::text('name[region_availability]',
Hyvikk::api('region_availability'),['class'=>"form-control"]) !!}

</div>

<div class="form-group col-md-3">
{!! Form::label('booking',__('fleet.booking'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-calendar-check-o"></i></div>
{!! Form::number('name[booking]',Hyvikk::api('booking'),['class'=>"form-control"]) !!}
</div>
</div>
<div class="form-group col-md-3">
{!! Form::label('cancel',__('fleet.cancel'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-calendar-times-o"></i></div>
{!! Form::number('name[cancel]',Hyvikk::api('cancel'),['class'=>"form-control"]) !!}
</div>
</div>

@endif
</div>
<div class="box-footer">
<div class="col-md-2">
<div class="form-group">
<input type="submit" class="form-control btn btn-success" value="@lang('fleet.save')" />
</div>
</div>
</div>
{!! Form::close()!!}

</div>
</div>
</div>
</div>
@endsection
