@extends('layouts.app')
@section("breadcrumb")
<li class="active">@lang('fleet.change_details')</li>

@endsection
@section('content')


<div class="row">
<div class="col-md-12">
<div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.change_details') : <strong>{{ $user_data->name}}</strong> </h3></div>
<div class="box-body">
{{$error}}

{!! Form::open(array("url"=>"change-details/".$user_data->id,'files'=>true))!!}
<input type="hidden" name="id" value="{{ $user_data->id}}">
<div class="col-md-6">
<div class="form-group">
{!! Form::label('name',__('fleet.name'),['class'=>"form-label"]) !!}
{!! Form::text('name',$user_data->name,['class'=>"form-control",'required']) !!}
</div>
</div>
<div class="col-md-6">
<div class="form-group">
{!! Form::label('email',__('fleet.email'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
{!! Form::email('email',$user_data->email,['class'=>"form-control",'required']) !!}
</div>
</div>
</div>
<div class="col-md-6">
 <div class="form-group">
 {!! Form::label('image', __('fleet.picture'), ['class' => 'form-label']) !!}
@if($user_data->user_type == "D" && $user_data->getMeta('driver_image') != null)
<a href="{{ asset('uploads/'.$user_data->getMeta('driver_image')) }}" target="_blank">View</a>

@elseif($user_data->user_type != "D" && $user_data->getMeta('profile_image') != null)
<a href="{{ asset('uploads/'.$user_data->getMeta('profile_image')) }}" target="_blank">View
</a>
@elseif($user_data->user_type == "C" && $user_data->getMeta('profile_pic') != null)
<a href="{{ asset('uploads/'.$user_data->getMeta('profile_pic')) }}" target="_blank">View
</a>
@endif
 {!! Form::file('image',null,['class' => 'form-control']) !!}
 </div>
</div>
<div class="col-md-6">
<div class="form-group">
{!! Form::label('language',__('fleet.language'),['class'=>"form-label"]) !!}
<select id='language' name='language' class="form-control" required>
<option value="">-</option>
@if(Auth::user()->getMeta('language')!= null)
@php ($language = Auth::user()->getMeta('language'))
@else
@php($language = Hyvikk::get("language"))
@endif
@foreach($languages as $lang)
@php($l = explode('-',$lang))
@if($language == $lang)

<option value="{{$lang}}" selected> {{$l[0]}}</option>
@else
<option value="{{$lang}}" > {{$l[0]}} </option>
@endif

@endforeach
 </select>
</div>
</div>
<div class="form-group">

<input type="submit"  class="form-control btn btn-warning"  value="@lang('fleet.change_details')" />
</div>
{!! Form::close()!!}

</div>
</div>
</div>
</div>

<div class="row">
<div class="col-md-12">
<div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.change_password') : <strong>{{ Auth::user()->name}}</strong> </h3></div>
<div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif
{!! Form::open(array("url"=>"changepassword/".Auth::user()->id))!!}
<input type="hidden" name="id" value="{{ Auth::user()->id}}">
<div class="row">
<div class="col-md-12">
<div class="form-group">
{!! Form::label('password',__('fleet.password'),['class'=>"form-label"]) !!}
<input type="password" name="password" class="form-control" required>

</div>
</div>
</div>
<div class="row">
	<div class="col-md-12">
<div class="form-group">

<input type="submit"  class="form-control btn btn-warning"  value="@lang('fleet.change_password')" />
</div>
{!! Form::close()!!}
</div>
</div>
</div>
</div>
</div>
</div>

@endsection