@extends('layouts.app')
@section("breadcrumb")
<li>@lang('menu.settings')</li>
<li class="active">@lang('menu.fare_settings')</li>
@endsection
@section('content')
<div class="row">
<div class="col-md-12">
<div class="box box-success">
<div class="box-header with-border">
<h3 class="box-title">@lang('menu.fare_settings')
</h3>
</div>
<div class="box-body">

{!! Form::open(['url' => 'fare-settings','files'=>true,'method'=>'post']) !!}
<div class="form-group col-md-3">
{!! Form::label('base_fare',__('fleet.general_base_fare'),['class'=>"form-label"]) !!}

<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
{!! Form::number('name[base_fare]',Hyvikk::fare('base_fare'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('base_km',__('fleet.general_base_km'). " ".Hyvikk::get('dis_format'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('dis_format')}}</div>
{!! Form::number('name[base_km]',Hyvikk::fare('base_km'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('base_time',__('fleet.general_wait_time'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>

{!! Form::number('name[base_time]',Hyvikk::fare('base_time'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('std_fare',__('fleet.std_fare')." ".Hyvikk::get('dis_format') ,['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
{!! Form::number('name[std_fare]',Hyvikk::fare('std_fare'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('weekend_base_fare',__('fleet.weekend_base_fare'),['class'=>"form-label"]) !!}

<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
{!! Form::number('name[weekend_base_fare]',Hyvikk::fare('weekend_base_fare'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('weekend_base_km',__('fleet.weekend_base_km')." ".Hyvikk::get('dis_format'),['class'=>"form-label"]) !!}

<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('dis_format')}}</div>
{!! Form::number('name[weekend_base_km]',Hyvikk::fare('weekend_base_km'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('weekend_wait_time',__('fleet.weekend_wait_time'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>

{!! Form::number('name[weekend_wait_time]',Hyvikk::fare('weekend_wait_time'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('weekend_std_fare',__('fleet.weekend_std_fare')." ".Hyvikk::get('dis_format'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
{!! Form::number('name[weekend_std_fare]',Hyvikk::fare('weekend_std_fare'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('night_base_fare',__('fleet.night_base_fare'),['class'=>"form-label"]) !!}

<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
{!! Form::number('name[night_base_fare]',Hyvikk::fare('night_base_fare'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('night_base_km',__('fleet.night_base_km')." ".Hyvikk::get('dis_format'),['class'=>"form-label"]) !!}

<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('dis_format')}}</div>
{!! Form::number('name[night_base_km]',Hyvikk::fare('night_base_km'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('night_wait_time',__('fleet.night_wait_time'),['class'=>"form-label"]) !!}
<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>

{!! Form::number('name[night_wait_time]',Hyvikk::fare('night_wait_time'),['class'=>"form-control"]) !!}
</div>
</div>

<div class="form-group col-md-3">
{!! Form::label('night_std_fare',__('fleet.night_std_fare')." ".Hyvikk::get('dis_format'),['class'=>"form-label"]) !!}

<div class="input-group date">
  <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
{!! Form::number('name[night_std_fare]',Hyvikk::fare('night_std_fare'),['class'=>"form-control"]) !!}
</div>
</div>
</div>
<div class="box-footer">
<div class="col-md-2">
<div class="form-group">
<input type="submit"  class="form-control btn btn-success" value="@lang('fleet.save')" />
</div>
</div>
</div>

{!! Form::close()!!}

</div>
</div>
</div>

@endsection