@extends('layouts.app')
@section("breadcrumb")
<li>@lang('menu.settings')</li>
<li class="active">@lang('menu.email_notification')</li>
@endsection
@section('content')
<div class="row">
<div class="col-md-12">
<div class="box box-success">
<div class="box-header with-border">
<h3 class="box-title">@lang('menu.email_notification')
</h3>
</div>
<div class="box-body">
{!! Form::open(['url' => 'email-settings','method'=>'post']) !!}
<div class="col-md-6">
  <div class="form-group">
  {!! Form::label('users', __('fleet.select_user'), ['class' => 'form-label']) !!}

    <select class="form-control" required name="users[]" multiple>
      @foreach($users as $user)
      <option value="{{$user->id}}" @if(in_array($user->id,$selected_users)) selected @endif>{{$user->name}}</option>
      @endforeach
    </select>

</div>
</div>

<div class="col-md-6">
  <div class="form-group">
  {!! Form::label('chk',__('fleet.selectNotification'), ['class' => 'form-label']) !!} <br>
  <input type="checkbox" name="chk[]" value="1" class="flat-red form-control" @if(in_array(1,$options)) checked @endif>&nbsp; Registration Notification<br>
  <input type="checkbox" name="chk[]" value="2" class="flat-red form-control" @if(in_array(2,$options)) checked @endif>&nbsp; Insurance Notification <br>
  <input type="checkbox" name="chk[]" value="3" class="flat-red form-control" @if(in_array(3,$options)) checked @endif>&nbsp; Vehicle Licence Notification <br>
  <input type="checkbox" name="chk[]" value="4" class="flat-red form-control" @if(in_array(4,$options)) checked @endif>&nbsp; Driving Licence Notification <br>
  <input type="checkbox" name="chk[]" value="5" class="flat-red form-control" @if(in_array(5,$options)) checked @endif>&nbsp; Service Reminder Notification<br>
</div>
</div>
<div class="box-footer">
<div class="col-md-2">
<div class="form-group">
<input type="submit" class="form-control btn btn-success" value="@lang('fleet.save')" id="save"/>
</div>
</div>
</div>
{!! Form::close()!!}

</div>
</div>
</div>
</div>
@endsection

@section('script')
<script type="text/javascript">
  $(document).ready(function() {
  //Flat green color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    });

    $("#save").on("click",function(){
    if (($("input[name*='chk']:checked").length)<=0) {
        alert("You must select at least 1 Notification");
        return false;
    }else{
      return true;
    }
  });
});
</script>
@endsection