@extends('layouts.app')
@section("breadcrumb")
<li>@lang('menu.settings')</li>
<li class="active">@lang('menu.email_content')</li>
@endsection
@section('content')
<div class="row">
<div class="col-md-12">
<div class="box box-success">
<div class="box-header with-border">
<h3 class="box-title">
  @lang('menu.email_content')

</h3>
</div>
<div class="box-body">
  @if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif
{!! Form::open(['url' => 'set-content','method'=>'post']) !!}
<div class="row">
<div class="col-md-6">
  <div class="form-group">
     {!! Form::label('insurance', __('fleet.ins_content'), ['class' => 'form-label']) !!}
   <textarea name="insurance" id="ins">{{Hyvikk::email_msg('insurance')}}</textarea>
  </div>
</div>

<div class="col-md-6">
  <div class="form-group">
    {!! Form::label('vehicle_licence', __('fleet.vehicle_lic'), ['class' => 'form-label']) !!}
   <textarea name="vehicle_licence" id="vl">{{Hyvikk::email_msg('vehicle_licence')}}</textarea>
  </div>
</div>
</div>
<div class="row">
<div class="col-md-6">
  <div class="form-group">
     {!! Form::label('driving_licence', __('fleet.driver_lic'), ['class' => 'form-label']) !!}
   <textarea name="driving_licence" id="dl">{{Hyvikk::email_msg('driving_licence')}}</textarea>
  </div>
</div>

<div class="col-md-6">
  <div class="form-group">
     {!! Form::label('registration', __('fleet.reg_content'), ['class' => 'form-label']) !!}
   <textarea name="registration" id="reg">{{Hyvikk::email_msg('registration')}}</textarea>
  </div>
</div>
</div>
<div class="row">
<div class="col-md-6">
  <div class="form-group">
     {!! Form::label('service_reminder', __('fleet.service_reminder_content'), ['class' => 'form-label']) !!}
   <textarea name="service_reminder" id="sr">{{Hyvikk::email_msg('service_reminder')}}</textarea>
  </div>
</div>
</div>
</div>
<div class="box-footer">
  <div class="col-md-2">
    <div class="form-group">
      <input type="submit" class="form-control btn btn-success" value="@lang('fleet.set')" />
    </div>
  </div>
</div>
{!! Form::close()!!}

</div>
</div>
</div>
</div>
@endsection

@section('script')
<script src="https://cdn.ckeditor.com/ckeditor5/10.0.0/classic/ckeditor.js"></script>
<script>
    ClassicEditor.create( document.querySelector( '#ins' ) );
    ClassicEditor.create( document.querySelector( '#vl' ) );
    ClassicEditor.create( document.querySelector( '#dl' ) );
    ClassicEditor.create( document.querySelector( '#reg' ) );
    ClassicEditor.create( document.querySelector( '#sr' ) );
</script>

@endsection
