@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("vendor.index")}}"> @lang('fleet.vendors') </a></li>
<li class="active">@lang('fleet.add_vendor')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-success">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.create_vendor')</h3>
                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => 'vendor.store','files'=>true,'method'=>'post']) !!}
{!! Form::hidden('user_id',Auth::user()->id)!!}
<div class="row">
  <div class="col-md-6">
<div class="form-group">
 {!! Form::label('photo', __('fleet.picture'), ['class' => 'form-label']) !!}

 {!! Form::file('photo',null,['class' => 'form-control','required']) !!}
</div>

     <div class="form-group">
 {!! Form::label('name',__('fleet.name'), ['class' => 'form-label']) !!}
 {!! Form::text('name',null,['class'=>'form-control','required']) !!}
    </div>

    <div class="form-group">
        {!! Form::label('type', __('fleet.vendor_type'), ['class' => 'form-label']) !!}
        <div id="nothing">
          <select class="form-control" required onchange="select_type()" id="type" name="type">
            @foreach($vendor_types as $type)
            <option value="{{$type}}">{{$type}}</option>
            @endforeach
          </select>
        </div>
      </div>

    <div class="form-group">
     {!! Form::label('website',__('fleet.website'), ['class' => 'form-label']) !!}
     {!! Form::text('website',null,['class'=>'form-control','required']) !!}

    </div>

    <div class="form-group">
   {!! Form::label('note',__('fleet.note'), ['class' => 'form-label']) !!}
   {!! Form::textarea('note',null,['class'=>'form-control','size'=>'30x4']) !!}
   </div>

  </div>

  <div class="col-md-6">
        <div class="form-group">
           {!! Form::label('phone',__('fleet.phone'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-phone"></i></div>
           {!! Form::number('phone',null,['class'=>'form-control','required']) !!}
          </div>

         </div>

         <div class="form-group">
           {!! Form::label('email',__('fleet.email'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
           {!! Form::email('email',null,['class'=>'form-control','required']) !!}
          </div>

         </div>

         <div class="form-group">
           {!! Form::label('address1',__('fleet.address1'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-address-book-o" aria-hidden="true"></i></div>
           {!! Form::text('address1',null,['class'=>'form-control','required']) !!}
          </div>

         </div>

         <div class="form-group">
           {!! Form::label('address2',__('fleet.address2'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-address-book-o" aria-hidden="true"></i></div>
           {!! Form::text('address2',null,['class'=>'form-control']) !!}
          </div>

         </div>

          <div class="form-group">
           {!! Form::label('city',__('fleet.city'), ['class' => 'form-label']) !!}
           {!! Form::text('city',null,['class'=>'form-control','required']) !!}
         </div>
         <div class="form-group">
           {!! Form::label('province',__('fleet.province'), ['class' => 'form-label']) !!}
           {!! Form::text('province',null,['class'=>'form-control']) !!}
         </div>

  </div>
</div>
<div class="row">
<div class="col-md-12">
{!! Form::submit(__('fleet.add_vendor'), ['class' => 'btn btn-success']) !!}
</div>
</div>
</div>

                </div>

            </div>
        </div>

@endsection

@section("script")
<script>
  function select_type(val){
    var type=$("#type option:selected").text();
    if(type=="Add New"){
      $("#nothing").empty();
      $("#nothing").html('{!! Form::text('type',null,['class' => 'form-control','required']) !!}');
    }
  }
</script>
@endsection