
@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("vendor.index")}}"> @lang('fleet.vendors') </a></li>
<li class="active"> @lang('fleet.edit_vendor')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">
                  @lang('fleet.edit_vendor')
                </h3>
                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => ['vendor.update',$data->id],'files'=>true,'method'=>'PATCH']) !!}
{!! Form::hidden('user_id',Auth::user()->id)!!}
{!! Form::hidden('id',$data->id) !!}

<div class="row">
  <div class="col-md-6">

  	<div class="form-group">
     {!! Form::label('photo', __('fleet.picture'), ['class' => 'form-label']) !!}
     @if($data->photo != null)
              <a href="{{ asset('uploads/'.$data->photo) }}" target="_blank">View</a>
              @endif
     {!! Form::file('photo',null,['class' => 'form-control']) !!}
   </div>
     <div class="form-group">
	 {!! Form::label('name',__('fleet.name'), ['class' => 'form-label']) !!}
	 {!! Form::text('name',$data->name,['class'=>'form-control','required']) !!}
    </div>

      <div class="form-group">

        {!! Form::label('type', __('fleet.vendor_type'), ['class' => 'form-label']) !!}

       <select class="form-control" required id="type" name="type">
          @foreach($vendor_types as $type)
          @if($type == $data->type)
          <option value="{{$type}}" selected>{{$type}}</option>
          @else
          <option value="{{$type}}">{{$type}}</option>
          @endif
          @endforeach
      </select>
      </div>



    <div class="form-group">
     {!! Form::label('website',__('fleet.website'), ['class' => 'form-label']) !!}
     {!! Form::text('website',$data->website,['class'=>'form-control','required']) !!}

    </div>

    <div class="form-group">
   {!! Form::label('note',__('fleet.note'), ['class' => 'form-label']) !!}
   {!! Form::textarea('note',$data->note,['class'=>'form-control','size'=>'30x4']) !!}
   </div>

  </div>

  <div class="col-md-6">

          <div class="form-group">
           {!! Form::label('phone',__('fleet.phone'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-phone"></i></div>
           {!! Form::number('phone',$data->phone,['class'=>'form-control','required']) !!}
          </div>
         </div>
         <div class="form-group">
           {!! Form::label('email',__('fleet.email'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
           {!! Form::email('email',$data->email,['class'=>'form-control','required']) !!}
          </div>
         </div>

         <div class="form-group">
           {!! Form::label('address1',__('fleet.address1'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-address-book-o"></i></div>
           {!! Form::text('address1',$data->address1,['class'=>'form-control','required']) !!}
          </div>

         </div>

         <div class="form-group">
           {!! Form::label('address2',__('fleet.address2'), ['class' => 'form-label']) !!}
           <div class="input-group date">
            <div class="input-group-addon"><i class="fa fa-address-book-o"></i></div>
          {!! Form::text('address2',$data->address2,['class'=>'form-control']) !!}
          </div>

         </div>

          <div class="form-group">
           {!! Form::label('city',__('fleet.city'), ['class' => 'form-label']) !!}
           {!! Form::text('city',$data->city,['class'=>'form-control','required']) !!}
         </div>
         <div class="form-group">
           {!! Form::label('province',__('fleet.province'), ['class' => 'form-label']) !!}
           {!! Form::text('province',$data->province,['class'=>'form-control']) !!}
         </div>

  </div>
</div>
<div class="row">
<div class="col-md-12">
{!! Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']) !!}
</div>
</div>
</div>

                </div>

            </div>
        </div>

@endsection