@extends("layouts.app")
@section("breadcrumb")
<li class="active">@lang('fleet.completed_services')</li>
@endsection
@section('content')
   <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">
                  @lang('fleet.completed_services')
                  </h3>


                </div>

                <div class="box-body table-responsive">
                                        <table class="table" id="data_table">
  <thead class="thead-inverse">
    <tr>
      <th>@lang('fleet.vehicle')</th>
      <th></th>
      <th>@lang('fleet.created_on')</th>
      <th>@lang('fleet.required_by')</th>
      <th>@lang('fleet.personnel')</th>
      <th> @lang('fleet.description')</th>
      <th>@lang('fleet.status')</th>
      <th>@lang('fleet.action')</th>
    </tr>
  </thead>
  <tbody>
@foreach($data as $row)
   <tr>
      <td>
         @if($row->vehicle['vehicle_image'] != null)
         <img src="{{url('uploads/'.$row->vehicle['vehicle_image'])}}" height="70px" width="70px">
        @else
      <img src="{{ asset("img/vehicle.jpeg")}}" height="70px" width="70px">
      @endif


      </td>
      <td>

         {{$row->vehicle['year']}}
        {{$row->vehicle['make']}} - {{$row->vehicle['model']}}
        <br>
       <b> @lang('fleet.vin'): </b>{{$row->vehicle['vin']}}
        <br>
       <b> @lang('fleet.plate'):</b> {{$row->vehicle['license_plate']}}
      </td>
      <td>
        {{ date('Y-m-d',strtotime($row->created_at)) }}
      </td>
      <td>
        {{$row->required_by}}
      </td>
      <td>
         {{$row->vendor['name']}}
        </td>
      <td>{{$row->description}}</td>
      <td>
        @if($row->status == "Completed")
        <span class="text-success">{{$row->status}}</span>
        @elseif($row->status == "Pending")
        <span class="text-warning">{{$row->status}}</span>
        @else
        {{$row->status}}
        @endif
      </td>


      <td>

        {!! Form::open(['url' => 'work_order/'.$row->id,'method'=>'DELETE','class'=>'form-horizontal','id'=>'form_'.$row->id]) !!}
          <button type="button" class="btn btn-danger" data-id="{{$row->id}}" data-toggle="modal" data-target="#myModal" title="@lang('fleet.delete')"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>

          {!! Form::hidden("id",$row->id) !!}


        {!! Form::close() !!}
      </td>
    </tr>
@endforeach
  </tbody>
  </table>

                </div>
            </div>
        </div>
    </div>



<!-- Modal -->
          <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title">@lang('fleet.delete')</h4>
                </div>
                <div class="modal-body">
                  <p>@lang('fleet.confirm_delete')</p>
                </div>
                <div class="modal-footer">



                  <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>
              </div>

            </div>
          </div>

<!-- Modal -->
@endsection

@section('script')
<script type="text/javascript">
  $("#del_btn").on("click",function(){
    var id=$(this).data("submit");
    $("#form_"+id).submit();
  });
   $('#myModal').on('show.bs.modal', function(e) {
  var id = e.relatedTarget.dataset.id;
  $("#del_btn").attr("data-submit",id);
    });
</script>

@endsection
