@extends('layouts.app')
@section("breadcrumb")
<li><a href="{{ route("work_order.index")}}"> @lang('fleet.work_orders') </a></li>
<li class="active">@lang('fleet.edit_workorder')</li>
@endsection
@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">@lang('fleet.edit_workorder')</h3>
                </div>

                <div class="box-body">
@if (count($errors) > 0)
<div class="alert alert-danger">
<ul>
@foreach ($errors->all() as $error)
<li>{{ $error }}</li>
@endforeach
</ul>
</div>
@endif

{!! Form::open(['route' => ['work_order.update',$data->id],'method'=>'PATCH']) !!}
{!! Form::hidden('user_id',Auth::user()->id)!!}
{!! Form::hidden('id',$data->id)!!}
<div class="row">
  <div class="col-md-6">

      <div class="form-group">

        {!! Form::label('required_by', __('fleet.required_by'), ['class' => 'form-label']) !!}
        <div class="input-group date">
          <div class="input-group-addon"><i class="fa fa-calendar"></i></div>
         {!! Form::text('required_by',$data->required_by,['class'=>'form-control','required']) !!}
        </div>
      </div>


    <div class="form-group">
     {!! Form::label('vehicle_id',__('fleet.vehicle'), ['class' => 'form-label']) !!}
       <select id="vehicle_id" name="vehicle_id" class="form-control" required>
    <option value="">-</option>

    @foreach($vehicles as $vehicle)
  @if($vehicle->id===$data->vehicle_id)

  <option value="{{$vehicle->id}}" selected> {{$vehicle->make}} - {{$vehicle->model}} - {{$vehicle->license_plate}}</option>
  @else
  <option value="{{$vehicle->id}}" > {{$vehicle->make}} - {{$vehicle->model}} - {{$vehicle->license_plate}}</option>
  @endif

  @endforeach


   </select>

   </div>
    <div class="form-group">
           {!! Form::label('meter',Hyvikk::get('dis_format')." ".__('fleet.reading'), ['class' => 'form-label']) !!}
           <div class="input-group date">
          <div class="input-group-addon">{{Hyvikk::get('dis_format')}}</div>
           {!! Form::number('meter',$data->meter,['class'=>'form-control']) !!}
         </div>
         </div>
         <div class="form-group">
           {!! Form::label('note',__('fleet.note'), ['class' => 'form-label']) !!}
           {!! Form::textarea('note',$data->note,['class'=>'form-control','size'=>'30x4']) !!}
         </div>

  </div>

  <div class="col-md-6">

          <div class="form-group">
             {!! Form::label('vendor_id',__('fleet.vendor'), ['class' => 'form-label']) !!}
               <select id="vendor_id" name="vendor_id" class="form-control" required>
            <option value="">-</option>
            @foreach($vendors as $vendor)
            @if($vendor->id===$data->vendor_id)
            <option value="{{$vendor->id}}" selected>{{$vendor->name}}</option>
            @else
            <option value="{{$vendor->id}}">{{$vendor->name}}</option>
            @endif
            @endforeach
             </select>
          </div>

         <div class="form-group">
           {!! Form::label('status',__('fleet.status'), ['class' => 'form-label']) !!}
           {!! Form::select('status',["Pending"=>"Pending", "Processing"=>"Processing", "Completed"=>"Completed","Hold"=>"Hold"],$data->status,['class' => 'form-control','required']) !!}
         </div>

        <div class="form-group">
           {!! Form::label('price',__('fleet.price'), ['class' => 'form-label']) !!}
           <div class="input-group date">
          <div class="input-group-addon">{{Hyvikk::get('currency')}}</div>
           {!! Form::number('price',$data->price,['class'=>'form-control','required']) !!}
         </div>
         </div>

         <div class="form-group">
           {!! Form::label('description',__('fleet.description'), ['class' => 'form-label']) !!}
           {!! Form::textarea('description',$data->description,['class'=>'form-control','size'=>'30x4']) !!}
         </div>

  </div>
</div>
<div class="row">
<div class="col-md-12">
{!! Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']) !!}
</div>
</div>
</div>

                </div>

            </div>
        </div>
@endsection


@section("script")
<script src="{{ asset('js/moment.js') }}"></script>
<script src="{{ asset('js/datetimepicker.js') }}"></script>
<script src="{{ asset('js/select2.min.js') }}"></script>
<script type="text/javascript">
    $(document).ready(function() {

  $('#required_by').datetimepicker({format: 'YYYY-MM-DD'});
  $('#created_on').datetimepicker({format: 'YYYY-MM-DD'});

  //Flat green color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    });

});
</script>
@endsection





